commit 42f33d32a43380b878fed0981c9f0b383d82fa36
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Oct 6 22:11:46 2017 +1000

    Rhythmbox 3.4.2

 NEWS         | 66 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 README       |  2 +-
 configure.ac |  2 +-
 3 files changed, 68 insertions(+), 2 deletions(-)

commit e58a51452df79290de64ebe6d44cf2b95bd0087b
Author: Daniel Șerbănescu <daniel@serbanescu.dk>
Date:   Sat Oct 7 18:21:30 2017 +0000

    Update Romanian translation

 help/ro/ro.po | 587 ++++++++++++++++++++++++++++++----------------------------
 1 file changed, 299 insertions(+), 288 deletions(-)

commit f7823b6a3919bf1f98879110a64b4989c112f255
Author: Daniel Șerbănescu <daniel@serbanescu.dk>
Date:   Sat Oct 7 18:20:35 2017 +0000

    Update Romanian translation

 po/ro.po | 699 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 349 insertions(+), 350 deletions(-)

commit a6e384929cadf245035ee3d67ddf78b0bf0c2c64
Author: Милош Поповић <gpopac@gmail.com>
Date:   Sat Oct 7 16:52:50 2017 +0000

    Update Serbian Latin translation

 po/sr@latin.po | 290 ++++++++++++++++++++++++++++-----------------------------
 1 file changed, 142 insertions(+), 148 deletions(-)

commit 1bc462999045f9b02356730d87f145632504104a
Author: Милош Поповић <gpopac@gmail.com>
Date:   Sat Oct 7 16:51:43 2017 +0000

    Update Serbian translation

 po/sr.po | 290 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 142 insertions(+), 148 deletions(-)

commit 6d4529110f67bd5b9e13e018704f542d2718c04d
Author: Isaac F. Ferreira Filho <isaacmob@riseup.net>
Date:   Sat Oct 7 07:49:33 2017 +0000

    Update Brazilian Portuguese translation

 po/pt_BR.po | 286 +++++++++++++++++++++++++++++-------------------------------
 1 file changed, 137 insertions(+), 149 deletions(-)

commit 2eae0511f3dadf93931ab1ef7fd49ec680da1431
Author: gogo <trebelnik2@gmail.com>
Date:   Fri Oct 6 16:17:44 2017 +0000

    Update Croatian translation

 po/hr.po | 152 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 69 insertions(+), 83 deletions(-)

commit 40de30cabc6ab78b00f6557be33f5540aedcd108
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:   Thu Oct 5 07:47:40 2017 +0700

    Updated Vietnamese translation
    
    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

 po/vi.po | 190 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 88 insertions(+), 102 deletions(-)

commit 765cb802c0e0f42fe400e3e5ad449e1634e795c3
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:   Wed Oct 4 12:42:38 2017 +0000

    Update Indonesian translation

 po/id.po | 152 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 69 insertions(+), 83 deletions(-)

commit 82eae7bc1422895583f6ed0a8541a1de1cf13bd2
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Wed Oct 4 10:47:46 2017 +0000

    Update Italian translation

 po/it.po | 282 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 137 insertions(+), 145 deletions(-)

commit 7002873ab8aa4288f149343988fb2b5457d8c93c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Oct 4 10:07:11 2017 +0000

    Update Spanish translation

 po/es.po | 284 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 134 insertions(+), 150 deletions(-)

commit e7ac612e571ff6bd6eb04e9faf56b2d16f89674a
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Mon Oct 2 09:16:27 2017 +0000

    Update German translation

 po/de.po | 622 ++++++++++++---------------------------------------------------
 1 file changed, 118 insertions(+), 504 deletions(-)

commit e28b32f1b8bf91d027dc7515a51c187cab61d956
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Sep 25 18:38:01 2017 +1000

    application: use G_APPLICATION_NON_UNIQUE to implement -n
    
    This seems to be much more useful than the previous approach, which
    just crashed on startup.

 shell/rb-application.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit f0dd090e6d13a81b188af8b97385e38ef4b2c217
Author: Andre Klapper <a9016009@gmx.de>
Date:   Mon Sep 25 15:22:16 2017 +0200

    Fix typo in zh_CN user docs translation

 help/zh_CN/zh_CN.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 93d5b16094fc11f53391984d4daca0ca47c190f9
Author: Andre Klapper <a9016009@gmx.de>
Date:   Mon Sep 25 00:22:19 2017 +0200

    Fix typos in Italian user docs translation

 help/it/it.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 202d456fc8016ba5687149dbc34d1de388448670
Author: Andre Klapper <a9016009@gmx.de>
Date:   Sun Sep 24 23:47:55 2017 +0200

    de: Fix a typo

 help/de/de.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b010499764cf04a0d3006f13df154673cdacbd24
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Sep 17 16:53:25 2017 +0200

    Update Polish translation

 po/pl.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 2182b523e07c66dddf592053d229805ce46f00db
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sun Sep 17 07:56:42 2017 +0000

    Update Slovak translation

 po/sk.po | 282 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 137 insertions(+), 145 deletions(-)

commit 4dbbc4cb4871427260fe08fea963a3036346f6ca
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Sep 17 09:50:09 2017 +1000

    android: remove the rescan timeout when disposed

 plugins/android/rb-android-source.c | 3 +++
 1 file changed, 3 insertions(+)

commit 79169ecfd710668f5e3d2aa08b68fda11e9996e7
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Sep 17 09:49:35 2017 +1000

    removable-media-manager: add an unref missing since 2013

 shell/rb-removable-media-manager.c | 2 ++
 1 file changed, 2 insertions(+)

commit 1ddb8c592a606f5a47e703eedacf75f737dce05a
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Wed Sep 13 21:12:42 2017 +0000

    Update Swedish translation

 po/sv.po | 276 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 134 insertions(+), 142 deletions(-)

commit d093d76120e843d411e1b09d0c0487a04f1930ec
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:   Tue Sep 12 13:14:00 2017 +0200

    Updated Czech translation

 po/cs.po | 251 +++++++++++++++++++++++++++------------------------------------
 1 file changed, 108 insertions(+), 143 deletions(-)

commit 082397593cc87beadeaf720a21b51e12528ff3dc
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Sep 12 20:30:07 2017 +1000

    iradio: add WUVT-FM to the initial station list
    
    https://bugzilla.gnome.org/show_bug.cgi?id=783016

 plugins/iradio/iradio-initial.xspf | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 521f884b012f862282b1955fca4b122cec2ccc4f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Sep 12 20:20:22 2017 +1000

    sendto: correct plugin description
    
    nautilus-sendto only does email now.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=781184

 plugins/sendto/sendto.plugin.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9c2f8ec6806169bd94433f53bc683f94c4093e29
Author: Jordi Mas <jmas@softcatala.org>
Date:   Sun Sep 10 09:26:53 2017 +0200

    Fixes to Catalan translation

 po/ca.po | 147 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 67 insertions(+), 80 deletions(-)

commit 31e1e783d1c59e70d9715945ca2419d79f65b77e
Author: Jordi Mas <jmas@softcatala.org>
Date:   Fri Sep 8 14:22:52 2017 +0200

    Fix to Catalan translation

 po/ca.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3becee37ba7c79df9e7fb7983190145890380abd
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Wed Aug 30 16:48:16 2017 +0000

    Update Finnish translation

 po/fi.po | 253 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 120 insertions(+), 133 deletions(-)

commit fc1692cc9f12aed17b853f09f379e59610a7916e
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Sun Aug 27 16:03:58 2017 +0000

    Update Chinese (Taiwan) translation

 po/zh_TW.po | 1163 ++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 595 insertions(+), 568 deletions(-)

commit b86cc26d32e836ac5585f475c4e4f50b97c10aec
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Aug 12 02:33:48 2017 +0200

    Update Polish translation

 po/pl.po | 123 +++++++++++++++++++++------------------------------------------
 1 file changed, 41 insertions(+), 82 deletions(-)

commit a50d21fb6c8c537bcef8c8e6b1aafc87380f2790
Author: Sam Thursfield <sam@afuera.me.uk>
Date:   Fri Aug 4 13:42:12 2017 +0100

    Fix keyboard navigation over the search entry
    
    The RbSearchEntry widget is a container so it can't have the focus.
    It contains a GtkEntry which can. Setting 'can-focus' to TRUE was
    confusing the gtk_container_focus() function causing focus to get
    stuck on the RbSearchEntry.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=785805

 widgets/rb-search-entry.c | 1 -
 1 file changed, 1 deletion(-)

commit bc06095a6438ec997da57609c6e645f4b8582b0d
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Aug 5 20:19:24 2017 +1000

    encoding-settings: don't create editors with no properties to edit
    
    https://bugzilla.gnome.org/show_bug.cgi?id=785304

 widgets/rb-encoding-settings.c | 38 ++++++++++++++++++++------------------
 1 file changed, 20 insertions(+), 18 deletions(-)

commit 40753f9d02d0f3598d0674fedc7b80ae78f6df2b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Jul 15 22:45:11 2017 +1000

    fix some constant strings so they're actually constant
    
    gcc 7 warns about the broken definitions.
    https://bugzilla.gnome.org/show_bug.cgi?id=784957

 lib/rb-text-helpers.c | 10 +++++-----
 widgets/rb-header.c   |  2 +-
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 1416e4cbeb751acb92d2008d9e4afe9e4967a2be
Author: Christian Weiske <cweiske@cweiske.de>
Date:   Sat Jul 15 20:48:39 2017 +1000

    lyrics: fetch lyrics from metadata tags
    
    Only works with ogg tags for now.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=463978

 plugins/lyrics/lyrics.py | 95 ++++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 80 insertions(+), 15 deletions(-)

commit 6fcb68f257872ab1cd635ee5774533ed2cf95e79
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jul 3 18:58:36 2017 +1000

    remove visualizer plugin
    
    The current implementation is a dead end and I don't have the time
    or interest to rewrite it again.

 .gitignore                                    |   1 -
 INSTALL.quick                                 |   2 -
 configure.ac                                  |  35 --
 data/org.gnome.rhythmbox.gschema.xml          |  18 -
 doc/reference/Makefile.am                     |   3 -
 plugins/Makefile.am                           |   4 -
 plugins/visualizer/Makefile.am                |  79 ----
 plugins/visualizer/button-active.png          | Bin 569 -> 0 bytes
 plugins/visualizer/button-disabled.png        | Bin 569 -> 0 bytes
 plugins/visualizer/button-focus.png           | Bin 701 -> 0 bytes
 plugins/visualizer/button-hover.png           | Bin 605 -> 0 bytes
 plugins/visualizer/button.png                 | Bin 605 -> 0 bytes
 plugins/visualizer/rb-visualizer-fullscreen.c | 649 --------------------------
 plugins/visualizer/rb-visualizer-fullscreen.h |  45 --
 plugins/visualizer/rb-visualizer-menu.c       | 128 -----
 plugins/visualizer/rb-visualizer-menu.h       |  54 ---
 plugins/visualizer/rb-visualizer-page.c       | 453 ------------------
 plugins/visualizer/rb-visualizer-page.h       |  83 ----
 plugins/visualizer/rb-visualizer-plugin.c     | 479 -------------------
 plugins/visualizer/visualizer-box.png         | Bin 330 -> 0 bytes
 plugins/visualizer/visualizer.css             |  56 ---
 plugins/visualizer/visualizer.plugin.in       |   8 -
 po/POTFILES.in                                |   5 -
 23 files changed, 2102 deletions(-)

commit 80f08e85f71b81121cfa5b1ec9d8d10e573c6b17
Author: Jordi Mas <jmas@softcatala.org>
Date:   Sat Jun 10 09:20:42 2017 +0200

    Update Catalan translation

 po/ca.po | 484 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 248 insertions(+), 236 deletions(-)

commit 24ac42b11ab7f3bbf57325f71bdd34b9a3815079
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Apr 27 08:22:48 2017 +1000

    xfade: check if a probe has been added before removing it

 backends/gstreamer/rb-player-gst-xfade.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 96e1f98300941201ecfbe69b7f18c6c98cad4930
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Apr 25 19:16:43 2017 +1000

    xfade: fix race in buffering handling
    
    If a stream starts buffering, then finishes before the probe used to
    unlink it fires, remove the probe and continue on.  Improves streaming
    from http servers.

 backends/gstreamer/rb-player-gst-xfade.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 027dbfcfd67ccb3b6b3c0690777461cc8c7b5578
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:   Fri Apr 14 03:41:47 2017 +0000

    Update Indonesian translation

 po/id.po | 1437 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 816 insertions(+), 621 deletions(-)

commit fb088da9c3f9aa5c043fae3d66634b1285642d15
Author: Ben Walsh <b@wumpster.com>
Date:   Mon Nov 28 23:01:26 2016 +0000

    Grilo: quality column.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=775447

 plugins/grilo/rb-grilo-source.c | 37 ++++++++++++++++++++++++++++++++-----
 1 file changed, 32 insertions(+), 5 deletions(-)

commit 5c3c0004a96c093000fc5c9f41d9a12d57a01867
Author: gogo <trebelnik2@gmail.com>
Date:   Sun Apr 9 20:54:05 2017 +0000

    Update Croatian translation

 po/hr.po | 822 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 398 insertions(+), 424 deletions(-)

commit df2853489c677e7379c3477b192e010f6bce44d0
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Apr 9 08:53:17 2017 +1000

    podcast: make the episode description selectable

 data/ui/podcast-properties.ui | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit dba684419a3a9be1c17f5820fa6e9c7cd34e1648
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Mar 25 22:13:22 2017 +0100

    Update Polish translation

 po/pl.po | 54 +++++++++++++++++++++++++++---------------------------
 1 file changed, 27 insertions(+), 27 deletions(-)

commit 534b99dfb949ff9f1c3944e51af03705e5e31c05
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Mar 25 05:58:10 2017 +0100

    Update Polish translation

 po/pl.po | 172 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 89 insertions(+), 83 deletions(-)

commit 50ef5a0ebd45ea38600fe3769c52fcdd729691f2
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Mar 18 19:26:32 2017 +1000

    xfade: rework tag handling to avoid races
    
    The attempt to inject a tag into the stream introduced races that
    occasionally caused deadlocks (most noticeably with ogg vorbis files).
    Instead, just convert the tag event into a custom message as it leaves the
    stream bin, at which point we certainly know which stream it's from.

 backends/gstreamer/rb-player-gst-xfade.c | 143 ++++++++-----------------------
 1 file changed, 35 insertions(+), 108 deletions(-)

commit 33433f30054ad8d677c87b2f86273d65125d1f3c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Mar 16 08:06:44 2017 +1000

    webremote: fix art image filenames
    
    Create filenames relative to the cache directory, and ensure they don't
    get treated as absolute pathnames.

 plugins/webremote/webremote.py | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 79ef640a8e682a09b0b87b0c8c3e3ebb00bd9d40
Author: Marcos Lans <marcoslansgarza@gmail.com>
Date:   Sat Mar 11 13:28:13 2017 +0000

    Update Galician translation

 po/gl.po | 391 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 197 insertions(+), 194 deletions(-)

commit 4f05e9d0988e6736cf309da8cd6be998e5446a15
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Fri Mar 10 22:39:21 2017 +0200

    Updated Lithuanian translation

 po/lt.po | 478 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 243 insertions(+), 235 deletions(-)

commit e1985128ec289450241f8d28e04288ccd7d544eb
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sun Feb 26 09:44:56 2017 +0100

    Updated Serbian translation

 po/sr.po       | 460 +++++++++++++++++++++++++++++----------------------------
 po/sr@latin.po | 460 +++++++++++++++++++++++++++++----------------------------
 2 files changed, 462 insertions(+), 458 deletions(-)

commit eafcec55d68a640151ec73dd1993af7cfca5c6f5
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Feb 19 21:05:37 2017 +0100

    Updated Norwegian bokmål translation.

 po/nb.po | 689 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 362 insertions(+), 327 deletions(-)

commit b92d0c32881e2c4dc9603dedef91e1599f34e5d2
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Sat Feb 18 14:37:03 2017 +0000

    Update Finnish translation

 po/fi.po | 569 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 288 insertions(+), 281 deletions(-)

commit 81a7032dbbb992e6a439d9416b1779cdce162b4c
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:   Mon Feb 6 15:14:06 2017 +0700

    Updated Vietnamese translation
    
    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

 po/vi.po | 486 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 248 insertions(+), 238 deletions(-)

commit 72c10b76cd22624fc0c252a187b196c16ee20ff4
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Jan 28 01:47:40 2017 +0100

    Fix translator comments
    
    They need to be exactly one line above a string to show up in .po files.

 backends/gstreamer/rb-player-gst-xfade.c                | 2 +-
 backends/gstreamer/rb-player-gst.c                      | 2 +-
 plugins/audioscrobbler/rb-audioscrobbler-radio-source.c | 6 +++---
 sources/rb-play-queue-source.c                          | 2 +-
 4 files changed, 6 insertions(+), 6 deletions(-)

commit 8beff628e70702c57cc6970f38076a2b1294b5ed
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:   Mon Dec 26 09:10:43 2016 +0000

    Update Brazilian Portuguese translation

 po/pt_BR.po | 622 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 315 insertions(+), 307 deletions(-)

commit e1d00502ab214b09d92258bdec25ad2221bfe0c2
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Dec 22 20:21:51 2016 +0100

    Updated Spanish translation

 po/es.po | 591 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 305 insertions(+), 286 deletions(-)

commit c9b8f5273a6ab614939ee7bb5681f43adae6b106
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Dec 20 08:07:38 2016 +1000

    podcast: handle failure to update the timestamp file a bit better
    
    If we can't create or update the timestamp file, just disable periodic
    updates.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=776292

 podcast/rb-podcast-manager.c | 37 +++++++++++++++++++++++++++----------
 1 file changed, 27 insertions(+), 10 deletions(-)

commit e8e8a901145771b8f91d5af74a9660e9da145de0
Author: vrishab <gnome.vrb@gmail.com>
Date:   Mon Dec 12 08:56:43 2016 +0530

    Use rhythmdb_query_free for RhythmDBQuery, since it's not a GObject
    
    https://bugzilla.gnome.org/show_bug.cgi?id=697567

 podcast/rb-podcast-source.c | 2 +-
 sources/rb-browser-source.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 921b95144a1edb7244514d7b331e3a9dee157f63
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Dec 14 08:09:49 2016 +1000

    shell: deselect the active page on shutdown
    
    This allows widgets such as the search bar to remove common mnemonics, avoiding
    a warning on shutdown.

 shell/rb-shell.c | 3 +++
 1 file changed, 3 insertions(+)

commit bfcb463ab0e005497988f0b3b50a07a3ee29e85d
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Dec 14 07:31:25 2016 +1000

    stop converting images to pixdata for inclusion in resources

 shell/rhythmbox.gresource.xml | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 34dc7691dc95c7ac0e88c29abf5242729decca28
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Dec 11 16:21:05 2016 +1000

    grilo: simplify cleanup and remove sources from the grilo registry too
    
    https://bugzilla.gnome.org/show_bug.cgi?id=770486

 plugins/grilo/rb-grilo-plugin.c | 38 +++++++++++---------------------------
 1 file changed, 11 insertions(+), 27 deletions(-)

commit c6de62b677e5439a30e95f6414153da895447371
Author: vrishab <gnome.vrb@gmail.com>
Date:   Mon Nov 28 10:37:15 2016 +0530

    grilo: set mnemonic only if the grilo source supports searching
    
    https://bugzilla.gnome.org/show_bug.cgi?id=775294

 plugins/grilo/rb-grilo-source.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 26fe2c9de86e4ca868182983f74247fadbc30b4e
Author: gogo <trebelnik2@gmail.com>
Date:   Thu Nov 24 00:24:54 2016 +0000

    Update Croatian translation

 po/hr.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 1786296a19f61a1f865b39ce6773813c5e588bdb
Author: gogo <trebelnik2@gmail.com>
Date:   Thu Nov 24 00:20:09 2016 +0000

    Update Croatian translation

 po/hr.po | 1153 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 588 insertions(+), 565 deletions(-)

commit d46437b29c6ab5a0c1bc61c7817e14e2c8fbc97c
Author: Josef Andersson <josef.andersson@gmail.com>
Date:   Wed Nov 16 12:50:20 2016 +0000

    Update Swedish translation

 po/sv.po | 446 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 225 insertions(+), 221 deletions(-)

commit 7a0601baf86c64ce95d5b07b4b11bdf2b473fd31
Author: vrishab <gnome.vrb@gmail.com>
Date:   Sun Nov 13 15:14:11 2016 +1000

    property-view: Use ellipsize to avoid property value / count from being hidden
    
    https://bugzilla.gnome.org/show_bug.cgi?id=774336

 widgets/rb-property-view.c | 1 +
 1 file changed, 1 insertion(+)

commit 38e6447310956a0aa40f78cf0b9f55e131cbe0fd
Author: vrishab <vrishab.in@gmail.com>
Date:   Thu Nov 3 22:17:27 2016 +1000

    Link podcast plugin menus
    
    https://bugzilla.gnome.org/show_bug.cgi?id=773858

 podcast/rb-podcast-source.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit ffcc3fef2150e5dc13e1cfb6f1395cbf07178e96
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Wed Nov 2 08:39:51 2016 +0000

    Update Italian translation

 po/it.po | 677 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 354 insertions(+), 323 deletions(-)

commit acea894dfa2c58e2ccdfcb7975224b6b8a3e80c6
Author: vrishab <vrishab.in@gmail.com>
Date:   Tue Nov 1 07:36:17 2016 +1000

    play-queue: Be consistent with playing text in header bar
    
    https://bugzilla.gnome.org/show_bug.cgi?id=773729

 sources/rb-play-queue-source.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f8e17b9886fc086a1c3daf39c7d645a42d1e59a9
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Oct 31 21:24:12 2016 +1000

    rhythmdb: add ignore entries for special and mountable files
    
    Import jobs expect entries to be created for all URIs they find, so
    without this an import would get stuck if it encountered a socket.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=773695

 rhythmdb/rhythmdb.c | 2 ++
 1 file changed, 2 insertions(+)

commit 3357d7b09f9a4e8d68f6b1ff541ee8221c82917b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Oct 29 20:20:34 2016 +1000

    player backends: just use autoaudiosink
    
    The gsettings and gconf configurable sinks have been removed from
    the gstreamer plugin packages so there's not much point trying them.

 backends/gstreamer/rb-player-gst-xfade.c |  9 +--------
 backends/gstreamer/rb-player-gst.c       | 13 ++-----------
 2 files changed, 3 insertions(+), 19 deletions(-)

commit 04c30b9e0c4a6d41af56b9257aa4e47f34a9f61e
Author: vrishab <vrishab.in@gmail.com>
Date:   Tue Oct 25 21:33:50 2016 +1000

    daap: do not transmit unplayable rhythmdb entries to the DMAP client
    
    https://bugzilla.gnome.org/show_bug.cgi?id=773466

 plugins/daap/rb-rhythmdb-dmap-db-adapter.c | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit 10fb8010a092d422457ae5e0573afe8003e58061
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Oct 15 19:12:56 2016 +1000

    add Apple Lossless (ALAC) encoding profile, and add it to the ipod encoding target
    
    https://bugzilla.gnome.org/show_bug.cgi?id=772657

 data/rhythmbox.gep            | 14 ++++++++++++++
 plugins/ipod/rb-ipod-source.c |  1 +
 2 files changed, 15 insertions(+)

commit cfd1676262e41824a5f2be3ab370feadec7ae84d
Author: vrishab <vrishab.in@gmail.com>
Date:   Mon Oct 24 21:47:43 2016 +1000

    Reset search filters on client disconnect
    
    https://bugzilla.gnome.org/show_bug.cgi?id=773404

 plugins/daap/rb-daap-source.c | 2 ++
 1 file changed, 2 insertions(+)

commit 0c3bb4cecd55935b27f496aa9cf331878a174be1
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Oct 16 15:59:33 2016 +1000

    source-toolbar: clear search text properly
    
    The toolbar remembers the search text so it can support incremental
    searches.  To do this properly it needs to forget its idea of the
    search text when the search entry is cleared.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=772997

 widgets/rb-source-toolbar.c | 2 ++
 1 file changed, 2 insertions(+)

commit 2058c369f070a72e1b724449687156d97d10cca7
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Thu Oct 13 14:26:40 2016 +0000

    Update German translation

 po/de.po | 442 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 223 insertions(+), 219 deletions(-)

commit bc6a52d1915f1bd678852ef01eb29ac0200b0f21
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Wed Oct 12 19:21:16 2016 +0000

    Update Slovak translation

 po/sk.po | 443 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 224 insertions(+), 219 deletions(-)

commit 7f686aef89aa95f0bd4cd8754a724bcf400fe5b3
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Oct 9 08:37:19 2016 +0200

    Update Polish translation

 po/pl.po | 442 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 223 insertions(+), 219 deletions(-)

commit 3d495b644e8d79093d10b15f0312b9ab7444651e
Author: gogo <trebelnik2@gmail.com>
Date:   Tue Oct 4 17:37:56 2016 +0000

    Updated Croatian translation

 po/hr.po | 870 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 420 insertions(+), 450 deletions(-)

commit 5b6dadb610e8aada263abe0b51eb636c18f74634
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:   Mon Oct 3 09:44:52 2016 +0000

    Updated Hungarian translation

 po/hu.po | 442 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 223 insertions(+), 219 deletions(-)

commit 1d8576ddced3e9e8444c4c0d66b099b0abc9c5d9
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Oct 3 11:21:01 2016 +0200

    Updated Czech translation

 po/cs.po | 442 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 223 insertions(+), 219 deletions(-)

commit 795524579e3d5b16bed2f896e9d75829b4bd478e
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Oct 3 16:26:29 2016 +1000

    README: fix URLs and remove the bug reporting details that no one reads
    
    https://bugzilla.gnome.org/show_bug.cgi?id=771405

 README | 42 +++++-------------------------------------
 1 file changed, 5 insertions(+), 37 deletions(-)

commit 576f05abc8a6d2d33ee57064713cc804736eb698
Author: vrishab <vrishab.in@gmail.com>
Date:   Wed Sep 14 14:04:32 2016 +0530

    Add --version command line option
    
    https://bugzilla.gnome.org/show_bug.cgi?id=701608

 remote/dbus/rb-client.c | 13 +++++++++++++
 shell/rb-application.c  | 12 ++++++++++++
 2 files changed, 25 insertions(+)

commit ac70f6e4135de6d13315e348fbfdbb00a276f674
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Oct 3 08:38:47 2016 +1000

    encoder: open output streams asynchronously
    
    Also while we're here, get the output file size by doing a position
    query on the pipeline rather than a gvfs file info query.

 backends/gstreamer/rb-encoder-gst.c | 304 +++++++++++++++++-------------------
 1 file changed, 141 insertions(+), 163 deletions(-)

commit b9d0e243387a759ca7a1b545641cd18725a04138
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Oct 3 08:32:36 2016 +1000

    transfer-target: don't bother sanitising URIs here
    
    If the target implementation knows what type of filesystem it's dealing
    with, it can do a better job of this while it's building the destination
    URI.  Otherwise, the encoder backend will make URIs safe for FAT filesystems
    if it can't open the original URI.
    
    This method also involves a lot of synchronous gvfs operations on the main
    thread, which causes problems with slower device filesystems.

 sources/rb-transfer-target.c | 7 -------
 1 file changed, 7 deletions(-)

commit 23b78c2a31c56b95cd727205fddefcd17f6bf6c2
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Oct 2 12:53:20 2016 +1000

    track-transfer-batch: create parent directories asynchronously
    
    This is a fairly slow operation on android devices, so doing it without
    blocking the main loop helps a bit.

 backends/gstreamer/rb-encoder-gst.c | 26 ------------
 shell/rb-track-transfer-batch.c     | 79 ++++++++++++++++++++++++++++++-------
 2 files changed, 65 insertions(+), 40 deletions(-)

commit 9dbb10870421f3327389c32aa3a0913873857b05
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Sep 26 23:22:12 2016 +1000

    media-player-source: convert delete_entries to use GTasks
    
    Previously only the ipod implementation of this was actually asynchronous.
    This part of the sync process doesn't need to be done on the main thread,
    so moving it to a task thread should improve responsiveness a bit.

 plugins/android/rb-android-source.c               |  53 ++++----
 plugins/generic-player/rb-generic-player-source.c | 145 ++++++++++++----------
 plugins/ipod/rb-ipod-source.c                     |  60 ++++-----
 plugins/mtpdevice/rb-mtp-source.c                 |  81 ++++--------
 sources/rb-media-player-source.c                  |  16 ++-
 sources/rb-media-player-source.h                  |  12 +-
 6 files changed, 163 insertions(+), 204 deletions(-)

commit 3f270d8ae2d1e50ae5a0a4c12bb710821b655a3c
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sun Sep 25 11:57:37 2016 +0000

    Updated Slovak translation

 po/sk.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit ae2721461d091f1836691b026ec567bfd585dabd
Author: vrishab <vrishab.in@gmail.com>
Date:   Sat Sep 24 18:41:08 2016 +1000

    import-job: update task-detail only if have entries to process
    
    https://bugzilla.gnome.org/show_bug.cgi?id=770462

 rhythmdb/rhythmdb-import-job.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4ca69d7b1840773595e0558977b89547229ccf81
Author: vrishab <vrishab.in@gmail.com>
Date:   Fri Sep 23 21:04:05 2016 +0530

    Confirm before overwriting playlists
    
    https://bugzilla.gnome.org/show_bug.cgi?id=771884

 data/ui/playlist-save.ui | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 127afc2087137fd0704d49850d5541c992c0cf13
Author: gogo <trebelnik2@gmail.com>
Date:   Thu Sep 22 22:41:44 2016 +0000

    Updated Croatian translation

 po/hr.po | 508 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 274 insertions(+), 234 deletions(-)

commit 0ffa4911bc7e18092247094b69c10c62fb68f012
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Wed Sep 21 18:23:49 2016 +0000

    Updated German translation

 po/de.po | 314 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 157 insertions(+), 157 deletions(-)

commit 68cb18842665d7b3ea8eacfee226c2cc91edab66
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Sep 18 22:36:13 2016 +1000

    task-list: restructure to improve the progress bar's width
    
    Now the progress bar's width doesn't depend on the space allocated
    to the labels.  Task list entries are built from a GtkBuilder file
    to make future changes like this easier to manage.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=771337

 data/ui/Makefile.am            |   1 +
 data/ui/task-list-entry.ui     | 101 +++++++++++++++++++++++++++++++++++++++++
 shell/rhythmbox.gresource.xml  |   1 +
 widgets/rb-task-list-display.c |  59 ++++++++++--------------
 4 files changed, 128 insertions(+), 34 deletions(-)

commit 40901ae461d21a52d8255d108679d175a70fcd8a
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Sep 17 17:39:12 2016 +0300

    Updated Lithuanian translation

 po/lt.po | 257 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 129 insertions(+), 128 deletions(-)

commit 2859810ff20fbe4fd7003c9842b2af7fea73174e
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sat Sep 17 11:57:27 2016 +0000

    Updated Swedish translation

 po/sv.po | 256 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 128 insertions(+), 128 deletions(-)

commit 32f5ee6e45ba50b2dd3d28ea68bff4d197108441
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Sep 15 08:21:16 2016 +0200

    Updated Czech translation

 po/cs.po | 326 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 158 insertions(+), 168 deletions(-)

commit 7745b9121941adb674e566c45f09dfa05b4b1425
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Sep 13 20:24:45 2016 +0200

    Updated Spanish translation

 po/es.po | 160 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 75 insertions(+), 85 deletions(-)

commit 213304d4a65f6fd086f486538f6351ac5548630f
Author: Tiago Santos <tiagofsantos81@sapo.pt>
Date:   Tue Sep 13 16:41:03 2016 +0000

    Updated Portuguese translation

 po/pt.po | 256 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 127 insertions(+), 129 deletions(-)

commit 7c7714134e4adab2b9b647cad8db99603b4a8cc4
Author: Sam Thursfield <sam@afuera.me.uk>
Date:   Tue Sep 13 00:55:43 2016 +0100

    Remove marshallers
    
    GLib >= 2.30.0 adds g_cclosure_marshal_generic() which removes the need
    for us to generate our own custom marshallers.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=771335

 .gitignore                                         |  2 -
 backends/gstreamer/rb-player-gst-xfade.c           | 11 ++--
 backends/gstreamer/rb-player-gst.c                 |  9 ++--
 backends/rb-encoder.c                              | 10 ++--
 backends/rb-player-gst-filter.c                    |  5 +-
 backends/rb-player-gst-tee.c                       |  5 +-
 backends/rb-player.c                               | 22 ++++----
 configure.ac                                       |  1 -
 doc/reference/Makefile.am                          |  1 -
 doc/reference/rhythmbox.types                      |  1 -
 lib/Makefile.am                                    | 18 -------
 lib/rb-marshal.list                                | 61 ----------------------
 metadata/rb-ext-db.c                               |  5 +-
 plugins/audioscrobbler/rb-audioscrobbler-account.c |  2 +-
 plugins/audioscrobbler/rb-audioscrobbler-user.c    | 12 ++---
 plugins/audioscrobbler/rb-audioscrobbler.c         |  2 +-
 plugins/daap/rb-dacp-player.c                      |  2 +-
 plugins/ipod/rb-ipod-db.c                          |  2 +-
 plugins/mmkeys/rb-mmkeys-plugin.c                  |  1 -
 plugins/visualizer/rb-visualizer-page.c            |  6 +--
 podcast/rb-podcast-add-dialog.c                    |  4 +-
 podcast/rb-podcast-manager.c                       |  7 ++-
 podcast/rb-podcast-search.c                        |  4 +-
 rhythmdb/rhythmdb-import-job.c                     |  9 ++--
 rhythmdb/rhythmdb-property-model.c                 |  2 +-
 rhythmdb/rhythmdb-query-model.c                    | 13 +++--
 rhythmdb/rhythmdb-query-result-list.c              |  2 +-
 rhythmdb/rhythmdb.c                                | 27 +++++-----
 shell/rb-play-order.c                              |  3 +-
 shell/rb-playlist-manager.c                        |  8 +--
 shell/rb-removable-media-manager.c                 |  9 ++--
 shell/rb-shell-player.c                            | 18 +++----
 shell/rb-shell.c                                   | 11 ++--
 shell/rb-track-transfer-batch.c                    | 18 +++----
 shell/rb-track-transfer-queue.c                    |  5 +-
 sources/rb-display-page-model.c                    |  3 +-
 sources/rb-display-page-tree.c                     |  5 +-
 sources/rb-display-page.c                          |  4 +-
 sources/rb-source.c                                |  6 +--
 sources/sync/rb-sync-settings.c                    |  2 +-
 sources/sync/rb-sync-state.c                       |  2 +-
 widgets/rb-cell-renderer-pixbuf.c                  |  2 +-
 widgets/rb-cell-renderer-rating.c                  |  3 +-
 widgets/rb-entry-view.c                            | 14 ++---
 widgets/rb-fading-image.c                          |  4 +-
 widgets/rb-import-dialog.c                         |  4 +-
 widgets/rb-property-view.c                         | 10 ++--
 widgets/rb-rating.c                                |  6 +--
 widgets/rb-search-entry.c                          |  6 +--
 widgets/rb-song-info.c                             |  4 +-
 widgets/rb-uri-dialog.c                            |  2 +-
 51 files changed, 143 insertions(+), 252 deletions(-)

commit 1a85821ff72b8e049ba21f1ad2e8195ece5b4498
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:   Mon Sep 12 09:07:04 2016 +0000

    Updated Hungarian translation

 po/hu.po | 254 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 127 insertions(+), 127 deletions(-)

commit 2ffaba2bdef79dbd20d8f0e8c2efb1519dfc857d
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Sep 11 20:42:41 2016 +1000

    replace gtk_misc_set_alignment with halign and valign

 widgets/rb-alert-dialog.c | 12 ++++++++----
 widgets/rb-header.c       |  9 ++++++---
 2 files changed, 14 insertions(+), 7 deletions(-)

commit 9bb6406cc28b14b7142e4f2d2d855652a730134f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Sep 11 20:32:36 2016 +1000

    use gtk_application_set_accels_for_action
    
    requires glib 2.38 for g_action_print_detailed_name

 configure.ac            |  6 +++---
 shell/rb-application.c  | 14 +++++++++++---
 shell/rb-shell-player.c | 18 +++++++++++++++---
 shell/rb-shell.c        |  7 +++++--
 4 files changed, 34 insertions(+), 11 deletions(-)

commit 23427200156bbcd83eea5e4a7a2c35f13ff4e119
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Sep 11 20:29:27 2016 +1000

    media-player-source: gtk_container_add automatically creates viewports now

 sources/rb-media-player-source.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c2184cd2be232813a847f68520c81d6b51266fd3
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Sep 11 20:28:46 2016 +1000

    stop using the deprecated gtk_tree_view_set_rules_hint

 podcast/rb-podcast-add-dialog.c | 2 --
 widgets/rb-entry-view.c         | 1 -
 2 files changed, 3 deletions(-)

commit cceda2d400accc214f22c2677285a0f38c80979d
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Sep 11 20:28:20 2016 +1000

    tree-dnd: gtk_drag_begin is deprecated

 lib/rb-tree-dnd.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 29d0163645bb9b7921d58d66d10d008cd5193d0b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Sep 11 20:28:01 2016 +1000

    mmkeys: stop pretending there can be more than one screen

 plugins/mmkeys/rb-mmkeys-plugin.c | 36 +++++++++++++++++-------------------
 1 file changed, 17 insertions(+), 19 deletions(-)

commit e0a57e65e9c4cd404404f7b2f2bcb0869b93dc8f
Author: vrishab <vrishab.in@gmail.com>
Date:   Sun Sep 11 19:15:05 2016 +1000

    entry-view: let gtk+ choose the width of the now-playing column
    
    https://bugzilla.gnome.org/show_bug.cgi?id=770983

 widgets/rb-entry-view.c | 3 ---
 1 file changed, 3 deletions(-)

commit 2c6a382984b02b4395a4485bdf89cc82c0c9dc0a
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sun Sep 11 09:06:12 2016 +0200

    Updated Serbian translation

 po/sr.po       | 257 +++++++++++++++++++++++++++++----------------------------
 po/sr@latin.po | 257 +++++++++++++++++++++++++++++----------------------------
 2 files changed, 258 insertions(+), 256 deletions(-)

commit ce901767d41b4b1ebd9764b0db46a91e5fa14c04
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Sep 10 18:57:59 2016 +0200

    Updated Polish translation

 po/pl.po | 86 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 43 insertions(+), 43 deletions(-)

commit 400d4255d8e097dbde7e77365c9587307639fb78
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sat Sep 10 15:18:25 2016 +0000

    Updated Slovak translation

 po/sk.po | 316 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 158 insertions(+), 158 deletions(-)

commit 3fd82fc86043780043f4eab0188cfc29d1f2bc94
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Sep 10 20:35:13 2016 +1000

    im-status: don't mention gossip in the plugin description
    
    https://bugzilla.gnome.org/show_bug.cgi?id=770358

 plugins/im-status/im-status.plugin.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7f3624b6b4902932dc9df87ac55f5c71651260f7
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Sep 4 22:26:06 2016 +1000

    Rhythmbox 3.4.1

 NEWS                   | 29 +++++++++++++++++++++++++++++
 README                 |  2 +-
 configure.ac           |  2 +-
 shell/rb-application.c |  2 +-
 4 files changed, 32 insertions(+), 3 deletions(-)

commit df1dee3a05c2e203b1953d2d66dd9e494418d477
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Sep 9 20:52:09 2016 +1000

    browser-source: don't unref NULL if the source doesn't have playlists

 sources/rb-browser-source.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1d4003652c880a9ba1fab482328804738129e487
Author: Tiago Santos <tiagofsantos81@sapo.pt>
Date:   Wed Sep 7 16:39:55 2016 +0000

    Updated Portuguese translation

 po/pt.po | 129 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 61 insertions(+), 68 deletions(-)

commit 027dcae259afb335905e60f061ecb51f108b6aa6
Author: vrishab <vrishab.in@gmail.com>
Date:   Tue Sep 6 22:27:39 2016 +1000

    import-dialog: don't crash if there are no entries to import
    
    The import button should be insensitive in this case, but there
    appears to be a small window for this to happen.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=770920

 widgets/rb-import-dialog.c | 2 ++
 1 file changed, 2 insertions(+)

commit 881c76a8ec44c6ab490f0e5250f3dd8c933aa4b4
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Sep 5 20:01:27 2016 +1000

    audioscrobbler: old scrobbling api isn't https accessible
    
    https://bugzilla.gnome.org/show_bug.cgi?id=768310

 plugins/audioscrobbler/rb-audioscrobbler-service.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ce0d3910d9a7909dea0ae12753d72c9edb68e96a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Sep 4 13:52:05 2016 +1000

    audioscrobbler: use https for last.fm
    
    https://bugzilla.gnome.org/show_bug.cgi?id=768310

 plugins/audioscrobbler/rb-audioscrobbler-service.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 3a6d2f43488221538747787fa84da4910c3b2695
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Aug 31 07:54:58 2016 +1000

    webremote: actually install the html/css/js files
    
    https://bugzilla.gnome.org/show_bug.cgi?id=770601

 plugins/webremote/Makefile.am | 16 +++++++++++++++-
 1 file changed, 15 insertions(+), 1 deletion(-)

commit d0e28c07b16969e611243edec9a26e151dfcca2f
Author: Victor Toso <me@victortoso.com>
Date:   Thu Aug 25 15:21:49 2016 +0200

    grilo: Fix crash due to lingering signal handler
    
    If the grilo rhythmbox plugin is deactivated and reactivated, the
    signal handler for "source-added" and "source-removed" will remain
    alive causing a crash as the previous RBGriloPlugin instance does not
    exist anymore.
    
    Backtrace:
     #0  0x00007f0f9af231c8 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:54
     #1  0x00007f0f9af2464a in __GI_abort () at abort.c:89
     #2  0x00007f0f9b7386a5 in g_assertion_message (domain=domain@entry=0x7f0f9b759fae "GLib", file=file@entry=0x7f0f9b75ec90 "/build/glib2.0-fJSoGg/glib2.0-2.48.1/./glib/ghash.c", line=line@entry=373,
         func=func@entry=0x7f0f9b75eed0 <__func__.10230> "g_hash_table_lookup_node", message=message@entry=0x3113c30 "assertion failed: (hash_table->ref_count > 0)")
         at ././glib/gtestutils.c:2429
     #3  0x00007f0f9b73873a in g_assertion_message_expr (domain=domain@entry=0x7f0f9b759fae "GLib", file=file@entry=0x7f0f9b75ec90 "/build/glib2.0-fJSoGg/glib2.0-2.48.1/./glib/ghash.c",
         line=line@entry=373, func=func@entry=0x7f0f9b75eed0 <__func__.10230> "g_hash_table_lookup_node", expr=expr@entry=0x7f0f9b75ebd8 "hash_table->ref_count > 0") at ././glib/gtestutils.c:2452
     #4  0x00007f0f9b701c4e in g_hash_table_lookup (hash_return=<synthetic pointer>, key=0x19ec730, hash_table=0x7f0f9ea9ca70) at ././glib/ghash.c:373
     #5  0x00007f0f9b701c4e in g_hash_table_lookup (hash_table=0x7f0f9ea9ca70, key=key@entry=0x19ec730) at ././glib/ghash.c:1147
     #6  0x00007f0f74024c93 in grilo_source_removed_cb (registry=<optimized out>, grilo_source=0x19ec730 [GrlBookmarksSource], plugin=0x277d370) at rb-grilo-plugin.c:161
    
    Reported-by: vrishab <vrishab.in@gmail.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=770044

 plugins/grilo/rb-grilo-plugin.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 1b69c9beec385fa847963960f9a819e0f0f80c6a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Aug 26 07:41:06 2016 +1000

    play-queue: don't allow the queue to be removed
    
    https://bugzilla.gnome.org/show_bug.cgi?id=770411

 sources/rb-play-queue-source.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 50fb6fff84468a1d9b6cd2c09ce8ebc1db63bb04
Author: Ikey Doherty <michael.i.doherty@intel.com>
Date:   Mon Aug 22 22:41:54 2016 -0700

    rb-application: Ensure paramater nullability is known to bindings
    
    Currently the bindings are led to believe this parameter is not allowed to
    recieve null values, which will break Pythonic extensions using the
    rb_application_add_accelerator function via GObject Introspection
    
    https://bugzilla.gnome.org/show_bug.cgi?id=770262
    
    Signed-off-by: Ikey Doherty <michael.i.doherty@intel.com>

 shell/rb-application.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1e0497cad64694ae56234663d3acde14d41f98b5
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Wed Aug 24 04:45:16 2016 +0200

    Updated Serbian translation

 po/sr.po       | 244 +++++++++++++++++++++++++++++++-------------------------
 po/sr@latin.po | 246 ++++++++++++++++++++++++++++++++-------------------------
 2 files changed, 275 insertions(+), 215 deletions(-)

commit 677de5c29b9142f75e83b82f716592ea554b3fad
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Aug 23 08:14:47 2016 +1000

    query-creator: set default sort order after connecting handlers
    
    This fixes the initial sort order description.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=770209

 widgets/rb-query-creator.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e823101abaf981747d10fb0eab2be58efd8e901d
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Aug 22 08:11:05 2016 +1000

    magnatune: only spawn one uri, regardless of selection
    
    https://bugzilla.gnome.org/show_bug.cgi?id=770212

 plugins/magnatune/MagnatuneSource.py | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit 86d5ff2595754eca647986b21db2df91ef126fd8
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Aug 22 08:10:40 2016 +1000

    magnatune: require a specific Secret version

 plugins/magnatune/MagnatuneAccount.py | 2 ++
 1 file changed, 2 insertions(+)

commit 6c3e06d0c19c801d3fcc58144862cd2b441c6f4b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Aug 21 14:40:09 2016 +1000

    track-transfer-batch: set queue on construction, rather than start
    
    This makes it possible to cancel a batch before it starts, among
    other things.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=770148

 shell/rb-track-transfer-batch.c | 30 +++++++++++++++++++++++++-----
 shell/rb-track-transfer-batch.h |  7 ++++---
 shell/rb-track-transfer-queue.c |  2 +-
 sources/rb-library-source.c     |  2 +-
 sources/rb-transfer-target.c    |  2 +-
 5 files changed, 32 insertions(+), 11 deletions(-)

commit 70495e6f38f267b52067d88acc3476e091cf2122
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Aug 21 08:06:24 2016 +1000

    property-view: select 'all' row when single mode selection is cleared
    
    Multiple selection mode has always done this, so single selection mode
    should do it too.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=770167

 widgets/rb-property-view.c | 37 ++++++++++++++++++++++++-------------
 1 file changed, 24 insertions(+), 13 deletions(-)

commit b58cf63f196b22a9bce31f1da8b8fd4403ed637a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Aug 19 22:26:13 2016 +1000

    shell-player: avoid NULL unref when there's no next entry
    
    https://bugzilla.gnome.org/show_bug.cgi?id=770134

 shell/rb-shell-player.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 985e247429ffbb3de423df0719a402cb3cf9eba3
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Aug 18 20:06:22 2016 +1000

    rhythmdb: specify entry type when rereading metadata
    
    https://bugzilla.gnome.org/show_bug.cgi?id=770071

 rhythmdb/rhythmdb.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3ab8b41897bfa723496085b035ba6b2bc36c4089
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Aug 17 21:22:10 2016 +1000

    webremote: forgot to remove playpause argument here

 plugins/webremote/webremote.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 16672f7c909f0f0b129474035b973d6a6f9818a2
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Aug 16 10:29:23 2016 +0200

    Updated Polish translation

 po/pl.po | 326 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 162 insertions(+), 164 deletions(-)

commit 016457bda96de0012f927ea07e43da1de968664d
Author: Reinout van Schouwen <reinouts@gnome.org>
Date:   Mon Aug 15 23:27:27 2016 +0200

    Updated Dutch translation by Justin van Steijn

 po/nl.po | 2617 +++++++++++---------------------------------------------------
 1 file changed, 452 insertions(+), 2165 deletions(-)

commit ffae13b4c6168d7c42977fff40cce0cf939a706a
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Aug 14 22:01:36 2016 +0300

    Updated Lithuanian translation

 po/lt.po | 246 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 142 insertions(+), 104 deletions(-)

commit 5f1d8f41bd57119c2e40c087f479995665d2dea2
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Aug 14 19:17:46 2016 +1000

    Rhythmbox 3.4

 NEWS         | 46 ++++++++++++++++++++++++++++++++++++++++++++++
 README       |  2 +-
 configure.ac |  4 ++--
 3 files changed, 49 insertions(+), 3 deletions(-)

commit 2755bc239af0b0e06733046b14e68682ec72fe1d
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Aug 14 19:44:28 2016 +1000

    update version numbers for deprecation checks too

 configure.ac | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 9a685af49317f6fa4e7fbf0a4c03523ee246a2f8
Author: Jordi Mas <jmas@softcatala.org>
Date:   Sat Aug 13 07:50:31 2016 +0200

    Update Catalan translation

 po/ca.po | 771 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 416 insertions(+), 355 deletions(-)

commit c34c5dbd4198cc10a4011bf51591074824b03fb2
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sat Aug 13 02:34:48 2016 +0200

    Updated Danish translation

 po/da.po | 6353 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 3291 insertions(+), 3062 deletions(-)

commit cedb9bd37ac791b3bd70a63c55492e348acb34b2
Author: Daniel Șerbănescu <daniel@serbanescu.dk>
Date:   Fri Aug 12 16:12:02 2016 +0000

    Updated Romanian translation

 po/ro.po | 259 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 148 insertions(+), 111 deletions(-)

commit 29590d6e972d40475f7ec1832834bb943aa1c7f2
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Aug 11 01:46:47 2016 +0200

    Updated Polish translation

 po/pl.po | 369 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 183 insertions(+), 186 deletions(-)

commit 52e9e4fde4704fa7f84172b29163b23626d6ea5b
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Wed Aug 10 13:02:38 2016 +0000

    Updated Finnish translation

 po/fi.po | 238 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 134 insertions(+), 104 deletions(-)

commit dd9e3bf80cbb74fd4448b96251c0d6adb7287ec8
Author: Claude Paroz <claude@2xlibre.net>
Date:   Wed Aug 10 08:54:08 2016 +0200

    Updated French translation

 po/fr.po | 337 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 184 insertions(+), 153 deletions(-)

commit d3d6da4d72e9b90854d8f85668d1efe5211f2f66
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:   Wed Aug 10 13:44:59 2016 +0700

    Updated Vietnamese translation
    
    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

 po/vi.po | 354 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 188 insertions(+), 166 deletions(-)

commit 9d4509548e7e08356ed6d2c91474272982184e28
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Aug 10 14:29:52 2016 +1000

    use GResources to make widget tests work

 tests/Makefile.am                | 11 +++++++++++
 tests/test-widgets.gresource.xml |  7 +++++++
 2 files changed, 18 insertions(+)

commit 823dac4b0b09b6be29eb5c898cb47322aa710d04
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jul 24 14:28:58 2016 +1000

    android: fix widget names

 plugins/android/android-info.ui | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 141f175283c270fccb0daf65278346339cee9c30
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Jul 19 21:23:27 2016 +1000

    plugins: move data files into resources

 .gitignore                                         |   1 +
 plugins/android/Makefile.am                        |  19 ++++++++-----
 plugins/android/android.gresource.xml              |  10 +++++++
 plugins/android/rb-android-plugin.c                |   8 +++++-
 plugins/android/rb-android-source.c                |  16 +----------
 plugins/audiocd/Makefile.am                        |  17 ++++++++----
 plugins/audiocd/audiocd.gresource.xml              |   7 +++++
 plugins/daap/Makefile.am                           |  23 +++++++++-------
 plugins/daap/daap.gresource.xml                    |   7 +++++
 plugins/daap/rb-daap-plugin.c                      |  11 ++------
 plugins/daap/rb-dacp-pairing-page.c                |   7 +----
 plugins/daap/remote-icon.png                       | Bin 4641 -> 0 bytes
 plugins/fmradio/Makefile.am                        |  16 ++++++++---
 plugins/fmradio/fmradio.gresource.xml              |   7 +++++
 plugins/generic-player/Makefile.am                 |  16 ++++++++---
 .../generic-player/generic-player.gresource.xml    |   7 +++++
 plugins/generic-player/rb-generic-player-source.c  |  16 +----------
 plugins/ipod/Makefile.am                           |  20 ++++++++++----
 plugins/ipod/ipod.gresource.xml                    |   8 ++++++
 plugins/ipod/rb-ipod-source.c                      |  26 ++----------------
 plugins/iradio/Makefile.am                         |  30 +++++++++++----------
 plugins/iradio/iradio.gresource.xml                |   9 +++++++
 plugins/iradio/rb-iradio-source.c                  |  18 ++-----------
 plugins/iradio/rb-station-properties-dialog.c      |   6 +----
 plugins/mtpdevice/Makefile.am                      |  20 ++++++++++----
 plugins/mtpdevice/mtpdevice.gresource.xml          |   7 +++++
 plugins/mtpdevice/rb-mtp-source.c                  |  16 +----------
 27 files changed, 191 insertions(+), 157 deletions(-)

commit e3861d7d41add564be03371675a8c871f81feb52
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Jul 19 22:07:16 2016 +1000

    in normal builds, try loading plugin builder files from resources

 lib/rb-builder-helpers.c | 20 +++++++++++++++++---
 1 file changed, 17 insertions(+), 3 deletions(-)

commit 7cfbc97f12a8c1bae86b2e1b6a1f573ff5a9c23b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Jul 19 22:06:47 2016 +1000

    file-helpers: add helper for constructing resource paths for plugins

 lib/rb-file-helpers.c | 24 ++++++++++++++++++++++++
 lib/rb-file-helpers.h |  2 ++
 2 files changed, 26 insertions(+)

commit 98f4920b9ed11e4780c1aaa49dab76a2ea0fc915
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Jul 19 22:05:46 2016 +1000

    allow loading of builder files from full resource paths

 lib/rb-builder-helpers.c | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 48c6c3c539e5a343294fc965807fe4e618a001c3
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jul 18 20:36:57 2016 +1000

    mpid: try loading from resources as well as files

 lib/libmediaplayerid/mpid-files.c | 46 +++++++++++++++++++++++++++++----------
 1 file changed, 34 insertions(+), 12 deletions(-)

commit ca9209b6c7a9b1d419bbf4b0961baa7f08203089
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jun 22 20:49:27 2016 +1000

    move default playlists file into GResources

 Makefile.am                   |  4 ++--
 data/Makefile.am              |  3 +--
 shell/rb-playlist-manager.c   | 32 +++++++++++++-------------------
 shell/rhythmbox.gresource.xml |  2 ++
 4 files changed, 18 insertions(+), 23 deletions(-)

commit 6a85e2c72c0d5c5442fb2b352e1133d06709d47c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jun 22 20:27:53 2016 +1000

    move GtkBuilder and CSS files into GResources for normal builds
    
    Loading CSS from a resource requires gtk+ 3.16.

 configure.ac                     |  2 +-
 data/ui/Makefile.am              |  8 ++------
 lib/rb-builder-helpers.c         | 36 +++++++++++++++++++++++++++---------
 shell/rb-application.c           |  9 ++++-----
 shell/rhythmbox.gresource.xml    | 35 +++++++++++++++++++++++++++++++++++
 sources/rb-media-player-source.c | 21 +++------------------
 sources/sync/rb-sync-state-ui.c  |  9 +--------
 7 files changed, 73 insertions(+), 47 deletions(-)

commit 63d5e8443938cfc7296968686bc7bf485918fc7a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Jun 21 22:44:53 2016 +1000

    initial gresources: just some icons

 .gitignore                                  |  1 +
 configure.ac                                |  2 +-
 data/icons/hicolor/16x16/status/Makefile.am | 14 +-----------
 data/icons/hicolor/48x48/status/Makefile.am | 11 +--------
 lib/Makefile.am                             | 16 +------------
 lib/rb-stock-icons.c                        | 35 ++---------------------------
 shell/Makefile.am                           | 14 +++++++++++-
 shell/rhythmbox.gresource.xml               |  9 ++++++++
 8 files changed, 29 insertions(+), 73 deletions(-)

commit 4f3a82c078821c8e652dae9f28a157327087a015
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Tue Aug 9 18:10:26 2016 +0000

    Updated Swedish translation

 po/sv.po | 240 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 134 insertions(+), 106 deletions(-)

commit 12096c7cb8d8dfaec2d6ef56b114d3808baccb01
Author: Sinisa Habek <sinisa@habek.net>
Date:   Thu Aug 4 20:03:11 2016 +0000

    Updated Croatian translation

 po/hr.po | 5578 ++++++++++++++++++++++++++++++++++++++++++++++++++------------
 1 file changed, 4481 insertions(+), 1097 deletions(-)

commit fa27c47aa19359983031351d337b8a70a30168a4
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Aug 3 07:47:52 2016 +1000

    encoder: unref encoder elements created to check formats work
    
    https://bugzilla.gnome.org/show_bug.cgi?id=769404

 backends/gstreamer/rb-encoder-gst.c | 1 +
 1 file changed, 1 insertion(+)

commit 6073129ef5baee45fbd60d2747bb013d586d6584
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Mar 17 20:58:41 2016 +1000

    replace default window event handling
    
    This allows us to add default actions for keys without overriding
    normal widget behaviour.  Some of the playback controls were
    overriding tree view shortcuts, which is apparently an outrage.

 shell/rb-application.c  | 79 +++++++++++++++++++++++++++++++++++++++++++++++++
 shell/rb-application.h  |  3 ++
 shell/rb-shell-player.c | 11 ++++---
 shell/rb-shell.c        | 32 +++++++++++++++-----
 4 files changed, 113 insertions(+), 12 deletions(-)

commit 7c24ec4936a84b1a8e5f3ebec8eccfd49f95cc5e
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Mar 19 20:07:16 2016 +1000

    shell-player: remove unused parameter to rb_shell_player_playpause
    
    This hasn't been part of a dbus interface for a while now

 plugins/daap/rb-dacp-player.c                 | 2 +-
 plugins/lirc/rb-lirc-plugin.c                 | 4 ++--
 plugins/mmkeys/rb-mmkeys-plugin.c             | 4 ++--
 plugins/mpris/rb-mpris-plugin.c               | 2 +-
 plugins/notification/rb-notification-plugin.c | 2 +-
 plugins/visualizer/rb-visualizer-fullscreen.c | 2 +-
 shell/rb-shell-player.c                       | 7 ++-----
 shell/rb-shell-player.h                       | 2 +-
 shell/rb-shell.c                              | 2 +-
 9 files changed, 12 insertions(+), 15 deletions(-)

commit 55edaa2de2089c9d268e04a086e0353761968573
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Dec 29 16:08:14 2014 +1000

    source-search: we don't use GtkActions for anything any more

 sources/rb-source-search.c | 35 -----------------------------------
 sources/rb-source-search.h |  4 ----
 2 files changed, 39 deletions(-)

commit cea5d4d3c8c52bdc5f37303c525fc2346fa8f349
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Mar 16 20:07:36 2016 +1000

    implement get_property_views for RBPodcastSource

 podcast/rb-podcast-source.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit bedca3e48724d1beb755cd5a5ddf45011ac8721c
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:   Sun Jul 31 21:50:51 2016 +0000

    Updated Hungarian translation

 po/hu.po | 240 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 134 insertions(+), 106 deletions(-)

commit 165a82e2cbeb87ba134e0caff2f588cebc51f7c4
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jul 27 22:20:55 2016 +1000

    encoder: explicitly check that an encoder is available
    
    encodebin can operate in passthrough mode, in which it doesn't require
    an encoder, so it doesn't post missing plugin messages if no encoder is
    available.  We now check this ourselves.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=768545

 backends/gstreamer/rb-encoder-gst.c | 75 ++++++++++++++++++++++---------------
 1 file changed, 44 insertions(+), 31 deletions(-)

commit 000666ed43a9bed8e1c70ca8fbade11e7b260b0f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jul 27 22:19:49 2016 +1000

    media-types: add a helper for getting the encoder caps for a profile

 lib/rb-gst-media-types.c | 17 ++++++++++++++++-
 lib/rb-gst-media-types.h |  1 +
 2 files changed, 17 insertions(+), 1 deletion(-)

commit 7de6cd5e1d739d0bd2742c559688fae13115d6e1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Jul 25 03:57:16 2016 +0200

    Add Language headers to po files
    
    Future versions of gettext will fail if this header is missing.

 po/am.po          | 1 +
 po/as.po          | 1 +
 po/az.po          | 1 +
 po/be.po          | 2 +-
 po/be@latin.po    | 1 +
 po/bn_IN.po       | 1 +
 po/br.po          | 1 +
 po/ca@valencia.po | 1 +
 po/cy.po          | 1 +
 po/dz.po          | 1 +
 po/en_CA.po       | 1 +
 po/es.po          | 2 +-
 po/eu.po          | 1 +
 po/fa.po          | 1 +
 po/fi.po          | 1 -
 po/ga.po          | 1 +
 po/gu.po          | 1 +
 po/he.po          | 1 +
 po/hi.po          | 1 +
 po/hr.po          | 1 +
 po/is.po          | 1 +
 po/kn.po          | 1 +
 po/lv.po          | 3 ---
 po/mk.po          | 2 +-
 po/ml.po          | 1 +
 po/mn.po          | 1 +
 po/mr.po          | 1 +
 po/ms.po          | 1 +
 po/nb.po          | 2 +-
 po/nds.po         | 1 +
 po/ne.po          | 1 +
 po/nn.po          | 1 +
 po/oc.po          | 2 +-
 po/or.po          | 1 +
 po/ps.po          | 1 +
 po/ru.po          | 2 +-
 po/rw.po          | 2 +-
 po/si.po          | 1 +
 po/sl.po          | 2 +-
 po/sr@latin.po    | 2 +-
 po/ta.po          | 1 +
 po/zh_HK.po       | 2 +-
 42 files changed, 40 insertions(+), 14 deletions(-)

commit 092de5a68f85f69576c2536f7516464115e5fc8c
Author: Tiago Santos <tiagofsantos81@sapo.pt>
Date:   Mon Jul 4 13:55:02 2016 +0000

    Updated Portuguese translation

 po/pt.po | 238 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 134 insertions(+), 104 deletions(-)

commit 69de02497b3e5859988b9882fe1b3da00bf6d9fc
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Jul 2 15:55:21 2016 +1000

    encoder: clear source id when stopping the timeout

 backends/gstreamer/rb-encoder-gst.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 9b243491bcb150d7da3db9c2697238d329e24649
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jun 20 19:55:53 2016 +1000

    podcast: avoid warnings with older compilers
    
    gcc 4.2.1 can't figure out that e and elen are always assigned before
    being used, so make it more obvious.

 podcast/rb-podcast-properties-dialog.c | 2 ++
 1 file changed, 2 insertions(+)

commit b9e493f60f08d2d6cfaeb270b4ff5410da9d7fc2
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jun 19 19:37:29 2016 +1000

    podcast: define the description label in the builder file

 data/ui/podcast-properties.ui          | 50 +++++++++++++++++++---------------
 podcast/rb-podcast-properties-dialog.c | 19 +------------
 2 files changed, 29 insertions(+), 40 deletions(-)

commit fe09b0893dc397404f214b4b5e0dad9b5ebd06ab
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jun 19 19:17:30 2016 +1000

    update versions of things

 INSTALL.quick | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit c7315e3267503db9fbb2c0816d9ea7d1ad8c3469
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jun 19 18:15:46 2016 +1000

    media-types: add some missing annotations

 lib/rb-gst-media-types.c               | 23 +++++++++++++++++++++++
 podcast/rb-podcast-properties-dialog.c | 20 ++++++++++++++++++--
 2 files changed, 41 insertions(+), 2 deletions(-)

commit c1cc0d663f55ba6a4de371579a0e34293f39a504
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jun 19 17:02:58 2016 +1000

    podcast: remove tags and decode entities in html podcast descriptions

 podcast/rb-podcast-properties-dialog.c | 156 ++++++++++++++++++++++++++++++++-
 1 file changed, 153 insertions(+), 3 deletions(-)

commit 4c951c864807843a448884d75490a510be852aef
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jun 19 13:39:09 2016 +1000

    podcast: drop webkit code for displaying episode descriptions

 configure.ac                           |  23 -----
 podcast/Makefile.am                    |   1 -
 podcast/rb-podcast-properties-dialog.c | 162 +--------------------------------
 shell/Makefile.am                      |   2 -
 4 files changed, 1 insertion(+), 187 deletions(-)

commit 704ac8e4fbb8726e30abe77fbf15a0e3dbdbc351
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Jun 18 15:58:40 2016 +1000

    require glib 2.36 and stop calling g_type_init

 configure.ac                        | 2 +-
 lib/libmediaplayerid/testmpid.c     | 2 --
 metadata/rb-metadata-dbus-service.c | 1 -
 metadata/test-metadata.c            | 2 --
 plugins/audiocd/test-cd.c           | 1 -
 podcast/test-podcast-parse.c        | 1 -
 podcast/test-podcast-search.c       | 1 -
 remote/dbus/rb-client.c             | 1 -
 shell/main.c                        | 1 -
 tests/test-audioscrobbler.c         | 1 -
 tests/test-rb-lib.c                 | 1 -
 11 files changed, 1 insertion(+), 13 deletions(-)

commit eef91d5edd4763246b51076936f44670ff3a39cf
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Jun 18 15:50:17 2016 +1000

    require libsoup 2.42 and switch to SoupSession

 configure.ac                                            |  2 +-
 plugins/audiocd/rb-musicbrainz-lookup.c                 | 10 +++++-----
 plugins/audioscrobbler/rb-audioscrobbler-account.c      |  6 +++---
 plugins/audioscrobbler/rb-audioscrobbler-radio-source.c |  6 +++---
 plugins/audioscrobbler/rb-audioscrobbler-user.c         |  6 +++---
 plugins/audioscrobbler/rb-audioscrobbler.c              |  2 +-
 podcast/rb-podcast-search-itunes.c                      |  6 +++---
 podcast/rb-podcast-search-miroguide.c                   |  6 +++---
 8 files changed, 22 insertions(+), 22 deletions(-)

commit 2ef1ca8e191ff28f9d206695f41a21efc71e5dad
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jun 9 19:11:07 2016 +0200

    daap: Fix warnings when configuring music sharing
    
    Even though both "plugin" instances we get for the main plugin and the
    configuration widget are RbDaapPlugin types, they're separate instances.
    So we cannot expect ->builder to be available in the main plugin.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=767466

 plugins/daap/rb-daap-plugin.c | 28 ++++++++++++++++++----------
 1 file changed, 18 insertions(+), 10 deletions(-)

commit a6371f2723264ff93fd4005ea19eec5036055714
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jun 15 21:46:40 2016 +1000

    use Gio.Settings.new to avoid GSettings:schema deprecation warnings
    
    https://bugzilla.gnome.org/show_bug.cgi?id=749388

 plugins/lyrics/LyricsConfigureDialog.py | 2 +-
 plugins/lyrics/LyricsParse.py           | 2 +-
 plugins/lyrics/lyrics.py                | 2 +-
 plugins/magnatune/MagnatuneAccount.py   | 2 +-
 plugins/magnatune/MagnatuneSource.py    | 6 +++---
 plugins/magnatune/magnatune.py          | 6 +++---
 plugins/replaygain/config.py            | 2 +-
 plugins/replaygain/player.py            | 2 +-
 plugins/webremote/webremote.py          | 4 ++--
 9 files changed, 14 insertions(+), 14 deletions(-)

commit 3c2c35bc1b0de4ec441b5ec4223ac709fb283d2b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jun 15 21:44:55 2016 +1000

    stop using deprecated margin properties in GtkBuilder files
    
    https://bugzilla.gnome.org/show_bug.cgi?id=749388

 data/ui/general-prefs.ui                           |  8 ++++----
 data/ui/main-toolbar.ui                            | 16 +++++++--------
 data/ui/podcast-prefs.ui                           |  4 ++--
 data/ui/sync-dialog.ui                             |  4 ++--
 plugins/audiocd/album-info.ui                      |  2 +-
 .../audioscrobbler/audioscrobbler-preferences.ui   |  4 ++--
 plugins/audioscrobbler/audioscrobbler-profile.ui   | 24 +++++++++++-----------
 plugins/daap/daap-prefs.ui                         |  4 ++--
 plugins/magnatune/magnatune-prefs.ui               |  4 ++--
 plugins/replaygain/replaygain-prefs.ui             |  4 ++--
 plugins/webremote/webremote-config.ui              |  4 ++--
 11 files changed, 39 insertions(+), 39 deletions(-)

commit fff0ef6ca7d9e0fcdceae0b5fb769a2724ebef1a
Author: Hubert Figuière <hub@figuiere.net>
Date:   Wed Jun 15 21:43:24 2016 +1000

    Bug 749388 - Part 1: Remove some deprecated properties, checked at runtime.

 sources/rb-display-page-tree.c | 4 +++-
 widgets/rb-entry-view.c        | 9 +++++----
 2 files changed, 8 insertions(+), 5 deletions(-)

commit 85108e0e5b64445b5af4056f8dc50d45d06f4e83
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jun 15 19:45:27 2016 +1000

    button-bar: switch to non-deprecated margin properties
    
    https://bugzilla.gnome.org/show_bug.cgi?id=749388

 widgets/rb-button-bar.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 338e1dcdcbcb4071e7cc35e0e72babb702f5a631
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jun 15 19:42:30 2016 +1000

    header: remove hacks for old versions of gtk

 widgets/rb-header.c | 16 +---------------
 1 file changed, 1 insertion(+), 15 deletions(-)

commit 0cdc753995089c52b87f5e48fcdd5285b4253dfc
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jun 13 22:09:45 2016 +1000

    shell: use source dir rather than build dir for uninstalled plugin data
    
    We currently don't have any plugin data files that are generated as part
    of the build, so locating them from the source dir works for now.
    Python plugins still don't work in uninstalled builddir != srcdir builds,
    however.

 shell/rb-shell.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit b1677340c2b92986b4726f0f4ccbcc1ae9ba9aef
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jun 13 21:59:41 2016 +1000

    build: ensure uninstalled paths are absolute
    
    This means you can run srcdir != builddir builds from the shell directory
    like nature intended, rather than from the root of the source tree.

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0547e27b824255c703f420c390920e1e1edeadbb
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jun 12 14:39:23 2016 +1000

    song-info: fix context for 'of'
    
    At some point intltool decided it didn't like single quotes in translator
    notes in xml files, so reword this to avoid them.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=767524

 data/ui/song-info.ui | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8f196bb5ba840adf17164ca33f7a562a6708f152
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 20 15:57:12 2016 +0200

    shell: Fix state of the "Party Mode" toggle item
    
    The "Party Mode" menu item is a toggle menu item. If we only listen to
    the "activate" signal, we'll listen for clicks, but we won't change the
    state. So when the gear menu appears, the old state would be shown.
    
    Listen to the state change instead, and update the action state.
    
    http://bugzilla.gnome.org/show_bug.cgi?id=703910

 shell/rb-shell.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 8738f0d483a1e9602702858966a3a4da444d9401
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jun 9 17:04:33 2016 +0200

    build: Fix plugins not finding their data in jhbuild
    
    Now that jhbuild launches configure from a different builddir, `pwd`
    isn't the root of the source tree, but the builddir. Using `dirname $0`
    instead means that ROOT_UNINSTALLED_DIR will be the source tree instead
    of the builddir.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=767456

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 396e6b510e356d0575bfd9e9819b20b0ada683ef
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jun 9 16:21:09 2016 +0200

    shell: Fix crash when menu doesn't exist
    
     #0  0x00007fffef7db4a5 in g_menu_model_get_n_items (model=0x0) at gmenumodel.c:493
     #1  0x00007ffff7aa07b1 in rb_application_link_shared_menus (app=0x628840, menu=0x0) at /jhbuild/rhythmbox/shell/rb-application.c:778
     #2  0x00007fffca9c6444 in rb_iradio_source_new (shell=0x8df1b0, plugin=0x1172a50) at /jhbuild/rhythmbox/plugins/iradio/rb-iradio-source.c:458
     #3  0x00007fffca9c523a in impl_activate (plugin=0x1172a50) at /jhbuild/rhythmbox/plugins/iradio/rb-iradio-plugin.c:89
    
    https://bugzilla.gnome.org/show_bug.cgi?id=767456

 shell/rb-application.c | 2 ++
 1 file changed, 2 insertions(+)

commit f676800eac9d866cef6b4b7fbac2024a5d4d2baf
Author: Marvin Schmidt <marv@exherbo.org>
Date:   Fri Jun 3 22:20:20 2016 +0200

    build: Use pkg-config binary as detected by PKG_PROG_PKG_CONFIG
    
    In cross-compilation scenarios `pkg-config` is not be the correct
    pkg-config executable for the host. PKG_PROG_PKG_CONFIG checks for
    the correct host prefixed executable and defines $PKG_CONFIG, so use
    that instead of `pkg-config`

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit adf15e136ccd27a45ad77c2e5f93e3054ee649ee
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Jun 11 17:45:34 2016 +0200

    Updated Czech translation

 po/cs.po | 189 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 112 insertions(+), 77 deletions(-)

commit e85e3de6a3d306a3c89d17d87babab8b43079ace
Author: GNOME Translation Robot <gnome-sysadmin@gnome.org>
Date:   Sat Jun 11 09:02:56 2016 +0000

    Updated Scottish Gaelic translation

 po/gd.po | 1415 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 858 insertions(+), 557 deletions(-)

commit a34a32d9767a7d8b13836a9e7ab1210695d216a7
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Mon May 30 20:18:16 2016 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 47 +++++++++++++++++++++++------------------------
 1 file changed, 23 insertions(+), 24 deletions(-)

commit eb86a82b79ecf6bebe01e7216ec5b6450d99eb38
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon May 30 19:19:29 2016 +0200

    Updated Spanish translation

 po/es.po | 177 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 101 insertions(+), 76 deletions(-)

commit 842f1ecb9d34a22930dd1a8af20eb4284b678d89
Author: Gayan Weerakutti <gayan@linuxdeveloper.space>
Date:   Mon May 16 17:21:28 2016 +0530

    lyrics: update TerraParser to match current layout
    
    https://bugzilla.gnome.org/show_bug.cgi?id=721926

 plugins/lyrics/TerraParser.py | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit ba24e933e9197fdc980cba504c68c5cbfab7d664
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun May 29 19:15:19 2016 +1000

    soundcloud: use pagination to fetch more search results and tracks
    
    Fetch more containers when the bottom of the list is visible, and
    provide a button for fetching more tracks.

 plugins/soundcloud/soundcloud.py | 90 +++++++++++++++++++++++++++++++++++++---
 plugins/soundcloud/soundcloud.ui |  4 +-
 2 files changed, 86 insertions(+), 8 deletions(-)

commit b951577b692596672e17f49abf7068238ef5da91
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat May 28 22:54:39 2016 +1000

    soundcloud: enable pausing
    
    souphttpsrc seems to handle this pretty well.

 plugins/soundcloud/soundcloud.py | 3 +++
 1 file changed, 3 insertions(+)

commit 632ac4558b70323329b745fb04f697d19b01e284
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Thu May 26 17:01:24 2016 +0200

    Updated German translation

 po/de.po | 170 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 99 insertions(+), 71 deletions(-)

commit 19ae41092bbbf8e5fcf1445e0e8b4e90109ceee5
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sat May 21 07:27:26 2016 +0000

    Updated Slovak translation

 po/sk.po | 42 +++++++++++++++++++++---------------------
 1 file changed, 21 insertions(+), 21 deletions(-)

commit 595a2aa6aa457be022321fb6aab3fed479629f57
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu May 19 15:29:52 2016 +0200

    Updated Polish translation

 po/pl.po | 38 +++++++++++++++++++-------------------
 1 file changed, 19 insertions(+), 19 deletions(-)

commit 9ca6bec5253858131979a70dce30f05272f3a187
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu May 19 21:54:19 2016 +1000

    grilo: chain up in delete_thyself

 plugins/grilo/rb-grilo-source.c | 2 ++
 1 file changed, 2 insertions(+)

commit 81b5071b6bc0833209aa3f2ea50e2f9ea7acaa87
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed May 18 22:17:54 2016 +1000

    replaygain: link to hydrogenaudio wiki instead of replaygain.org
    
    https://bugzilla.gnome.org/show_bug.cgi?id=766584

 plugins/replaygain/replaygain-prefs.ui | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1bcefdffd07875f4ded2c08e1c91ddc623426d2e
Author: Richard Hughes <richard@hughsie.com>
Date:   Wed May 18 11:39:10 2016 +0100

    Upgrade the AppData file to 0.6v and add missing data

 data/rhythmbox.appdata.xml.in | 19 +++++++++++++------
 1 file changed, 13 insertions(+), 6 deletions(-)

commit 3e986dd5c959b8d5ec3b5b2cffa72f81323d8cbe
Author: Victor Toso <me@victortoso.com>
Date:   Fri May 13 23:16:31 2016 +0200

    grilo: fix crash due NULL url from GrlMedia
    
     #0 g_str_hash (v=0x0) at ghash.c:1876
     #1 in g_hash_table_lookup_node (hash_return=<synthetic pointer>,
        key=0x0, hash_table=0x604640) at ghash.c:375
     #2 g_hash_table_lookup (hash_table=0x604640, key=key@entry=0x0) at ghash.c:1147
     #3 in rb_refstring_find (init=0x0) at rb-refstring.c:122
     #4 in rhythmdb_entry_lookup_by_location (db=0x76a490, uri=<optimized out>)
        at rhythmdb.c:4036
     #5 in create_entry_for_media (container=0x0, data=0xcb5360,
        entry_type=<optimized out>, db=0x76a490) at rb-grilo-source.c:553
    
    https://bugzilla.gnome.org/show_bug.cgi?id=766392

 plugins/grilo/rb-grilo-source.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit c5febca53197395ac4bd127daa543fcb25a0efd0
Author: Victor Toso <me@victortoso.com>
Date:   Fri May 13 22:58:04 2016 +0200

    grilo: port to 0.3
    
    Current grilo version is 0.3.1. There were a few API breaks from
    0.2.x to 0.3.0 which this patch addresses.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=766392

 configure.ac                    |  4 ++--
 plugins/grilo/rb-grilo-plugin.c |  2 +-
 plugins/grilo/rb-grilo-source.c | 10 +++++-----
 3 files changed, 8 insertions(+), 8 deletions(-)

commit 3922e9c965e79e0a2440b8e0f4061313d05ddde3
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun May 15 21:51:25 2016 +1000

    webremote: store the access key in normal (non-secret) settings
    
    The complexity of dealing with locked keyrings and async requests
    to the secret service doesn't seem to be worth it in this case.

 data/org.gnome.rhythmbox.gschema.xml |  6 +++-
 plugins/webremote/webremote.py       | 59 ++++++------------------------------
 2 files changed, 14 insertions(+), 51 deletions(-)

commit 9a604bc95943e7c88f7e8a43202ccc7cffdfb3d2
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sun May 15 11:07:16 2016 +0000

    Updated Slovak translation

 po/sk.po | 139 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 84 insertions(+), 55 deletions(-)

commit b40a05d5c4202ae3b9658472328fb2246a054f66
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:   Wed May 11 19:30:31 2016 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 158 +++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 93 insertions(+), 65 deletions(-)

commit a2d508b07016f4e3ed8d5e770c5b96f6433b4c87
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed May 11 18:14:19 2016 +0200

    Updated Polish translation

 po/pl.po | 50 +++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 39 insertions(+), 11 deletions(-)

commit d03895d621b3f3208891ee0057671f5eb5fd86a4
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue May 10 00:59:57 2016 +0200

    Updated POTFILES.in

 po/POTFILES.in | 3 +++
 1 file changed, 3 insertions(+)

commit 445186d6577efecf7a3e7f4a8ecdd58347d0c800
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon May 9 22:30:44 2016 +1000

    new web remote control plugin
    
    This provides a simple interface to control playback, and soon will
    be able to stream the playing track to the client.

 configure.ac                                   |   1 +
 data/org.gnome.rhythmbox.gschema.xml           |   9 +
 plugins/Makefile.am                            |   1 +
 plugins/webremote/Makefile.am                  |  17 +
 plugins/webremote/css/grids-responsive-min.css |   7 +
 plugins/webremote/css/pure-min.css             |  11 +
 plugins/webremote/css/webremote.css            |  72 +++
 plugins/webremote/js/webremote.js              | 399 +++++++++++++++
 plugins/webremote/siphash.py                   | 261 ++++++++++
 plugins/webremote/webremote-config.ui          |  88 ++++
 plugins/webremote/webremote.html               |  82 ++++
 plugins/webremote/webremote.plugin.in          |  10 +
 plugins/webremote/webremote.py                 | 655 +++++++++++++++++++++++++
 13 files changed, 1613 insertions(+)

commit 10d44762421c23442a8f4d4ba82a874643d81724
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon May 9 18:54:49 2016 +1000

    introspect gstreamer media type helpers

 bindings/gi/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 38dbea885b69cad748279af747ec438bf62605f4
Author: Tiago Santos <tiagofsantos81@sapo.pt>
Date:   Wed May 4 19:25:42 2016 +0000

    Updated Portuguese translation

 po/pt.po | 76 ++++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 43 insertions(+), 33 deletions(-)

commit b9a13191a23fc57a1e9b31a753775b91ff84f0d8
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon May 2 12:01:37 2016 +1000

    header: control cover art image visibility properly
    
    Initial visibility gets applied during construction of the header, but that
    gets overridden when the entire header is made visible.  Setting the image
    to no-show-all fixes this.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=765833

 widgets/rb-header.c | 1 +
 1 file changed, 1 insertion(+)

commit 8bc4971dd8e79bb3f6dbc6fc00789e896b223eea
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Apr 17 13:46:21 2016 +1000

    replaygain: simplify config dialog a bit

 plugins/replaygain/config.py           |   4 -
 plugins/replaygain/replaygain-prefs.ui | 158 ++++++++++++++-------------------
 2 files changed, 65 insertions(+), 97 deletions(-)

commit c414b79b8318b233ac0b68772d2e84dacb2c527e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Apr 10 11:01:53 2016 +0200

    Updated Spanish translation

 po/es.po | 130 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 69 insertions(+), 61 deletions(-)

commit 5dfcfeb8a685a5f73032fe425303358cecc206b6
Author: Shi Jing <jingshi@ubuntukylin.com>
Date:   Fri Apr 8 17:56:41 2016 +0800

    Update zh_CN translation

 po/zh_CN.po | 1834 +++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 1082 insertions(+), 752 deletions(-)

commit fc26740adf5df14bf98db230cb7f4fec510f62e4
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Apr 7 20:41:40 2016 +0200

    Updated Polish translation

 po/pl.po | 56 ++++++++++++++++++++++++++++----------------------------
 1 file changed, 28 insertions(+), 28 deletions(-)

commit c11434b405ba1d2fcf699b2db7e5a50ee13d5705
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Apr 3 19:09:03 2016 +1000

    Rhythmbox 3.3.1

 NEWS         | 41 +++++++++++++++++++++++++++++++++++++++++
 README       |  2 +-
 configure.ac |  2 +-
 3 files changed, 43 insertions(+), 2 deletions(-)

commit cdab0564df4e8e70a3bbbfe899ba9ad9402b2021
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Apr 3 18:38:16 2016 +1000

    remove reference to data tee documentation

 doc/reference/rhythmbox-docs.sgml | 1 -
 1 file changed, 1 deletion(-)

commit 4ebad29e2675e0e90b506e96941565aa424b02d5
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Apr 3 18:37:30 2016 +1000

    disable context plugin in a more distcheck friendly fashion

 plugins/Makefile.am         | 5 +----
 plugins/context/Makefile.am | 2 +-
 2 files changed, 2 insertions(+), 5 deletions(-)

commit 5ed44296463cc8352dc8bd686062ef6c9c41e8ac
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:   Thu Mar 31 07:16:28 2016 +0700

    Updated Vietnamese translation
    
    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

 po/vi.po | 109 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 58 insertions(+), 51 deletions(-)

commit b6d6d4895f18a5f99bae9b3d2a350d2dc1f2bee2
Author: Marvin Schmidt <marv@exherbo.org>
Date:   Sat Mar 12 10:24:42 2016 +0100

    build: Rework logic of python support
    
    Check for suitable Python interpreter only if Python support is actually
    enabled or we're autodetecting whether we can enable it. So far
    AM_PYTHON without second and third argument (action-if-found and
    action-if-not-found) would error out if no suitable Python version was
    found, even if Python support was explictly disabled

 configure.ac | 33 +++++++++++++++++++++------------
 1 file changed, 21 insertions(+), 12 deletions(-)

commit 67b24c9c6b3b8d9b95924b319407eb770c9bab11
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Mar 22 22:02:39 2016 +1000

    disable context pane plugin, since it uses webkit1
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752019

 plugins/Makefile.am | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit b5be9551113118e7a4b11550b16a59285e1c279b
Author: Iain Lane <iain@orangesquash.org.uk>
Date:   Tue Mar 22 21:58:36 2016 +1000

    podcast: port properties dialog to webkit2
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752019

 configure.ac                           |   3 +-
 podcast/rb-podcast-properties-dialog.c | 111 ++++++++++++++++-----------------
 2 files changed, 54 insertions(+), 60 deletions(-)

commit 1ccbbc33191f5158685a558fcf67fa5a56b89368
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Mar 22 19:22:53 2016 +1000

    xfade: don't crash when handling raw streams
    
    The check to determine whether the audio decoder in use is derived
    from GstAudioDecoder failed horribly on raw streams, where there's only
    one level of ghost pad and then the audio source.  Checking to see if
    the target of the first ghost pad is itself a ghost pad fixes the crash.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=762087

 backends/gstreamer/rb-player-gst-xfade.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit edbbe90d73785d3f10af3427b0dba44900bc2556
Author: Necdet Yücel <necdetyucel@gmail.com>
Date:   Sat Mar 19 13:01:44 2016 +0000

    Updated Turkish translation

 po/tr.po | 1151 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 628 insertions(+), 523 deletions(-)

commit 11c6fd74d55de767af5138d6004a8e75f4260a40
Author: Daniel Șerbănescu <daniel@serbanescu.dk>
Date:   Fri Mar 18 14:36:11 2016 +0000

    Updated Romanian translation

 po/ro.po | 6518 +++++++++++++++++++++++++-------------------------------------
 1 file changed, 2646 insertions(+), 3872 deletions(-)

commit cc192a8f9d2555e61690d736c4acce6b29eff0c6
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:   Fri Mar 18 08:07:06 2016 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 207 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 105 insertions(+), 102 deletions(-)

commit aea7e34b246b337d1755827f036224ff0c176eaa
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Mar 17 12:13:40 2016 +1000

    notification: don't update buttonless notifications when paused
    
    If the notification daemon doesn't support icon buttons on notifications,
    there's no reason to update notifications when playback is paused.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=762203

 plugins/notification/rb-notification-plugin.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a61f8a4ce736a2d7fdf0f7d57bafbb537fcea66c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Mar 16 16:54:17 2016 +1000

    replaygain: remove hacks to reset rgvolume
    
    rgvolume only keeps the old gain values on gapless transitions, which
    (for a couple of years now) have only been used for tracks on the same
    album.  Since we use album gain mode, tracks on the same album should
    have the same gain anyway, so resetting rgvolume doesn't achieve anything.

 plugins/replaygain/player.py | 56 +-------------------------------------------
 1 file changed, 1 insertion(+), 55 deletions(-)

commit 7939bd51971bddea451e32198a6d6ec1d8e3b981
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Mar 15 15:14:07 2016 +1000

    playbin: implement filters using audio-filter property, remove tees

 backends/gstreamer/rb-player-gst.c | 93 ++++----------------------------------
 1 file changed, 10 insertions(+), 83 deletions(-)

commit d144fd61c6963d25e86e5462056332353e2e3661
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Mar 15 10:29:42 2016 +1000

    remove the unimplemented data tee interface

 backends/Makefile.am                 |   4 +-
 backends/rb-player-gst-data-tee.c    | 163 -----------------------------------
 backends/rb-player-gst-data-tee.h    |  72 ----------------
 doc/reference/rhythmbox-sections.txt |  15 ----
 doc/reference/rhythmbox.types        |   2 -
 5 files changed, 1 insertion(+), 255 deletions(-)

commit 6b6c283b18a33d25000874456e77a579f19510cd
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Mar 15 10:25:58 2016 +1000

    require GStreamer 1.4.0 or newer
    
    This allows us to use playbin's audio-filter property to insert
    filters into the pipeline.

 backends/gstreamer/rb-player-gst-xfade.c | 26 +++++++++++---------------
 configure.ac                             |  2 +-
 2 files changed, 12 insertions(+), 16 deletions(-)

commit 70bf99cc4278c1904b7c0cee3bba1ba3d8ec39f2
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Mar 15 17:58:20 2016 +0100

    Updated Polish translation

 po/pl.po | 62 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 31 insertions(+), 31 deletions(-)

commit f7ccb806cf9aa7d3c9ab15f089f338d8a3dec93b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Mar 15 17:12:23 2016 +1000

    media-player: update action status when the source is selected

 sources/rb-media-player-source.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 0598c9ddb23b7b6da3e1f3d3fa3f9df4a470333c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Mar 15 09:59:14 2016 +1000

    header: chain up in size_allocate
    
    We re-allocate everything immediately afterwards, but GtkGrid now has
    a css gadget that needs to have its own sizing applied first.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763435

 widgets/rb-header.c | 2 ++
 1 file changed, 2 insertions(+)

commit 9e3289aed2a49323fd31720899a15a7fec110bc3
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Sun Mar 13 16:10:28 2016 +0000

    Updated Finnish translation

 po/fi.po | 92 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 46 insertions(+), 46 deletions(-)

commit ea5b521493be1eb15043310b1709d0a4b79577bd
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Fri Mar 11 12:15:52 2016 +0000

    Updated Occitan translation

 po/oc.po | 34 ++++++++++++++++------------------
 1 file changed, 16 insertions(+), 18 deletions(-)

commit 35111a474452958adae576274e8da365036d2a14
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Fri Mar 11 12:08:54 2016 +0000

    Updated Occitan translation

 po/oc.po | 1972 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 1095 insertions(+), 877 deletions(-)

commit 036ed0a652b203004ed4b037de3bda8005e0b374
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Mar 7 22:11:15 2016 +1000

    rhythmdb: check entry was added before attempting to cache metadata
    
    rhythmdb_add_import_error_entry doesn't always create an entry.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763206

 rhythmdb/rhythmdb.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 8c3a6467e701546814342bd8f4d95ae3f5d0b9d2
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Sun Mar 6 22:39:45 2016 +0000

    Updated Hungarian translation

 po/hu.po | 174 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 88 insertions(+), 86 deletions(-)

commit 0d99a7f70d431f03386633a8cd871aec2bb5e27f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Feb 29 22:24:21 2016 +1000

    android: if device is locked, rescan music dirs every 5 seconds
    
    When the user unlocks the device, we can proceed as normal.
    This appears to be necessary for devices running versions of Android
    between ICS and Marshmallow.

 plugins/android/rb-android-source.c | 46 +++++++++++++++++++++++++++++--------
 1 file changed, 37 insertions(+), 9 deletions(-)

commit c85061853ee87631977253525139bc1af662f7eb
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Feb 28 12:58:15 2016 +0100

    Updated Czech translation

 po/cs.po | 173 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 88 insertions(+), 85 deletions(-)

commit 2eb401151639c5337a2bf90b3271b44d75dcac3e
Author: Miguel Rodríguez Núñez <bokerones.fritos@gmail.com>
Date:   Fri Feb 26 07:27:13 2016 +0000

    Updated Spanish translation

 help/es/es.po | 1800 ++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 1140 insertions(+), 660 deletions(-)

commit cba45fc7fbf990b419719435687602517c9c26a6
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sun Feb 21 21:14:17 2016 +0000

    Updated Swedish translation

 po/sv.po | 455 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 253 insertions(+), 202 deletions(-)

commit 81a725e17e10da608a197edb75b5e1e80b10854a
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sun Feb 21 08:44:21 2016 +0100

    Updated Serbian translation

 po/sr.po       | 177 ++++++++++++++++++++++++++++-----------------------------
 po/sr@latin.po | 177 ++++++++++++++++++++++++++++-----------------------------
 2 files changed, 174 insertions(+), 180 deletions(-)

commit 2fde7c734241e44569de795376f98b36e00f5b73
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Feb 18 07:55:05 2016 +1000

    android: don't show unlock message if storage exists but no music dirs

 plugins/android/rb-android-source.c | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit 634189557dc379d62ba186e9368eaaec6fa62145
Author: Sam Thursfield <sam@afuera.me.uk>
Date:   Sat Feb 6 19:33:02 2016 +0000

    Fix build on x86_32
    
    I got this build failure building 'master' using jhbuild:
    
        In file included from rb-android-source.c:42:0:
        rb-android-source.c: In function ‘free_space_cb’:
        rb-android-source.c:127:13: error: format ‘%lu’ expects argument of type
        ‘long unsigned int’, but argument 6 has type ‘guint64 {aka long long
        unsigned int}’ [-Werror=format=]
           rb_debug ("capacity: %lu, free space: %lu", priv->storage_capacity_next, priv->storage_free_space_next);
                     ^
        ../../lib/rb-debug.h:41:79: note: in definition of macro ‘rb_debug’
         #define rb_debug(...) rb_debug_realf (__FUNCTION__, __FILE__, __LINE__, TRUE, __VA_ARGS__)
                                                                                       ^
        rb-android-source.c:127:13: error: format ‘%lu’ expects argument of type
        ‘long unsigned int’, but argument 7 has type ‘guint64 {aka long long
        unsigned int}’ [-Werror=format=]
           rb_debug ("capacity: %lu, free space: %lu", priv->storage_capacity_next, priv->storage_free_space_next);
                     ^
        ../../lib/rb-debug.h:41:79: note: in definition of macro ‘rb_debug’
         #define rb_debug(...) rb_debug_realf (__FUNCTION__, __FILE__, __LINE__, TRUE, __VA_ARGS__)
                                                                                       ^
        cc1: all warnings being treated as errors
    
    Fixed by using %G_GUINT64_FORMAT instead of %lu to display the guint64
    parameters. The correct % format to use for guint64 depends on the
    target libc and architecture, sadly.

 plugins/android/rb-android-source.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 1e551f6c7843e1ebbe26e548cce0a50ced2cd03a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Feb 6 17:56:32 2016 +0100

    Updated Polish translation

 po/pl.po | 16 ++++++++++++----
 1 file changed, 12 insertions(+), 4 deletions(-)

commit 674374acdccbe2c809514a99c43d7d0be86b3b8a
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sat Feb 6 14:24:23 2016 +0000

    Updated Slovak translation

 po/sk.po | 866 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 580 insertions(+), 286 deletions(-)

commit 1d824d5110b34d5d46782b367f28c86e454023e9
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Thu Feb 4 17:45:52 2016 +0000

    Updated Italian translation

 po/it.po | 573 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 305 insertions(+), 268 deletions(-)

commit af11698503e3370324b994dca26c03e15a1ff0a9
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Thu Feb 4 18:29:17 2016 +0200

    Update Latvian translation

 po/lv.po | 3494 +++++++++++++++++---------------------------------------------
 1 file changed, 955 insertions(+), 2539 deletions(-)

commit e036eedc72165a18120878a64c99460fd57a3803
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Wed Feb 3 21:06:29 2016 +0100

    Updated German translation

 po/de.po | 152 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 81 insertions(+), 71 deletions(-)

commit c69e4fdefb2c97fd02fcb6b50887a474c55472d0
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Feb 3 07:34:06 2016 +1000

    android: tell user to unlock and enable MTP if no storage found
    
    In Marshmallow, at least, you need to enable MTP each time the device is
    connected.  Doing so makes the usb device disappear (which removes the existing
    source) and reappear (creating a new one), so we don't need a button to trigger
    a rescan here.  Perhaps this is different for older versions though.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744775

 plugins/android/rb-android-source.c | 39 +++++++++++++++++++++++++++++++++----
 1 file changed, 35 insertions(+), 4 deletions(-)

commit 7a40d34a802546a8f39cc8157022a2b709b4e1a9
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Feb 2 20:46:17 2016 +1000

    android: don't crash if no storage is available
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744775

 plugins/android/rb-android-source.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 116134f987b9cf3592a66842cd5ff858ed425046
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jan 25 15:36:45 2016 +0000

    Add a missing tag to the AppData file

 data/rhythmbox.appdata.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit f293568ce8ea24cffccc6bc0f5fd1ff67b95ee27
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jan 25 13:09:18 2016 +0000

    Add a missing tag to the AppData file

 data/rhythmbox.appdata.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 98228416d201b33f80b8b68a3910f49871757019
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jan 24 19:10:12 2016 +1000

    Rhythmbox 3.3

 NEWS         | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
 README       |  2 +-
 configure.ac |  2 +-
 3 files changed, 51 insertions(+), 2 deletions(-)

commit cb25f0dd9de48e23dc2ae1efb3bd07947756517b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jan 24 12:29:58 2016 +1000

    ext-db: avoid clashes between files and subdirectories
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761030

 metadata/rb-ext-db.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e772b7cfad10a8b298d9058be437ae7018372b7f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jan 24 12:28:03 2016 +1000

    work around an intltool bug so distcheck passes
    
    intltool-update -m doesn't properly handle POTFILES.skip entries for
    generated files when builddir != srcdir.  distcheck involves running
    intltool-update -m with builddir != srcdir, but we can trick it into
    passing by specifying the locations of the generated files too.
    
    intltool bug: https://bugs.launchpad.net/intltool/+bug/1117944

 po/POTFILES.skip | 5 +++++
 1 file changed, 5 insertions(+)

commit 2636be2c6b5b905361c0396db6d35bc94746da71
Author: Josef Andersson <josef.andersson@gmail.com>
Date:   Sat Jan 23 22:55:35 2016 +0000

    Updated Swedish translation

 help/sv/sv.po | 1570 +++++++++++++++++++++++++--------------------------------
 1 file changed, 687 insertions(+), 883 deletions(-)

commit c11fa237dcb345a7a728f7f1aea7117991b64342
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Jan 23 18:29:22 2016 +0200

    Updated Lithuanian translation

 po/lt.po | 182 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 88 insertions(+), 94 deletions(-)

commit 96f51fdd7d5cf7402b02b74c9f3dccc463500ad9
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Thu Jan 21 18:51:02 2016 +0000

    Updated Finnish translation

 po/fi.po | 121 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 61 insertions(+), 60 deletions(-)

commit a9d2dc5791256b22aae0d20d44d75e3fac1ed948
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Jan 21 17:31:49 2016 +0100

    Updated Polish translation

 po/pl.po | 161 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 77 insertions(+), 84 deletions(-)

commit 7d3a2fd3a28aa8c6033748e762a79d394dba0ee1
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Thu Jan 21 15:56:11 2016 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 538 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 286 insertions(+), 252 deletions(-)

commit 026ef96c3f58daeff57046b89c129a15969734eb
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Thu Jan 21 11:10:56 2016 +0100

    Updated German doc translation

 help/de/de.po | 1946 +++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 1281 insertions(+), 665 deletions(-)

commit fe277fea9f0c894b7166fe653937f6576262fde9
Author: Claude Paroz <claude@2xlibre.net>
Date:   Thu Jan 21 08:38:22 2016 +0100

    Updated French translation

 po/fr.po | 354 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 191 insertions(+), 163 deletions(-)

commit b5ab65617b6e71a7fd658920f46815293a246801
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:   Thu Jan 21 08:53:12 2016 +0700

    Updated Vietnamese translation
    
    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

 po/vi.po | 94 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 47 insertions(+), 47 deletions(-)

commit c7117a035eeaa8eda527bb73a40fd2d9b8a884c3
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Jan 8 22:21:46 2016 +1000

    xfade: simplify the previous hack a bit
    
    There's no need to use an idle handler to push buffers into the appsrc,
    and to make matters worse it deadlocks occasionally.

 backends/gstreamer/rb-player-gst-xfade.c | 13 +------------
 1 file changed, 1 insertion(+), 12 deletions(-)

commit 039da368a66544ca578a0dd121a2687f63ea6125
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jan 6 22:59:53 2016 +1000

    xfade: use appsrc to produce silence rather than audiotestsrc
    
    This works around what appears to be a bug in pulsesink, where it
    doesn't send any data to pulseaudio when it receives a GAP buffer,
    which means the stream timestamps get out of sync.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757225

 backends/gstreamer/rb-player-gst-xfade.c | 72 ++++++++++++++++++++++++++++----
 1 file changed, 65 insertions(+), 7 deletions(-)

commit 5f3cddde3467128d1298c5c71387f8aaa40942b8
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jan 6 20:30:55 2016 +1000

    tests: link normal libs into the audioscrobbler test
    
    https://bugzilla.gnome.org/show_bug.cgi?id=760192

 tests/Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit dd44c8b5b11d7984398f41526c7f56694d2afec0
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sun Jan 3 21:24:45 2016 +0100

    Updated Serbian translation

 po/sr.po       | 918 +++++++++++++++++++++++++++++++--------------------------
 po/sr@latin.po | 918 +++++++++++++++++++++++++++++++--------------------------
 2 files changed, 1016 insertions(+), 820 deletions(-)

commit 6fa2c591e6994a1b868776f12c1cb471704670ab
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Dec 29 15:58:32 2015 +1000

    another round of GI annotation fixes

 metadata/rb-ext-db.c               | 11 +++++++++++
 rhythmdb/rhythmdb-entry-type.c     |  4 ++--
 rhythmdb/rhythmdb-import-job.c     |  2 ++
 shell/rb-removable-media-manager.c | 24 +++++++++++++++++++++---
 shell/rb-shell.c                   |  1 +
 sources/rb-media-player-source.c   | 12 ++++++------
 sources/rb-media-player-source.h   |  4 ++--
 7 files changed, 45 insertions(+), 13 deletions(-)

commit f7b36104e25fab37c47177f3d0842d828471d0c2
Author: Yann R <yradenac@free.fr>
Date:   Fri Dec 25 16:47:15 2015 +1000

    encoder: set GST_TAG_DATE_TIME as well as GST_TAG_DATE
    
    https://bugzilla.gnome.org/show_bug.cgi?id=733830

 backends/gstreamer/rb-encoder-gst.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit cc503b2870c256ac6c35ef9e363a35454ca0a238
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Dec 21 08:09:50 2015 +0000

    Updated Spanish translation

 po/es.po | 13472 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 6736 insertions(+), 6736 deletions(-)

commit 5058444d252fbd257885ffd5712039b66f79b47f
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Dec 8 11:23:42 2015 +0100

    Updated Czech translation

 help/cs/cs.po | 1773 ++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 1122 insertions(+), 651 deletions(-)

commit 2f6d837b914c8697b60b337113d6af3d8d83741b
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sun May 3 23:18:10 2015 +0200

    Fix typos in help
    
    Signed-off-by: Marek Černocký <marek@manet.cz>

 help/C/fdl-appendix.xml | 2 +-
 help/C/index.docbook    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit f873eaf520f58bee1d29b570cc9b9b80da51887b
Author: Fran Dieguez <frandieguez@gnome.org>
Date:   Mon Nov 16 18:19:54 2015 +0000

    Updated Galician translation

 po/gl.po | 1648 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 970 insertions(+), 678 deletions(-)

commit 2b4fe808f4de462e6afc3b4be454b6c7d74b77af
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Mon Nov 16 11:53:23 2015 +0000

    Updated Portuguese translation

 po/pt.po | 2314 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 1292 insertions(+), 1022 deletions(-)

commit 86b20df7f0eb4cba7b485a7aa5a7decdcdb982a1
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Nov 14 12:40:42 2015 +0100

    Updated Norwegian bokmål translation.

 po/nb.po | 491 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 257 insertions(+), 234 deletions(-)

commit 54cb5f1d238422abb87ba0a55c77956e96b8db16
Author: Seong-ho Cho <shcho@gnome.org>
Date:   Thu Nov 5 00:51:15 2015 +0000

    Updated Korean translation

 po/ko.po | 7174 ++++++++++++++++++++++++++++----------------------------------
 1 file changed, 3275 insertions(+), 3899 deletions(-)

commit d1d2f0e0a1d0c1d8eae3d25c4e57b3f07ff65179
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Nov 1 22:35:10 2015 +1000

    xfade: only try to set stream uri tags on decoders that handle it properly
    
    The GstAudioDecoder base class doesn't send events downstream immediately,
    which means we don't deadlock when we send events to it from a callback
    that gets called because it sent an event downstream.  We can't be sure
    that this is true for decoders that don't use this base class, so we play
    it safe by now setting the stream uri tag on them.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=756992

 backends/gstreamer/rb-player-gst-xfade.c | 21 +++++++++++++++++----
 1 file changed, 17 insertions(+), 4 deletions(-)

commit 48a786a4aae47e9b47a889b2f78ccebd4c2572de
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Oct 26 21:39:57 2015 +1000

    rhythmdb: always specify an entry type when potentially adding entries
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755881

 rhythmdb/rhythmdb.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b020b1568de8a42e44037e770b945569e6f31fb0
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:   Mon Oct 26 04:39:40 2015 +0000

    Updated German translation

 po/de.po | 316 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 173 insertions(+), 143 deletions(-)

commit 403b3858ed89894c9c9929a5b20292b5578848a3
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Oct 17 20:09:09 2015 +1000

    xfade: work around GstPoll race
    
    This is a temporary hack that avoids hitting a race condition in GstPoll
    during sink startup, which manifests as the whole UI freezing while starting
    playback for the first time.
    
    With any luck, the GstPoll bug (https://bugzilla.gnome.org/show_bug.cgi?id=750397)
    will be fixed soon.

 backends/gstreamer/rb-player-gst-xfade.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit cb8ed45eac50780464642bbf8f78032e0835c88d
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Oct 13 12:28:35 2015 +0200

    Updated Czech translation

 po/cs.po | 184 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 104 insertions(+), 80 deletions(-)

commit 5918e447fa7ed6028d19cf6f8a5e61f75e432def
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:   Wed Sep 30 14:57:15 2015 +0700

    Updated Vietnamese translation
    
    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

 po/vi.po | 727 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 398 insertions(+), 329 deletions(-)

commit 1bf041808251d25d195e7ee59b9b46d63b8f7833
Author: Jiri Grönroos <jiri.gronroos+l10n@iki.fi>
Date:   Wed Sep 23 10:45:44 2015 +0300

    Finnish translation update

 po/fi.po | 549 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 284 insertions(+), 265 deletions(-)

commit a5cdb3d162380ac93e7f317d5e50033f6036c1a6
Author: Stas Solovey <whats_up@tut.by>
Date:   Tue Sep 22 20:12:19 2015 +0000

    Updated Russian translation

 po/ru.po | 1430 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 856 insertions(+), 574 deletions(-)

commit 98b89cfa64c84f588f21fc2caf059223ac11ba7e
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Thu Sep 17 15:07:24 2015 +0000

    Updated Hungarian translation

 po/hu.po | 534 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 283 insertions(+), 251 deletions(-)

commit 38c7d47bca168d22982e9e16fa210ff97daa6c79
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Sep 10 20:16:43 2015 +0200

    Fix typo in comment

 plugins/audioscrobbler/rb-audioscrobbler-radio-source.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5d8572ca4e7017cd3bcaa3e73670928457c15e62
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Sep 10 19:52:44 2015 +0200

    Fix FSF address in Polish translation

 po/pl.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f4d7e33005d9b7f1fb0c2947e3a33948b0acb93e
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Wed Sep 9 17:38:55 2015 +0300

    Updated Lithuanian translation

 po/lt.po | 556 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 285 insertions(+), 271 deletions(-)

commit f5726615f577f55172e94aabed2fbb2711a6e32d
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Wed Jul 15 21:36:37 2015 +0300

    data: Add various mod files as supported MIME types

 data/rhythmbox.desktop.in.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bb170987b1c6169d650b38041628e9364554e0a1
Author: Mario Sanchez Prada <mario@endlessm.com>
Date:   Fri Aug 14 17:36:30 2015 +0100

    Don't handle RTL icons manually for GTK+ >= 3.12
    
    The filenames for icons in RTL languages has changed slightly after
    GTK+ 3.12, including now the '-rtl' part after '-symbolic', and not
    before as it used to be. Also, since that version on, GTK+ handles
    this automatically, so there's no need to explicitly request the
    RTL version of the icons files from the application.
    
    This patch bumps the version GTK+ and forgets about manually requesting
    the RTL versions of those icons since GTK+ will do that from now on.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753359

 configure.ac            |  2 +-
 shell/rb-shell.c        | 20 ++++----------------
 widgets/rb-entry-view.c |  6 +-----
 3 files changed, 6 insertions(+), 22 deletions(-)

commit 97f99444c226aa043cefe8c9f0fbefc1fcae4885
Author: Iain Lane <laney@ubuntu.com>
Date:   Sun Sep 6 15:20:47 2015 +1000

    audioscrobbler: Fix displaying icon for libre.fm
    
    Use gtk_icon_theme_has_icon to check if a specific icon for the service
    exists, and if not use network-server-symbolic.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=749015

 plugins/audioscrobbler/rb-audioscrobbler-plugin.c  | 24 +++++++++++-----------
 .../rb-audioscrobbler-profile-page.c               | 14 ++++++-------
 2 files changed, 19 insertions(+), 19 deletions(-)

commit 873e500635d4bf85481fc239e4cfe034b66085e8
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Sep 5 22:55:42 2015 +1000

    improve android device identification
    
    Sadly it's not as easy as just looking for 'Android' in the device model string.
    Anything with 'Android' or 'Nexus' in the model string, or 'motorola' or 'OnePlus'
    in the vendor string is pretty safe to assume to be an Android device.
    This covers most of the major vendors except Sony.  Most likely, more will be added
    later.
    
    Since the checks are more complicated now, they've been moved to the removable media
    manager so both the android and mtp plugins can call them.

 plugins/android/rb-android-plugin.c | 47 ++++++++--------------------
 plugins/mtpdevice/rb-mtp-plugin.c   |  2 +-
 shell/rb-removable-media-manager.c  | 61 +++++++++++++++++++++++++++++++++++++
 shell/rb-removable-media-manager.h  |  3 ++
 4 files changed, 78 insertions(+), 35 deletions(-)

commit 05e125c6c52114e450ba46bdc5ca19a18fcbefbe
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Sep 2 20:18:18 2015 +0200

    Updated Polish translation

 po/pl.po | 198 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 99 insertions(+), 99 deletions(-)

commit 64e3c3b8dba8d5594914334050987d3aafd9402a
Author: Josef Andersson <josef.andersson@gmail.com>
Date:   Mon Aug 31 19:33:56 2015 +0000

    Updated Swedish translation

 po/sv.po | 803 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 393 insertions(+), 410 deletions(-)

commit 65d3c11d083e9345839d7b6a4871e93f5fa2d1c8
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Aug 25 13:00:14 2015 +0200

    Updated Spanish translation

 po/es.po | 13469 +++++++++++++++++++++++++++++++------------------------------
 1 file changed, 6749 insertions(+), 6720 deletions(-)

commit 9df306f32644cd67034fe6359014ef93f4006d03
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Aug 25 08:00:17 2015 +1000

    file-helpers: improve msdos sanitization a bit
    
    Everywhere rb_sanitize_path_for_msdos_filesystem is used, except for
    rb_sanitize_uri_for_filesystem, it's used on individual components
    of a path rather than the whole thing, so it makes sense for it to
    also replace '/' with '-'.  rb_sanitize_uri_for_filesystem now calls
    a different function with the old behaviour.

 lib/rb-file-helpers.c             | 19 ++++++++++++++-----
 plugins/mtpdevice/rb-mtp-source.c | 13 +++----------
 2 files changed, 17 insertions(+), 15 deletions(-)

commit fc0be3da06f50d59fe0533a0a909692f5c362125
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Thu Aug 20 09:49:48 2015 +0000

    Updated Slovak translation

 po/sk.po | 533 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 277 insertions(+), 256 deletions(-)

commit abb289cfc5a5f0b1379235c9ac3860b8e128f4ba
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Aug 20 10:02:20 2015 +1000

    track-transfer-batch: fix is-lossless checks for the 'copy' profile
    
    The copy profile has no media type, so check the source media type instead.

 shell/rb-track-transfer-batch.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 03e7a5dcb0fe4ba5392b53e8f9e0cdfaa8fc9a3c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Aug 19 11:18:35 2015 +0200

    Updated Polish translation

 po/pl.po | 202 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 114 insertions(+), 88 deletions(-)

commit b95300df2126778fc3e860fa0fa76a8dbe3ccb83
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Aug 19 02:09:54 2015 +0200

    Updated POTFILES.in

 po/POTFILES.in | 2 ++
 1 file changed, 2 insertions(+)

commit dfbddc04e677c1d9dde21baa334011e7a1a72a66
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Aug 19 07:23:20 2015 +1000

    rhythmdb: functions and prototypes should match
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753767

 rhythmdb/rhythmdb-metadata-cache.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b9c021fdbee8264525ccbaa58d2da3e820a8ad06
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Aug 18 23:02:08 2015 +1000

    mtp: ignore android devices, so the android plugin can grab them

 plugins/mtpdevice/rb-mtp-plugin.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 1c8e189e3cb464459ae16fdcfc1974a23c0ef357
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Aug 18 22:43:38 2015 +1000

    Android plugin
    
    This provides access to Android devices mounted by gvfs using MTP.  Unlike the
    existing MTP plugin, it doesn't talk directly to the device using libmtp.
    
    This is specifically aimed at Android devices because they don't work well with
    the MTP plugin's attempts to unmount the gvfs mount and establish a libmtp
    session, they don't provide useful metadata via MTP, and their media format is
    effectively uniform (though this may change if opus becomes more important).
    Android devices accessed via MTP can be assumed to be running at least Android
    4.0, which means MP3, FLAC, Ogg Vorbis and MP4 AAC are all supported.
    
    The plugin requires GUdev in order to access device identifiers.  The gvfs MTP
    backend also requires GUdev, so this shouldn't be a problem.
    
    Metadata caching was added to make this less painful to use.  It reduces the
    scan time for my phone with 15GB of music from 2:45 to 9 seconds, using a 600kb
    tdb file.

 configure.ac                         |   1 +
 data/org.gnome.rhythmbox.gschema.xml |   5 +
 plugins/Makefile.am                  |   4 +
 plugins/android/Makefile.am          |  52 ++
 plugins/android/android-info.ui      | 232 +++++++++
 plugins/android/android-toolbar.ui   |  29 ++
 plugins/android/android.mpi          |   8 +
 plugins/android/android.plugin.in    |  12 +
 plugins/android/rb-android-plugin.c  | 296 +++++++++++
 plugins/android/rb-android-source.c  | 980 +++++++++++++++++++++++++++++++++++
 plugins/android/rb-android-source.h  |  61 +++
 po/POTFILES.in                       |   5 +
 12 files changed, 1685 insertions(+)

commit 2b73bc65f410a12975379d09dc98bbfda71b17f4
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Aug 18 22:41:57 2015 +1000

    generic-player: use metadata caching
    
    The cache key prefix used here is the device serial number.

 plugins/generic-player/rb-generic-player-plugin.c | 21 +++++++++++++++++++--
 plugins/generic-player/rb-generic-player-source.c |  2 ++
 2 files changed, 21 insertions(+), 2 deletions(-)

commit 3d34053382f539a69e0f73fa4b0d63807a16e4e2
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Aug 18 22:36:37 2015 +1000

    rhythmdb: use metadata caches (via the entry type) during import
    
    After reading metadata from a file, store it in the cache.  Ignore entries
    may be cached too, since rereading them can take a significant amount of time.
    
    After statting a file, attempt to load its metadata from the cache (if the
    entry type has one); if metadata is found, compare the file size and
    modification time with the stat results and discard on mismatches.
    
    Ignore entries read from the cache are identified by their media type.
    application/octet-stream will never be a valid audio media type, so it must
    indicate an ignore entry, as errors are not cached.

 rhythmdb/rhythmdb-private.h |   2 +
 rhythmdb/rhythmdb.c         | 254 ++++++++++++++++++++++++++++++++++----------
 2 files changed, 197 insertions(+), 59 deletions(-)

commit 8ff955ce6ea16a6c396f8f3f1c6ca5fe8e48288e
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Aug 18 22:32:59 2015 +1000

    media-player: add an entry type and implement metadata cache methods
    
    Currently only the generic-player plugin can benefit from this, but
    there willl be more in the future.
    
    To make use of this, the media player class has to provide a URI prefix
    (the mount point of the device) and a key prefix (the device identifier),
    and call rb_media_player_source_purge_metadata_cache once all files from
    the device have been processed.

 sources/rb-media-player-source.c | 148 ++++++++++++++++++++++++++++++++++++++-
 sources/rb-media-player-source.h |  14 ++++
 2 files changed, 161 insertions(+), 1 deletion(-)

commit 9d316fbe74e4c06fc1f77066a64dd62425f600d9
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Aug 18 22:27:10 2015 +1000

    rhythmdb: add metadata cache helpers to RhythmDBEntryType
    
    This lets an entry type specify a cache name (which maps to a tdb filename
    in the current implementation) and methods for translating between entry
    URIs and metadata cache keys.
    
    Metadata cache keys are used because files on removable devices often don't
    have a stable location, since the mount point for the device can change.
    Metadata cache keys are constructed from some stable device identifier
    (such as a device serial number) and the file path relative to the root of
    the device.

 rhythmdb/rhythmdb-entry-type.c | 198 ++++++++++++++++++++++++++++++++++++++++-
 rhythmdb/rhythmdb-entry-type.h |  11 +++
 2 files changed, 208 insertions(+), 1 deletion(-)

commit ccf7cb01355633386ac99c3c2469a641ac14a553
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Aug 18 22:18:35 2015 +1000

    rhythmdb: add metadata cache
    
    This provides a mechanism for storing file metadata (not user metadata
    such as ratings) outside of the normal rhythmdb file.  Initially it will
    be used for files on media player devices, but it may find more uses.
    
    This implementation stores metadata as GVariants in tdb files (much like
    ext-db) but that also may change.  Cache entries also have a missing-since
    field, which is used to purge entries that haven't been seen in some
    period of time.

 rhythmdb/Makefile.am               |   6 +-
 rhythmdb/rhythmdb-metadata-cache.c | 553 +++++++++++++++++++++++++++++++++++++
 rhythmdb/rhythmdb-metadata-cache.h |  84 ++++++
 3 files changed, 641 insertions(+), 2 deletions(-)

commit 16e26fd6415f110c43beaf8d38c5cd00314a366d
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Aug 18 22:15:15 2015 +1000

    fix object name for encoding-settings-frame so we can hide it properly

 data/ui/media-player-properties.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b48d50911681e87b440940daee832826afbbf188
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Aug 6 10:57:00 2015 +0200

    Updated Czech translation

 po/cs.po | 382 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 195 insertions(+), 187 deletions(-)

commit b41392f27cf2c79f974e429064e35cf3313962c8
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Aug 1 19:17:17 2015 +0200

    Updated Polish translation

 po/pl.po | 306 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 155 insertions(+), 151 deletions(-)

commit 6ecf9af76a63db33a6234568058a9f584fd88477
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Aug 1 23:07:49 2015 +1000

    encoding-settings.ui needs to be installed

 data/ui/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit c326b405a007b3b32259d1588ebdffd3c9153969
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Aug 1 16:59:07 2015 +1000

    track-transfer-batch: don't transcode everything
    
    rework the profile ranking to return a NULL profile to indicate the
    source media type doesn't need any conversion.

 shell/rb-track-transfer-batch.c | 130 +++++++++++++++++++---------------------
 1 file changed, 61 insertions(+), 69 deletions(-)

commit 2cb62703da4242c404f5cbdde3b9eb87c09c9642
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:   Fri Jul 31 21:42:24 2015 +0000

    Updated German translation

 po/de.po | 91 +++++++++++++++++++++++++++++-----------------------------------
 1 file changed, 41 insertions(+), 50 deletions(-)

commit 06284bac27dd328e0b7ddb6c825ac519cdaa49cb
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jul 29 23:06:01 2015 +1000

    media-player: add encoding settings to the preferences dialog

 data/ui/media-player-properties.ui | 39 +++++++++++++++++++++++++++++++++++++-
 sources/rb-media-player-source.c   | 12 ++++++++++++
 2 files changed, 50 insertions(+), 1 deletion(-)

commit 454192edfcb47c30f56c74b26fb039dd873096e3
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jul 29 23:03:38 2015 +1000

    library: split the encoding settings widgets out
    
    More things can have their own encoding settings now, so making this bit
    reusable will help.

 data/ui/encoding-settings.ui   | 101 ++++++
 data/ui/library-prefs.ui       |  74 +----
 po/POTFILES.in                 |   2 +
 sources/rb-library-source.c    | 489 +--------------------------
 widgets/Makefile.am            |   8 +-
 widgets/rb-encoding-settings.c | 738 +++++++++++++++++++++++++++++++++++++++++
 widgets/rb-encoding-settings.h |  66 ++++
 7 files changed, 924 insertions(+), 554 deletions(-)

commit 51d595cac358fefc86554b27f9eb753c7a7a4381
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jul 29 22:57:38 2015 +1000

    track-transfer-batch: use encoding settings
    
    Encoding profile selection is now pretty complicated.  Now we use
    the source format if possible, or the preferred format for the target,
    or the first available lossy encoding, or any lossless encoding.
    
    If the transcode-lossless setting is enabled, we'll never use a lossless
    encoding, even if it's the source format.  The setting is not applied
    if the preferred format is lossless.

 shell/rb-track-transfer-batch.c | 194 +++++++++++++++++++++++-----------------
 shell/rb-track-transfer-batch.h |   4 +-
 sources/rb-library-source.c     |  22 +----
 sources/rb-transfer-target.c    |   2 +-
 4 files changed, 114 insertions(+), 108 deletions(-)

commit 5a0819157d02ada4c94b33a90aeb70a89203ae52
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jul 29 22:53:12 2015 +1000

    transfer-target: add encoding settings
    
    This will just be passed through to the transfer batch.

 plugins/generic-player/rb-generic-player-source.c | 12 ++++++++++--
 plugins/ipod/rb-ipod-source.c                     | 13 +++++++++++--
 plugins/mtpdevice/rb-mtp-source.c                 | 14 ++++++++++++--
 sources/rb-transfer-target.c                      |  3 ++-
 sources/rb-transfer-target.h                      |  2 +-
 5 files changed, 36 insertions(+), 8 deletions(-)

commit e05c88a77f5d6efbd74fa0e181f24e4ab2b6b387
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jul 29 21:34:02 2015 +1000

    media-player: add encoding-settings property
    
    This holds the settings that will be used when transferring to the device.
    Currently these are stored with the plugin settings, so one configuration
    applies to all devices of the same type, but ultimately they should be
    stored per-device.

 data/org.gnome.rhythmbox.gschema.xml              |  3 +++
 plugins/generic-player/rb-generic-player-plugin.c |  1 +
 plugins/ipod/rb-ipod-source.c                     |  1 +
 plugins/mtpdevice/rb-mtp-source.c                 |  1 +
 sources/rb-media-player-source.c                  | 25 ++++++++++++++++++++++-
 5 files changed, 30 insertions(+), 1 deletion(-)

commit 3d1d293f3691589ca3d81058a211f3c80bc1bc67
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jul 29 21:26:14 2015 +1000

    add transcode-lossless setting
    
    This will control whether files in lossless encodings will be transcoded
    during transfer even if the target supports the lossless format, so you
    can have FLAC files in your library and MP3s on your phone.

 data/org.gnome.rhythmbox.gschema.xml | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 1a06a4e60c6cb90872dc1b4ab9abe3cb405deff2
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jul 26 23:02:37 2015 +1000

    encoder: don't try to get output file size when file creation failed

 backends/gstreamer/rb-encoder-gst.c | 26 ++++++++++++++------------
 1 file changed, 14 insertions(+), 12 deletions(-)

commit cfd44c89cc270da83f700481e165b9897d032744
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jul 26 22:59:56 2015 +1000

    generic-player: unify all the source creation code

 plugins/generic-player/rb-generic-player-plugin.c | 107 +++++++++++++++++++---
 plugins/generic-player/rb-generic-player-source.c |  79 ----------------
 plugins/generic-player/rb-generic-player-source.h |   5 -
 plugins/generic-player/rb-nokia770-source.c       |  43 ---------
 plugins/generic-player/rb-nokia770-source.h       |   4 -
 plugins/generic-player/rb-psp-source.c            |  42 ---------
 plugins/generic-player/rb-psp-source.h            |   4 -
 7 files changed, 92 insertions(+), 192 deletions(-)

commit 12184ba484ce2d866c1acffecad2f01106046a19
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jul 26 22:56:34 2015 +1000

    mpid: allow creation of an MPIDDevice instance for a specific .mpi file

 lib/libmediaplayerid/mediaplayerid.h |  2 ++
 lib/libmediaplayerid/mpid-device.c   | 69 +++++++++++++++++++++++++++++++-----
 2 files changed, 63 insertions(+), 8 deletions(-)

commit 73d769ed9ba50220b4a9d1be6534ac46b0e85576
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Jul 4 20:32:18 2015 -0500

    iradio: remove Radio GFM
    
    It has shut down.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=751961

 plugins/iradio/iradio-initial.xspf | 21 ---------------------
 1 file changed, 21 deletions(-)

commit 85c185d5dc662945f98860ea6092b2f9927dac8f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jul 8 22:46:33 2015 +1000

    audioscrobbler: build a separate static library for tests
    
    automake doesn't like us pulling source files out of a different dir.

 plugins/audioscrobbler/Makefile.am | 5 +++++
 tests/Makefile.am                  | 6 ++++--
 2 files changed, 9 insertions(+), 2 deletions(-)

commit afa343e964b2db4de8bdc215e26c1035e09e8c7b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jul 8 22:46:11 2015 +1000

    remove some obsolete bits of configure.ac

 configure.ac | 7 -------
 1 file changed, 7 deletions(-)

commit b3fced726a0078a37c027cbd13652e0d2a03b847
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jul 8 22:45:40 2015 +1000

    Update ACLOCAL_AMFLAGS to install third-party macros
    
    https://wiki.gnome.org/Projects/GnomeCommon/Migration

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 64d04afce5721575ef7606ed28fd8aa088a6f142
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Jul 2 08:19:15 2015 +1000

    query-creator: remove deprecated GtkButton child align properties

 data/ui/create-playlist.ui | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 2447525c51bbb5d95d15f27ea019009e525bdc4f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jun 29 21:34:16 2015 +1000

    metadata: map errors from GstDiscoverer to RBMetaDataError codes
    
    Without this, the check in rhythmdb for ignoring small unidentifiable files
    doesn't work.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=751265

 metadata/rb-metadata-gst.c | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit e02d268de555a528218328878d57b23820a88c6a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jun 29 21:15:56 2015 +1000

    sync: replace the sync state GtkTable with a grid
    
    This seems to resize better.

 data/ui/sync-state.ui | 33 ++++++++++++++++-----------------
 1 file changed, 16 insertions(+), 17 deletions(-)

commit 589a715b56b72bd82a192e10c279900fdf47e06a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jun 29 21:14:23 2015 +1000

    sync: make sync settings expand, rather than sync state
    
    Sync settings can actually use the extra space and sync state can't.
    Also set a height request on the sync settings container so it will
    always be visible to some extent.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=751630

 data/ui/media-player-properties.ui | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 6bb302eec83ae0f7d6ebbaf7fdbd5d1fe7247836
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Fri May 22 06:43:28 2015 +0000

    Updated Occitan translation

 po/oc.po | 6710 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 3476 insertions(+), 3234 deletions(-)

commit b84d2daaac0c3155885a21f9100041c5d53e35c3
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Apr 19 19:36:21 2015 +1000

    Rhythmbox 3.2.1

 NEWS         | 16 ++++++++++++++++
 README       |  2 +-
 configure.ac |  2 +-
 3 files changed, 18 insertions(+), 2 deletions(-)

commit b29590d836167401f22f8b9882ee5da131c91ffb
Author: Christian Kirbach <christian.kirbach@gmail.com>
Date:   Sat Apr 18 16:30:02 2015 +0200

    Update German translation

 po/de.po | 1105 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 670 insertions(+), 435 deletions(-)

commit 759af441bb561901cd5405fe8d2592cfa0477b0f
Author: Jordi Mas <jmas@softcatala.org>
Date:   Sat Apr 18 15:45:10 2015 +0200

    Fixes to Catalan translation

 po/ca.po | 36 ++++++++++++++++++------------------
 1 file changed, 18 insertions(+), 18 deletions(-)

commit 9a024faa9d75d416fb81b6a66819104763e418cd
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Mar 31 09:32:43 2015 +1000

    shuffle: add the playing entry if it's not already there
    
    When switching to shuffle from some other play order, the playing entry
    won't already be in the history, so we need to allow it to be added.
    Otherwise, we still don't want to move it if it's already there.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=747053

 shell/rb-play-order-shuffle.c | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 896db560e194f7b537e3841896ee332bb86b7f9e
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Mar 30 07:55:31 2015 +1000

    audioscrobbler: stop using GtkBuilder signal connections
    
    This never really bought us much, and with recent changes to libpeas, it
    doesn't even work any more.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=746975

 plugins/audioscrobbler/audioscrobbler-profile.ui        |  3 ---
 plugins/audioscrobbler/rb-audioscrobbler-profile-page.c | 15 +++++++++++----
 2 files changed, 11 insertions(+), 7 deletions(-)

commit 944ebd57a3a0ba923358ef6be11814c2840b3509
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Sun Mar 29 19:30:30 2015 +0000

    Updated French translation

 po/fr.po | 1108 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 664 insertions(+), 444 deletions(-)

commit c78762e210fb5139181f17bf119bda00a6d4b1a0
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Mar 29 15:08:50 2015 +1000

    Rhythmbox 3.2

 NEWS         | 56 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 README       |  2 +-
 configure.ac |  2 +-
 3 files changed, 58 insertions(+), 2 deletions(-)

commit 95c5cd176e6fb342a2139c51f3cbcc0b3ef4623b
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Fri Mar 27 00:46:21 2015 +0200

    Updated Lithuanian translation

 po/lt.po | 1170 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 716 insertions(+), 454 deletions(-)

commit be5356d18a9b747578e3f824e8ee58791c8d5d38
Author: Hannie Dumoleyn <hannie@ubuntu-nl.org>
Date:   Thu Mar 26 18:24:37 2015 +0100

    Updated Dutch translation Master 3.16

 po/nl.po | 2178 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 1250 insertions(+), 928 deletions(-)

commit c29244a184abe7a9a0e308d89ae417ab5e9282c1
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Wed Mar 25 20:24:40 2015 +0000

    Updated Italian translation

 po/it.po | 1108 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 680 insertions(+), 428 deletions(-)

commit 2e61b03e601dc98ed7de53fb8b46617ab72b93ed
Author: Irene Sáez <irenesaez946@gmail.com>
Date:   Tue Mar 24 10:34:49 2015 +0000

    Updated Spanish translation

 po/es.po | 268 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 130 insertions(+), 138 deletions(-)

commit 6a50c5dff1522500db19bb13d37200b287c0f125
Author: Irene Sáez <irenesaez946@gmail.com>
Date:   Tue Mar 24 10:18:09 2015 +0000

    Updated Spanish translation

 po/es.po | 1018 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 633 insertions(+), 385 deletions(-)

commit 813a063a8756c9977fdcb418a8f0bc176deef450
Author: Trinh Anh Ngoc <atw1990@gmail.com>
Date:   Fri Mar 20 14:17:36 2015 +0700

    Remove extra border of error dialog
    
    From Gnome 3.14, message dialog style will be broken if add extra border to dialog.

 widgets/rb-dialog.c | 2 --
 1 file changed, 2 deletions(-)

commit 5534b80596990be6c4aeb65cd10b8dc4519d7bcd
Author: Trinh Anh Ngoc <atw1990@gmail.com>
Date:   Fri Mar 20 13:55:47 2015 +0700

    Add notebook border in multiple songs property dialog

 data/ui/song-info-multiple.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 193f807f79c380061dba3baa269694c664c6cca4
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Mar 22 17:41:14 2015 +1000

    fix some more borders around tree views

 data/ui/podcast-add-dialog.ui    | 2 +-
 plugins/grilo/rb-grilo-source.c  | 2 +-
 plugins/soundcloud/soundcloud.ui | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 4516f5e2d37c40f70c42f65232a79142fb354357
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Mar 22 14:07:00 2015 +1000

    shell: reject images that are fewer than 32 pixels wide or high
    
    Amazon gives us 1x1 gifs sometimes, which aren't very useful as
    album art.

 shell/rb-shell.c | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

commit 35a95fa8bb7c5ef14f5c6ff0258c051039e7e1b3
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Mar 20 09:09:59 2015 +1000

    statusbar: apply 'statusbar' style class
    
    GtkStatusbar only applies this to itself in gtk 3.16, so for the benefit
    of older versions we'll apply it too.

 shell/rb-statusbar.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 67579a26d5272c2838b82da61aada8ecc34726da
Author: Trinh Anh Ngoc <atw1990@gmail.com>
Date:   Tue Mar 17 21:57:49 2015 +0700

    Use thin separator between widgets and remove some shadows

 data/ui/style.css                | 18 +++++++++++++++---
 plugins/context/ContextView.py   |  4 +++-
 plugins/soundcloud/soundcloud.py |  2 +-
 shell/rb-statusbar.c             |  1 +
 sources/rb-play-queue-source.c   |  2 +-
 widgets/rb-entry-view.c          |  2 +-
 widgets/rb-library-browser.c     |  2 +-
 widgets/rb-property-view.c       |  2 +-
 widgets/rb-source-toolbar.c      |  3 ++-
 9 files changed, 26 insertions(+), 10 deletions(-)

commit faeb22e4b3be3afe1f408dcc6ee9c468a20ff823
Author: Trinh Anh Ngoc <atw1990@gmail.com>
Date:   Tue Mar 17 13:22:37 2015 +0700

    Remove customized top border in primary toolbar.
    
    From Gnome 3.16, window decorations have default bottom border that cause unnecessary
    heavy border.

 data/ui/style.css | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 0b7bd59ebdf1258da743a0bff6ed69ca3b716f52
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Wed Mar 18 06:28:47 2015 +0000

    Updated Kazakh translation

 po/kk.po | 567 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 313 insertions(+), 254 deletions(-)

commit 39afe69f04f8f5047a8a1b6eb0db0dfb409988a7
Author: Pau Iranzo <paugnu@gmail.com>
Date:   Tue Mar 17 16:56:55 2015 -0400

    Update Catalan translation

 po/ca.po | 3048 +++++++++++---------------------------------------------------
 1 file changed, 511 insertions(+), 2537 deletions(-)

commit e3d8b2a0fa993c2c48b7025d7016cc04fe4b7940
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Mar 17 22:44:25 2015 +1000

    shell: sync shell settings when quitting
    
    Otherwise the delayed sync timeout tends to crash later on.

 shell/rb-shell.c | 1 +
 1 file changed, 1 insertion(+)

commit 21294f1ed8c02d3f75adf59673add3bb06601efe
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Mar 17 22:42:31 2015 +1000

    entry-view: hold a reference on the tree view selection
    
    Apparently this gets disposed of earlier than we'd like otherwise.
    Also stop paying attention to selection changes when the entry view is
    disposed so we don't try looking at it later on.

 widgets/rb-entry-view.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit caa80e36df9472f7a4ea79eedec999d6ed8666d7
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Mar 16 20:50:30 2015 +1000

    play-queue: fix the border on the side pane view a bit better
    
    We need a border at the bottom to match everything else.

 data/ui/style.css              | 4 ++++
 sources/rb-play-queue-source.c | 4 +++-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 251e1375384126529b4cac4263006d4e956b290a
Author: Josef Andersson <josef.andersson@gmail.com>
Date:   Sun Mar 15 21:55:57 2015 +0000

    Updated Swedish translation

 po/sv.po | 337 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 192 insertions(+), 145 deletions(-)

commit 521c82169ed8cb6fea4abe4a1026ac020ed7a408
Author: Josef Andersson <josef.andersson@gmail.com>
Date:   Sun Mar 15 21:44:27 2015 +0000

    Updated Swedish translation

 help/sv/sv.po | 1786 ++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 1128 insertions(+), 658 deletions(-)

commit c2fbbd42cc15c8c69300af5a8045a4306df16a3a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Mar 15 22:11:58 2015 +1000

    shuffle: don't move the playing entry when handling query model changes
    
    If the current playing entry is present in the new query model, then
    we want to leave it in its current location, as parts of the shuffle
    logic rely on it remaining there.

 shell/rb-play-order-shuffle.c | 16 ++++++++++++++--
 1 file changed, 14 insertions(+), 2 deletions(-)

commit 6a2f69052e3602bb8a5c10deab1ac24ad42fbc81
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Mar 14 22:38:56 2015 +1000

    shuffle: improve handling of query model changes
    
    Ensure all entries are removed from the ordering, then all the
    entries in the new query model are added randomly, rather than leaving
    the ones common to both query models in place.  This distributes the
    common entries better throughout the resulting play order.
    
    Based on a patch from charboma38@gmail.com
    
    https://bugzilla.gnome.org/show_bug.cgi?id=330686

 shell/rb-play-order-shuffle.c | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit becf10f6c802131297cceb778a7ff8061ce313f2
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Mar 14 21:12:05 2015 +1000

    play-queue: remove extra borders

 sources/rb-play-queue-source.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 0abbbda8df597dbd11b1dd7bdca01c67fca1a17b
Author: Trinh Anh Ngoc <atw1990@gmail.com>
Date:   Thu Jan 29 11:26:47 2015 +0700

    Remove python console border

 plugins/pythonconsole/pythonconsole.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8c15f64c0c397ff5152ce83537f0528cf8ce9789
Author: Trinh Anh Ngoc <atw1990@gmail.com>
Date:   Thu Jan 29 11:20:04 2015 +0700

    Correct soundcloud search border width

 plugins/soundcloud/soundcloud.ui | 1 +
 1 file changed, 1 insertion(+)

commit b416afe2c709aff8915545b204cf16334245d09a
Author: Trinh Anh Ngoc <atw1990@gmail.com>
Date:   Thu Jan 29 10:59:11 2015 +0700

    Refine context view ui

 plugins/context/ContextView.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7b7794d523b58cd9f90b59edb64c20486ad09f98
Author: Trinh Anh Ngoc <atw1990@gmail.com>
Date:   Thu Jan 29 10:41:26 2015 +0700

    Refine soundcloud ui

 plugins/soundcloud/soundcloud.py | 5 +++--
 plugins/soundcloud/soundcloud.ui | 3 ---
 2 files changed, 3 insertions(+), 5 deletions(-)

commit dbf7175541f4bfffd8f369ef059a4ddd84cb8e6c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Mar 14 18:32:37 2015 +1000

    display-page-tree: apply the sidebar style class to the right thing

 sources/rb-display-page-tree.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 93cb10955aabe6e2fdf87d1ebb52e62c853e8312
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Mar 14 17:14:35 2015 +1000

    fix up side pane toolbar borders, remove obsolete css
    
    Set border radius to 0 for the toolbar and remove its top border, which
    was a bit too heavy.  The rules applied to the border on the pane separator
    did nothing, so there's no point keeping them.
    
    partly from Trinh Anh Ngoc

 data/ui/style.css | 10 ++--------
 1 file changed, 2 insertions(+), 8 deletions(-)

commit 4171bbc7322f29bb652b9f7da230da71ec346216
Author: Trinh Anh Ngoc <atw1990@gmail.com>
Date:   Sat Mar 14 15:26:09 2015 +1000

    button-bar: add spacing between buttons, remove unnecessary style

 widgets/rb-button-bar.c | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 15c402bd9916b425d15fc27fd67f16355c23e565
Author: Samir Ribic <samir.ribic@etf.unsa.ba>
Date:   Sat Mar 14 00:49:55 2015 +0000

    Added Bosnian translation

 po/LINGUAS |    1 +
 po/bs.po   | 4671 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 4672 insertions(+)

commit a023a2ed57b16e2de4b1d64d3f33e82ae86b4c2d
Author: Jakub Steiner <jimmac@gmail.com>
Date:   Wed Mar 11 20:35:37 2015 +0100

    icon: remove a bounding box path
    
    - the bounding box is usually a rect that gets removed when exported.
      It was converted to a path for some reason. While it's no-fill,
      no-stroke by default, gtk fills it at runtime making the app icon
      a grey square.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=746047

 data/icons/hicolor/scalable/apps/rhythmbox-symbolic.svg | 16 ++++++----------
 1 file changed, 6 insertions(+), 10 deletions(-)

commit b624cc6d03eaf1954d21b5c215d92288fda2ba41
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Mar 13 20:43:08 2015 +1000

    xfade: always attribute tags to the right stream
    
    Tag messages are emitted by the sink, which makes it difficult to
    associate them with the originating stream.  Previously we've just
    assumed the stream that is currently in PLAYING state owns any tags
    that come out, which isn't good enough.  Tag updates now include
    the full tags from the stream, which means embedded cover art too.
    Attributing this to the wrong stream means we get the wrong cover art
    image.
    
    To fix this, we inject a tag into each stream containing the stream uri,
    which we use to locate the stream instance.  Injecting a tag into the
    stream is a bit ugly but it effectively fixes the problem.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=743493

 backends/gstreamer/rb-player-gst-xfade.c | 60 ++++++++++++++++++++++++++++++--
 1 file changed, 58 insertions(+), 2 deletions(-)

commit f2b4c6454616698c7ed004ad8d61eb16126eb9a8
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Mar 11 20:42:12 2015 +0100

    Updated Norwegian bokmål translation.

 po/nb.po | 834 ++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 529 insertions(+), 305 deletions(-)

commit 58c131a01519926140f899ddc1575945a864164a
Author: Jiri Grönroos <jiri.gronroos+l10n@iki.fi>
Date:   Wed Mar 11 17:04:14 2015 +0200

    Finnish translation update

 po/fi.po | 1096 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 673 insertions(+), 423 deletions(-)

commit b68a34b23af8fbdb6f29e8984a9e63949be08330
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Tue Mar 10 12:04:48 2015 +0000

    Updated Swedish translation

 po/sv.po | 1315 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 750 insertions(+), 565 deletions(-)

commit fdc481ac0c77f25b46f68e797b46ec9798ed3cf0
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Sun Mar 8 17:58:09 2015 +0000

    Updated Hungarian translation

 po/hu.po | 537 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 293 insertions(+), 244 deletions(-)

commit 88e53ccf5bd15cc7984eb86e026df7a21624f4dd
Author: Josef Andersson <josef.andersson@gmail.com>
Date:   Sun Mar 8 12:25:12 2015 +0000

    Updated Swedish translation

 help/sv/sv.po | 4689 +++++++++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 3531 insertions(+), 1158 deletions(-)

commit 523a201f9c9e2bf1cf0979d80d7efa19d20250c6
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Tue Mar 3 14:58:57 2015 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 519 +++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 288 insertions(+), 231 deletions(-)

commit 571b77caf32dccdc0e4dcb64bd7ecd90a5879b9f
Author: Andrew Brown <andrew@andrewdbrown.com>
Date:   Sun Mar 1 19:41:01 2015 -0500

    Include gdk.h instead of gdkx.h
    
    Including `gdk.h` instead of `gdkx.h` allows Rhythmbox to be built on
    Mac OS X (assuming the Multimedia Keys plugin is disabled using
    `--disable-mmkeys`).

 plugins/power-manager/rb-power-manager-plugin.c | 2 +-
 shell/rb-shell.c                                | 1 -
 2 files changed, 1 insertion(+), 2 deletions(-)

commit 6bf5a52b7047e3af8c731fc09e9210e723600ed7
Author: Andrew Brown <andrew@andrewdbrown.com>
Date:   Sun Mar 1 19:10:13 2015 -0500

    Declared rb_metadata_iface_xml with extern
    
    Because `rb-metadata-dbus.h` is included in multiple places
    `rb_metadata_iface_xml` needs to be declared with `extern` in order for
    Rhythmbox to build on Mac OS X with GCC 4.2.1.  (Apple's variant of GCC
    may be more strict in this manner.)
    
    It's probably best if it's declared with `extern` anyway since there
    should only be one definition.

 metadata/rb-metadata-dbus.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fb22785d54c180bf5ae795a0db9f09a238b51532
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Mar 1 22:06:36 2015 +0100

    Updated Czech translation

 po/cs.po | 144 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 94 insertions(+), 50 deletions(-)

commit 8073fe86c2a6cc2fa2a3aa9fd0fd88abccbcdbc9
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Mar 1 16:56:18 2015 +0100

    Updated Polish translation

 po/pl.po | 188 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 118 insertions(+), 70 deletions(-)

commit 257c16781dca3d70d6957fbf11c5e51ee20c4541
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sun Mar 1 10:54:51 2015 +0000

    Updated Slovak translation

 po/sk.po | 146 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 91 insertions(+), 55 deletions(-)

commit 4f2bb5b4c889d6cfe834a43ce2b6a5429ac452f4
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Sun Mar 1 08:05:02 2015 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 24 ++++++++++++++----------
 1 file changed, 14 insertions(+), 10 deletions(-)

commit e073ded8d591efc9a1a4f43696e84ec3f3d8819a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Feb 24 22:04:55 2015 +0100

    Mark strings for translation

 data/ui/create-playlist.ui         | 2 +-
 data/ui/media-player-properties.ui | 2 +-
 data/ui/playlist-save.ui           | 4 ++--
 plugins/daap/daap-prefs.ui         | 2 +-
 plugins/ipod/ipod-init.ui          | 2 +-
 5 files changed, 6 insertions(+), 6 deletions(-)

commit 14a56a8e844a6f79f78d1fc1dccbc2fd914f31b6
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Feb 24 21:59:40 2015 +0100

    Updated POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit 65698ff96ce38975d380ec38d1c5b9de0f7777ef
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Tue Feb 24 12:49:17 2015 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 150 +++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 93 insertions(+), 57 deletions(-)

commit 38ffea420a4a6d872b3b96adce3e5796ddc7f72a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Feb 24 09:22:29 2015 +1000

    fix up some GtkStock items I missed the first time

 podcast/rb-podcast-properties-dialog.c | 2 +-
 widgets/rb-song-info.c                 | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 88c078e4bcd0c9ee0b7a8ac6589ae6db32fa2029
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Feb 24 07:40:09 2015 +1000

    replace GtkHSeparators with GtkSeparators that are horizontal

 plugins/audioscrobbler/audioscrobbler-profile.ui | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

commit c5b5ed795f1f976618ad43370e4954c4ee0a188d
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Feb 24 07:37:55 2015 +1000

    finish replacing x/ypad with margins

 .../audioscrobbler/audioscrobbler-preferences.ui   |  5 +-
 plugins/audioscrobbler/audioscrobbler-profile.ui   | 64 +++++++++++++---------
 plugins/daap/daap-prefs.ui                         | 11 ++--
 plugins/magnatune/magnatune-prefs.ui               |  5 +-
 plugins/replaygain/replaygain-prefs.ui             |  9 +--
 5 files changed, 55 insertions(+), 39 deletions(-)

commit 8370d19ae7f71b92615eaf82eeafbc4673accdd4
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Feb 23 23:22:32 2015 +1000

    remove resize-mode property values

 data/ui/podcast-feed-properties.ui               | 1 -
 data/ui/podcast-properties.ui                    | 1 -
 plugins/audioscrobbler/audioscrobbler-profile.ui | 2 --
 plugins/magnatune/magnatune-loading.ui           | 1 -
 4 files changed, 5 deletions(-)

commit df57c71a25f57c3a25944f91508839d7190071be
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Feb 23 23:19:03 2015 +1000

    remove rb_image_new_from_stock

 lib/rb-util.c | 84 -----------------------------------------------------------
 lib/rb-util.h |  2 --
 2 files changed, 86 deletions(-)

commit 62b30b131fbf074112fcc2a5753b7dd2f6dc13a8
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Feb 23 23:00:25 2015 +1000

    replace GtkStock items with plain labels and icons

 data/ui/create-playlist.ui                    |  4 +-
 data/ui/library-prefs.ui                      | 16 +++----
 data/ui/media-player-properties.ui            |  4 +-
 data/ui/playlist-save.ui                      |  8 ++--
 data/ui/song-info.ui                          | 65 ++++++++++++++-------------
 data/ui/sync-dialog.ui                        |  3 +-
 plugins/daap/daap-prefs.ui                    |  5 +--
 plugins/ipod/ipod-init.ui                     |  6 +--
 plugins/iradio/rb-station-properties-dialog.c |  2 +-
 plugins/iradio/station-properties.ui          | 17 +++----
 plugins/lyrics/lyrics-prefs.ui                |  6 +--
 podcast/rb-feed-podcast-properties-dialog.c   |  2 +-
 podcast/rb-podcast-source.c                   |  4 +-
 shell/rb-application.c                        |  2 +-
 shell/rb-shell-preferences.c                  |  4 +-
 widgets/rb-alert-dialog.c                     | 41 +++++++----------
 widgets/rb-dialog.c                           |  8 ++--
 widgets/rb-query-creator.c                    |  8 ++--
 widgets/rb-uri-dialog.c                       |  4 +-
 19 files changed, 99 insertions(+), 110 deletions(-)

commit bfbd42b59769d8b13f12f10986e830bacfa79f7f
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Mon Feb 23 14:40:55 2015 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 898 ++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 541 insertions(+), 357 deletions(-)

commit de1621b20e31a87f791f09e0080ba78cf956321b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Feb 23 20:52:09 2015 +1000

    audioscrobbler: add missing ref on profile pages

 plugins/audioscrobbler/rb-audioscrobbler-plugin.c | 2 ++
 1 file changed, 2 insertions(+)

commit 99646e8fd72715fd571b69f44dc722c1d6c7d8e9
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Feb 23 20:49:16 2015 +1000

    audioscrobbler: move last.fm icon to a proper theme directory

 plugins/audioscrobbler/Makefile.am                     |  8 ++++----
 .../hicolor/scalable/places}/Last.fm-symbolic.svg      |  0
 plugins/audioscrobbler/rb-audioscrobbler-plugin.c      | 17 +++++++++++++++++
 .../audioscrobbler/rb-audioscrobbler-profile-page.c    | 18 +++++++-----------
 4 files changed, 28 insertions(+), 15 deletions(-)

commit c0f4b203d96cbaa80428014f94ed439fad28afbc
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Feb 22 23:37:22 2015 +1000

    put symbolic icons for plugins into proper theme directories

 plugins/magnatune/Makefile.am                      |  8 +++++---
 .../scalable/places}/magnatune-symbolic.svg        |  0
 plugins/magnatune/magnatune.py                     |  5 +++--
 plugins/rb/rb.py                                   | 22 +++++++++++++++-------
 plugins/soundcloud/Makefile.am                     |  7 +++++--
 .../scalable/places}/soundcloud-symbolic.svg       |  0
 plugins/soundcloud/soundcloud.py                   |  7 +++----
 7 files changed, 31 insertions(+), 18 deletions(-)

commit 9b6a6b641c5f8f15c5ae7e8a5cfe8b2fb2be7fbb
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Feb 22 23:33:06 2015 +1000

    file-helpers: remove obsolete 'art' dirs from search paths

 lib/rb-file-helpers.c | 4 ----
 1 file changed, 4 deletions(-)

commit c9acb9255f242468b04828fe50fe6fd96215f1fb
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:   Thu Feb 12 08:32:52 2015 +0700

    Updated Vietnamese translation
    
    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

 po/vi.po | 4405 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 2306 insertions(+), 2099 deletions(-)

commit e8ebb6ce0d23dcb0d104d76f59e773c09c471c1a
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Wed Feb 4 09:34:00 2015 +0000

    Updated Slovak translation

 po/sk.po | 1527 ++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 737 insertions(+), 790 deletions(-)

commit 8b90951d0a4bd72db8d500762d2171c4f31b3bf7
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Feb 3 09:33:19 2015 +0100

    Updated Czech translation

 po/cs.po | 433 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 225 insertions(+), 208 deletions(-)

commit e39f96da8157daf17d45651507c536e7f596f6ac
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Feb 1 15:02:53 2015 +0100

    Updated Polish translation

 po/pl.po | 443 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 230 insertions(+), 213 deletions(-)

commit ff7bc8ffd29357346c24f11cc430d0074d822c40
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Jan 29 08:33:13 2015 +1000

    update POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit 6ccc3f735e242fd642024e6eda4c99797b551964
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jan 28 21:30:07 2015 +1000

    notification: reuse existing album art if it matches the new entry

 plugins/notification/rb-notification-plugin.c | 37 +++++++++++++++++++--------
 1 file changed, 27 insertions(+), 10 deletions(-)

commit 5e1511e558e7a101986de44f19ea368add61abdb
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Jan 24 12:12:25 2015 +1000

    header: keep existing art if it matches the new playing entry

 widgets/rb-header.c | 29 +++++++++++++++++++++--------
 1 file changed, 21 insertions(+), 8 deletions(-)

commit 7981c29d6d7bbee7174c812c591767fd31f0d741
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Dec 24 17:36:14 2014 +1000

    ext-db: make it possible to delete metadata and store nulls
    
    To make these capabilities useful, all lookups now return the storage key
    along with the lookup result, so the result can easily by deleted (and
    subsequently re-fetched) or cleared.  When a NULL value is stored, only
    a value from a higher priority source type will replace it.

 metadata/rb-ext-db-key.c                      |  67 ++++++++++---
 metadata/rb-ext-db-key.h                      |   2 +-
 metadata/rb-ext-db.c                          | 129 +++++++++++++++++++++++---
 metadata/rb-ext-db.h                          |  10 +-
 plugins/artsearch/songinfo.py                 |   4 +-
 plugins/ipod/rb-ipod-source.c                 |   2 +-
 plugins/mpris/rb-mpris-plugin.c               |   2 +-
 plugins/mtpdevice/rb-mtp-source.c             |   2 +-
 plugins/notification/rb-notification-plugin.c |   4 +-
 plugins/visualizer/rb-visualizer-fullscreen.c |   2 +-
 widgets/rb-header.c                           |   6 +-
 11 files changed, 188 insertions(+), 42 deletions(-)

commit f2f8f019a13bae244f89489709b9eb3632460009
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Dec 24 17:00:44 2014 +1000

    ext-db: split files across subdirectories as numbers increase

 metadata/rb-ext-db.c | 35 +++++++++++++++++++++++++++++++----
 1 file changed, 31 insertions(+), 4 deletions(-)

commit 38dadb1737aaed836dc0d68a4884af694fd3cfe8
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Dec 24 12:08:07 2014 +1000

    artsearch: add an album art page to song info dialogs
    
    This displays the current album art for the track, and allows it to be
    re-fetched, cleared, or replaced with a selected file.

 plugins/artsearch/Makefile.am  |   1 +
 plugins/artsearch/artsearch.py |  14 ++++-
 plugins/artsearch/songinfo.py  | 139 +++++++++++++++++++++++++++++++++++++++++
 3 files changed, 153 insertions(+), 1 deletion(-)

commit cf4c0b59d93677dd77c6bd376262299182fdbcf4
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Dec 25 08:15:31 2014 +1000

    artsearch: don't try to look at tags if there aren't any

 plugins/artsearch/embedded.py | 3 +++
 1 file changed, 3 insertions(+)

commit edd9570aaea41f683e7335f0ae1138bf394c6a93
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jan 5 09:06:30 2015 +1000

    ext-db: helper for printing keys in debug output

 metadata/rb-ext-db-key.c | 49 ++++++++++++++++++++++++++++++++++++++++++++++++
 metadata/rb-ext-db-key.h |  2 ++
 2 files changed, 51 insertions(+)

commit 4b66583e74e2f0b4c1b0f65feea3da56719eeec0
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Dec 24 12:24:18 2014 +1000

    introspect RBFadingImage

 bindings/gi/Makefile.am | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 9e371e3488f4aca6f4e91cdb4aa1fbb7da32ef46
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Dec 24 12:21:48 2014 +1000

    fading-image: allow tooltips to be disabled via a property

 widgets/rb-fading-image.c | 28 ++++++++++++++++++++++++++--
 1 file changed, 26 insertions(+), 2 deletions(-)

commit 379db6c971bdefcc340ee940d9103f15abd9756a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Dec 25 12:41:06 2014 +1000

    lyrics: fix up song info page layout

 plugins/lyrics/lyrics.py | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 32d9e53dd9287eb0a77704c28a6211a27e70f8c7
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jan 5 09:04:31 2015 +1000

    add macro for checking if the current function will output debug info

 lib/rb-debug.h | 2 ++
 1 file changed, 2 insertions(+)

commit c842838cf7c2068203062a6ada893c50de6c4fec
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:   Tue Jan 6 22:44:10 2015 +0000

    Updated Hungarian translation

 po/hu.po | 554 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 373 insertions(+), 181 deletions(-)

commit 718eb34b7d387d03ce6c8a42a1c59029b1781f2f
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Sat Jan 3 22:05:12 2015 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 605 +++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 396 insertions(+), 209 deletions(-)

commit b1e082fda7ab63bc488043a2ddbd035762966921
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Dec 23 18:47:41 2014 +1000

    ignore .appdata.xml

 .gitignore | 2 ++
 1 file changed, 2 insertions(+)

commit 163f819589e2c3fe330cf113ce68b155f7baba7f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Dec 23 18:43:52 2014 +1000

    Update gtk versions and such in some builder files

 data/ui/import-dialog.ui                      |  22 +--
 data/ui/playlist-save.ui                      | 107 ++++++-----
 data/ui/podcast-add-dialog.ui                 |  51 +-----
 data/ui/podcast-feed-properties.ui            |  50 ++++--
 plugins/generic-player/generic-player-info.ui | 201 +++++++++++----------
 plugins/mtpdevice/mtp-info.ui                 | 247 ++++++++++++++------------
 6 files changed, 344 insertions(+), 334 deletions(-)

commit 814444101cd4f4324afa02d62bfda2c0c7adf766
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Dec 23 10:42:30 2014 +1000

    s/INCLUDES/AM_CPPFLAGS/ and some other stuff

 Makefile.am                               | 3 ++-
 backends/Makefile.am                      | 2 +-
 backends/gstreamer/Makefile.am            | 2 +-
 doc/reference/Makefile.am                 | 2 +-
 lib/Makefile.am                           | 2 +-
 lib/libmediaplayerid/Makefile.am          | 6 +++---
 metadata/Makefile.am                      | 4 ++--
 plugins/audiocd/Makefile.am               | 2 +-
 plugins/audioscrobbler/Makefile.am        | 2 +-
 plugins/brasero-disc-recorder/Makefile.am | 2 +-
 plugins/daap/Makefile.am                  | 4 ++--
 plugins/dbus-media-server/Makefile.am     | 2 +-
 plugins/fmradio/Makefile.am               | 2 +-
 plugins/generic-player/Makefile.am        | 2 +-
 plugins/grilo/Makefile.am                 | 2 +-
 plugins/ipod/Makefile.am                  | 2 +-
 plugins/iradio/Makefile.am                | 2 +-
 plugins/lirc/Makefile.am                  | 2 +-
 plugins/mmkeys/Makefile.am                | 2 +-
 plugins/mpris/Makefile.am                 | 2 +-
 plugins/mtpdevice/Makefile.am             | 2 +-
 plugins/notification/Makefile.am          | 2 +-
 plugins/power-manager/Makefile.am         | 2 +-
 plugins/visualizer/Makefile.am            | 2 +-
 remote/dbus/Makefile.am                   | 2 +-
 rhythmdb/Makefile.am                      | 2 +-
 sample-plugins/sample-vala/Makefile.am    | 6 +++---
 sample-plugins/sample/Makefile.am         | 2 +-
 shell/Makefile.am                         | 2 +-
 sources/Makefile.am                       | 2 +-
 sources/sync/Makefile.am                  | 2 +-
 tests/Makefile.am                         | 2 +-
 widgets/Makefile.am                       | 2 +-
 33 files changed, 40 insertions(+), 39 deletions(-)

commit f624b41b8032c3ab82075d4ed18048dda026a323
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Dec 23 10:22:50 2014 +1000

    Remove _BSD_SOURCE from makefiles
    
    This appears to have crept in with something relating to dashboard
    (who even remembers dashboard?) about 10 years ago.  glibc headers
    have recently started complaining about it, so it's time for it to go.

 plugins/audiocd/Makefile.am               | 4 +---
 plugins/audioscrobbler/Makefile.am        | 3 +--
 plugins/brasero-disc-recorder/Makefile.am | 1 -
 plugins/daap/Makefile.am                  | 3 +--
 plugins/dbus-media-server/Makefile.am     | 1 -
 plugins/fmradio/Makefile.am               | 3 +--
 plugins/generic-player/Makefile.am        | 3 +--
 plugins/grilo/Makefile.am                 | 3 +--
 plugins/ipod/Makefile.am                  | 3 +--
 plugins/iradio/Makefile.am                | 3 +--
 plugins/lirc/Makefile.am                  | 3 +--
 plugins/mmkeys/Makefile.am                | 1 -
 plugins/mpris/Makefile.am                 | 1 -
 plugins/mtpdevice/Makefile.am             | 3 +--
 plugins/notification/Makefile.am          | 3 +--
 plugins/power-manager/Makefile.am         | 3 +--
 plugins/visualizer/Makefile.am            | 3 +--
 remote/dbus/Makefile.am                   | 2 +-
 sample-plugins/sample-vala/Makefile.am    | 3 +--
 sample-plugins/sample/Makefile.am         | 3 +--
 shell/Makefile.am                         | 2 +-
 tests/Makefile.am                         | 3 +--
 22 files changed, 18 insertions(+), 39 deletions(-)

commit ec379e25762343cab920f5b43d4c5abe6f2b7c7e
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Dec 23 10:17:10 2014 +1000

    fix up some calls to deprecated functions in widget implementations

 widgets/rb-rating-helper.c | 11 +----------
 widgets/rb-segmented-bar.c |  4 ++--
 2 files changed, 3 insertions(+), 12 deletions(-)

commit 802af1eca478552f1e5411d212ad9cb781d7224f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Dec 23 10:03:01 2014 +1000

    replace GtkTable with GtkGrid in some builder files
    
    Many more of these to do, but some of them might be redesigned instead.

 data/ui/general-prefs.ui | 214 ++++++++++++++++++++---------------------------
 data/ui/library-prefs.ui |  62 +++++---------
 data/ui/podcast-prefs.ui |  58 ++++++-------
 3 files changed, 137 insertions(+), 197 deletions(-)

commit 0d6cd8279795ca9a4fca96cd37b60b3c94155d63
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Dec 23 09:44:07 2014 +1000

    use GtkBox instead of H/VBox in plugin builder files
    
    also GtkScale in place of HScale while I'm here

 plugins/audiocd/album-info.ui                      |  27 +--
 .../audioscrobbler/audioscrobbler-preferences.ui   |  42 ++--
 plugins/audioscrobbler/audioscrobbler-profile.ui   | 111 ++++++---
 plugins/daap/daap-prefs.ui                         |  34 +--
 plugins/iradio/station-properties.ui               |  74 +++---
 plugins/lyrics/lyrics-prefs.ui                     |  14 +-
 plugins/magnatune/magnatune-loading.ui             |  18 +-
 plugins/magnatune/magnatune-prefs.ui               | 268 +++++++++++----------
 plugins/replaygain/replaygain-prefs.ui             |  64 +++--
 9 files changed, 370 insertions(+), 282 deletions(-)

commit ad16c7a543f5c2b6972da17f2617e4404d63e5cb
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Dec 23 09:34:44 2014 +1000

    use GtkBox instead of H/VBox in core builder files

 data/ui/create-playlist.ui         |  47 +++++++++++-----
 data/ui/general-prefs.ui           |  35 +++++++-----
 data/ui/library-prefs.ui           |  74 +++++++++++++++++--------
 data/ui/media-player-properties.ui | 107 +++++++++++++++++++++++--------------
 data/ui/playback-prefs.ui          |  55 ++++++++++++-------
 data/ui/playlist-save.ui           |   7 +--
 data/ui/podcast-prefs.ui           |  13 +++--
 data/ui/podcast-properties.ui      |  67 ++++++++++++++---------
 data/ui/sync-dialog.ui             |  10 ++--
 data/ui/sync-state.ui              |  32 ++++++++---
 data/ui/uri-new.ui                 |  12 +++--
 11 files changed, 309 insertions(+), 150 deletions(-)

commit 26851338669668eeb0520c6bd0e811dd3cb9c3b6
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Dec 23 09:15:25 2014 +1000

    use GtkBox instead of H/VBox in widget implementations

 sources/rb-display-page.c          | 3 ++-
 sources/rb-display-page.h          | 4 ++--
 sources/sync/rb-sync-settings-ui.c | 3 ++-
 sources/sync/rb-sync-settings-ui.h | 4 ++--
 sources/sync/rb-sync-state-ui.c    | 3 ++-
 sources/sync/rb-sync-state-ui.h    | 4 ++--
 widgets/rb-library-browser.c       | 3 ++-
 widgets/rb-library-browser.h       | 4 ++--
 widgets/rb-search-entry.c          | 3 ++-
 widgets/rb-search-entry.h          | 4 ++--
 10 files changed, 20 insertions(+), 15 deletions(-)

commit 83671b27a507472e3e070c53a1e7c9f9647f3bc4
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sat Dec 27 17:01:49 2014 +0100

    Updated Serbian translation

 po/sr.po       | 151 +++++++++++++++++++++++++++++++++++++++------------------
 po/sr@latin.po | 151 +++++++++++++++++++++++++++++++++++++++------------------
 2 files changed, 206 insertions(+), 96 deletions(-)

commit 714235b3e913ad21288a5e25e7aadd8ec893b43f
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Tue Dec 16 03:19:19 2014 +0000

    Added Kazakh translation

 po/LINGUAS |    1 +
 po/kk.po   | 4487 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 4488 insertions(+)

commit a59e543e8e4f689e32dfd81100964a8370867f66
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Sun Dec 14 15:39:25 2014 +0000

    Updated Turkish translation

 po/tr.po | 1797 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 987 insertions(+), 810 deletions(-)

commit 6b319469a3b069516992c213a7e59dc78ef681f9
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Nov 27 06:47:08 2014 +0100

    Updated Czech translation

 help/cs/cs.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 362eb0d77fb5f1bcdb7baf13e164eff4ab3cc216
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Nov 26 22:15:02 2014 +1000

    soundcloud: don't allow tracks to be copied

 plugins/soundcloud/soundcloud.py | 4 ++++
 1 file changed, 4 insertions(+)

commit 6b21f98a41fd8208d6e1dc3dca9b3ddd49f10fd3
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Nov 24 21:12:16 2014 +0100

    Updated Czech translation

 po/cs.po | 239 ++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 152 insertions(+), 87 deletions(-)

commit 7b60eb30ca7964efdeaef9cef237e72d8bd5154a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Nov 22 21:11:43 2014 +1000

    podcast: always allow entries to be added to the queue

 podcast/rb-podcast-source.c | 30 +-----------------------------
 1 file changed, 1 insertion(+), 29 deletions(-)

commit 63f7c469869c9c9eea0a61ef68f985edbd6e4481
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Nov 16 22:43:40 2014 +1000

    mpris: don't let the position value overflow
    
    2^32 microseconds is a bit over an hour, so this is quite noticeable.

 plugins/mpris/rb-mpris-plugin.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fc637b4a67b1983ce83fcffa6fe8dc8a4376c8dc
Author: xavier <catala.xavier@gmail.com>
Date:   Thu Nov 13 21:15:23 2014 +0100

    Update Catalan translation

 po/ca.po | 3984 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 2147 insertions(+), 1837 deletions(-)

commit 533fd350fec416d3e7dc56c0a38f1f9ee42e2aa7
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Nov 10 23:18:03 2014 +1000

    soundcloud: gtk_menu_attach_to_widget has more arguments

 plugins/soundcloud/soundcloud.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3838ecaac9d0216df79b29f281811b44554be76a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Nov 10 21:53:32 2014 +1000

    soundcloud: better logo, via https://github.com/ricburton/brandfont/

 plugins/soundcloud/Makefile.am             |   2 +-
 plugins/soundcloud/soundcloud-logo.png     | Bin 406 -> 0 bytes
 plugins/soundcloud/soundcloud-symbolic.svg |  63 +++++++++++++++++++++++++++++
 plugins/soundcloud/soundcloud.py           |   2 +-
 4 files changed, 65 insertions(+), 2 deletions(-)

commit 53db06a9aed892a0a8fdd472b19b1d38f9eea0d1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Nov 10 02:44:52 2014 +0100

    Updated Polish translation

 po/pl.po | 95 ++++++++++++++++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 80 insertions(+), 15 deletions(-)

commit a3924db0840cc1035d37db3547ef7cfa91720bcc
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Nov 8 21:20:32 2014 +1000

    add soundcloud plugin

 configure.ac                                 |   1 +
 plugins/Makefile.am                          |   1 +
 plugins/soundcloud/Makefile.am               |  16 +
 plugins/soundcloud/powered-by-soundcloud.png | Bin 0 -> 4519 bytes
 plugins/soundcloud/soundcloud-logo.png       | Bin 0 -> 406 bytes
 plugins/soundcloud/soundcloud.plugin.in      |  10 +
 plugins/soundcloud/soundcloud.py             | 502 +++++++++++++++++++++++++++
 plugins/soundcloud/soundcloud.ui             | 106 ++++++
 po/POTFILES.in                               |   3 +
 9 files changed, 639 insertions(+)

commit b50aa5ac57046ede100603789f08a4f80cb95b75
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Nov 5 21:57:06 2014 +1000

    rhythmdb: relax type checks for property values in queries

 rhythmdb/rhythmdb-query.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 30e9e4ed1977f43528941846bfde9f47670261a4
Author: Timo Jyrinki <timo@debian.org>
Date:   Mon Nov 3 19:03:22 2014 +0200

    Change Finnish translation team web page to l10n.gnome.org

 po/fi.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 883f873d717595e4f456b4315e5f1978b72272a4
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Nov 2 17:28:30 2014 +1000

    header: don't show "from " for entries with no album tag

 widgets/rb-header.c | 21 ++++++++++++++-------
 1 file changed, 14 insertions(+), 7 deletions(-)

commit 4775ac19b472c0edeb87cb2c79de2cc9663ae2f7
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Nov 2 16:06:43 2014 +1000

    rhythmdb: fix transfer annotations for entry lookup functions

 rhythmdb/rhythmdb.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 3af37dd5f92806a6ec7fc3be22bcf2ee6cdc9c37
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Nov 2 16:06:06 2014 +1000

    rhythmdb: add typedef for entry-foreach callbacks

 plugins/daap/rb-rhythmdb-dmap-db-adapter.c |  2 +-
 rhythmdb/rhythmdb-tree.c                   | 10 +++++-----
 rhythmdb/rhythmdb.c                        |  4 ++--
 rhythmdb/rhythmdb.h                        | 10 ++++++----
 tests/test-rhythmdb.c                      |  2 +-
 5 files changed, 15 insertions(+), 13 deletions(-)

commit 7a1ac3780fcce115440e0c171e81dfbc35f0527a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Nov 2 17:22:27 2014 +1000

    rhythmdb: create better ext-db keys for entries that aren't in albums
    
    For entries that aren't in albums (indicated by setting the album property
    to an empty string), storing and retrieving art based on the title seems
    like a reasonable fallback.

 rhythmdb/rhythmdb.c | 37 +++++++++++++++++++++++--------------
 1 file changed, 23 insertions(+), 14 deletions(-)

commit 3be94c36452dc7d6a61f2da99234a4ccd43df31e
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Nov 2 17:20:24 2014 +1000

    rhythmdb: make it easy to create a query model for a given entry type
    
    Messing around with queries is hard, and sometimes RBBrowserSource
    isn't suitable as a base class.

 rhythmdb/rhythmdb-query-model.c | 24 ++++++++++++++++++++++++
 rhythmdb/rhythmdb-query-model.h |  4 ++++
 2 files changed, 28 insertions(+)

commit 42f6545304b7d7c27562cf24ded44bdc14eafc2c
Author: Marek Černocký <marek@manet.cz>
Date:   Wed Oct 29 22:51:25 2014 +0100

    Updated Czech translation

 po/cs.po | 438 ++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 280 insertions(+), 158 deletions(-)

commit 28935b849a36f83c087147d910ce1a14a5744b62
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Mon Oct 27 20:06:12 2014 +0100

    Added Serbian translation

 po/sr.po       | 633 +++++++++++++++++++++++++++++++++++----------------------
 po/sr@latin.po | 633 +++++++++++++++++++++++++++++++++++----------------------
 2 files changed, 776 insertions(+), 490 deletions(-)

commit 8918370f8558451735f57de92e62d75b95288fc3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Sep 30 14:04:29 2014 +0200

    data: Add Vorbis aliases as supported mime-types
    
    This shouldn't change much, but my code to generate default applications
    (including the default music player and video player) in Fedora is very
    naive:
    http://pkgs.fedoraproject.org/cgit/shared-mime-info.git/tree/shared-mime-info.spec#n11
    
    This caused 2 lines to appear in the defaults.list:
    audio/x-vorbis=org.gnome.Totem.desktop;
    audio/x-vorbis+ogg=rhythmbox.desktop;org.gnome.Totem.desktop;
    
    This meant that audio/x-vorbis+ogg showed up as being handled by Totem,
    and made gnome-control-center's Details panel think that Totem was the
    default music player.
    
    See https://bugzilla.redhat.com/show_bug.cgi?id=1146001
    
    https://bugzilla.gnome.org/show_bug.cgi?id=737655

 data/rhythmbox.desktop.in.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9ce4e0443533ba52288acf058362b9710b57855e
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Oct 12 14:58:50 2014 +0200

    Updated Polish translation

 po/pl.po | 303 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 198 insertions(+), 105 deletions(-)

commit 1cec3e42e1116018e6ddfc978ea0b738e074003c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Oct 11 13:23:46 2014 +1000

    podcast-manager: store search types in an array instead of a list
    
    This is easier and avoids 32bit truncation, which only seems to be
    an issue on some platforms.

 podcast/rb-podcast-manager.c | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit 7b013289a3a3c01726fbe17403cb7bb7afbc18e3
Author: Andika Triwidada <andika@gmail.com>
Date:   Fri Oct 10 06:51:43 2014 +0000

    Updated Indonesian translation

 po/id.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 08bd692ea5e283a8c09d5ecf4614dd008c97cc81
Author: Andika Triwidada <andika@gmail.com>
Date:   Fri Oct 10 06:37:20 2014 +0000

    Updated Indonesian translation

 po/id.po | 285 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 193 insertions(+), 92 deletions(-)

commit 9d5a5ddeae77a38f2196e34a2065ebabc2530d1c
Author: Hubert Figuière <hub@figuiere.net>
Date:   Tue Oct 7 11:32:16 2014 -0400

    Bug 738101 - tdb 1.3.0 require bool type in header.

 metadata/rb-ext-db-key.h | 1 +
 1 file changed, 1 insertion(+)

commit 00812189d6e9ee82859794ffa451cc7f0fb4a46c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Sep 25 09:20:07 2014 +1000

    rhythmbox-client: add interactive mode
    
    This mode provides basic playback control and prints details of track changes.

 data/rhythmbox-client.1 |   5 +-
 remote/dbus/rb-client.c | 464 +++++++++++++++++++++++++++++++++++++++++++++---
 2 files changed, 448 insertions(+), 21 deletions(-)

commit aac2a0f3c321bb47fe62e5e32aca1a33b7fb16a6
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Oct 5 08:41:19 2014 +1000

    mpris: emit Seeked after PropertiesChanged
    
    This way, you don't see a seek to 0:00 before the metadata changes
    when a new track starts.

 plugins/mpris/rb-mpris-plugin.c | 33 ++++++++++++++++++++-------------
 1 file changed, 20 insertions(+), 13 deletions(-)

commit d224bd9fc9ab236c57797cd6728f588ed5228b06
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Oct 5 21:13:31 2014 +0200

    Updated Norwegian bokmål translation.

 po/nb.po | 1257 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 630 insertions(+), 627 deletions(-)

commit 79536b8d65f11ebedad3ae7ab485a9d293034668
Author: Andika Triwidada <andika@gmail.com>
Date:   Sat Oct 4 13:23:29 2014 +0000

    Updated Indonesian translation

 po/id.po | 155 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 82 insertions(+), 73 deletions(-)

commit 344b179e956929ba5a07d93ba8d4a095bf32ba90
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Oct 1 22:31:21 2014 +1000

    podcast: activate the podcast-add action on the right action group

 podcast/rb-podcast-source.c | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 16453ab046980e006e622fadfb483aee5044a99f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Sep 30 08:38:56 2014 +1000

    playbin: only emit images from the first tag list we get that has them
    
    GStreamer now re-emits the whole tag list when something changes, so
    we pointlessly re-decode the same jpeg several times with some files.

 backends/gstreamer/rb-player-gst.c | 19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)

commit 893e187ccc0ff539ae70cbcc3974807424870440
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Sep 30 08:27:22 2014 +1000

    xfade: only emit images from the first tag list we get that has them
    
    GStreamer now re-emits the whole tag list when something changes, so
    we pointlessly re-decode the same jpeg several times with some files.

 backends/gstreamer/rb-player-gst-xfade.c | 22 +++++++++++++++-------
 1 file changed, 15 insertions(+), 7 deletions(-)

commit bb6a991a077283fd6975f0d3ba3c45301e4926f6
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Sep 8 09:18:31 2014 +1000

    remove 'impl_' from all RBSource method names
    
    Annoying API break, but this is necessary to improve introspection.
    The method pointers in the class struct must match the invoker functions
    for any of the invoker annotations to apply to the method too.

 plugins/audiocd/rb-audiocd-source.c                |  16 +--
 .../rb-audioscrobbler-radio-source.c               |  16 +--
 plugins/daap/rb-daap-source.c                      |   6 +-
 plugins/fmradio/rb-fm-radio-source.c               |  14 +--
 .../rb-generic-player-playlist-source.c            |   6 +-
 plugins/generic-player/rb-generic-player-source.c  |  54 ++++-----
 plugins/generic-player/rb-generic-player-source.h  |  12 +-
 plugins/generic-player/rb-nokia770-source.c        |   2 +-
 plugins/generic-player/rb-psp-source.c             |   2 +-
 plugins/grilo/rb-grilo-source.c                    |   2 +-
 plugins/ipod/rb-ipod-source.c                      |  32 ++---
 plugins/ipod/rb-ipod-static-playlist-source.c      |   4 +-
 plugins/iradio/rb-iradio-source.c                  |  24 ++--
 plugins/magnatune/MagnatuneSource.py               |   2 +-
 plugins/mtpdevice/rb-mtp-source.c                  |  32 ++---
 podcast/rb-podcast-main-source.c                   |   4 +-
 podcast/rb-podcast-source.c                        |  24 ++--
 shell/rb-play-order.c                              |  16 ---
 shell/rb-shell-clipboard.c                         |   2 +-
 sources/rb-auto-playlist-source.c                  |  10 +-
 sources/rb-browser-source.c                        |  24 ++--
 sources/rb-device-source.c                         |   4 +-
 sources/rb-import-errors-source.c                  |  24 ++--
 sources/rb-library-source.c                        |  10 +-
 sources/rb-media-player-source.c                   |  42 +++----
 sources/rb-media-player-source.h                   |  14 +--
 sources/rb-missing-files-source.c                  |  26 ++--
 sources/rb-play-queue-source.c                     |  10 +-
 sources/rb-playlist-source.c                       |  30 ++---
 sources/rb-playlist-source.h                       |   6 +-
 sources/rb-source.c                                | 135 ++++++++-------------
 sources/rb-source.h                                |  54 ++++-----
 sources/rb-static-playlist-source.c                |  26 ++--
 sources/rb-streaming-source.c                      |  10 +-
 34 files changed, 322 insertions(+), 373 deletions(-)

commit 7f9a7e74389edd4dc4da6e145fc53313e4f34f19
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Sep 29 16:48:01 2014 +0200

    Updated Polish translation

 po/pl.po | 157 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 83 insertions(+), 74 deletions(-)

commit 14e93f3628051a5973dd74ccd8f67f78ee08017d
Author: Hubert Figuière <hub@figuiere.net>
Date:   Mon Sep 22 17:50:14 2014 -0400

    Bug 737058 - Part 4: add comment for translators.

 data/ui/song-info.ui | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 723177f7bb70d0d8938f741a73216392f37ccec8
Author: Hubert Figuière <hub@figuiere.net>
Date:   Sat Sep 20 23:59:28 2014 -0400

    Bug 737058 - Part 3: Allow batch editing of the track total.

 data/ui/song-info-multiple.ui | 40 +++++++++++++++++++++++++++++++++-------
 widgets/rb-song-info.c        | 29 +++++++++++++++++++++--------
 2 files changed, 54 insertions(+), 15 deletions(-)

commit 1db6c8839d8bb79d35f8420f70593d0cc254202c
Author: Hubert Figuière <hub@figuiere.net>
Date:   Sat Sep 20 23:33:30 2014 -0400

    Bug 737058 - Part 2: Refactor sync properties.

 widgets/rb-song-info.c | 283 +++++++++++++++----------------------------------
 1 file changed, 84 insertions(+), 199 deletions(-)

commit b488e62f9474f9086b561daecb3ca1739edeb505
Author: Hubert Figuière <hub@figuiere.net>
Date:   Sat Sep 20 19:11:47 2014 -0400

    Bug 737058 - Part 1: Add disc total and track total to the DB

 configure.ac                  |   2 +-
 data/ui/song-info-multiple.ui |  41 ++++++++++++---
 data/ui/song-info.ui          |  84 +++++++++++++++++++++++++----
 rhythmdb/rhythmdb-private.h   |   2 +
 rhythmdb/rhythmdb-tree.c      |  13 ++++-
 rhythmdb/rhythmdb.c           |  40 ++++++++++++++
 rhythmdb/rhythmdb.h           |   2 +
 widgets/rb-song-info.c        | 120 +++++++++++++++++++++++++++++++++---------
 8 files changed, 257 insertions(+), 47 deletions(-)

commit 06e9a07ad2d6f79267b01078a8ac9e8016e3a7cc
Author: Kalev Lember <kalevlember@gmail.com>
Date:   Sun Sep 28 12:44:26 2014 +0200

    Fix desktop file keywords translations
    
    Add missing terminating semicolons to Scottish Gaelic and Slovenian
    translations.

 po/gd.po | 2 +-
 po/sl.po | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 78a9c98d12bf7eeed06d0451b2812de39fe66dc6
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Sep 27 23:11:48 2014 +1000

    Rhythmbox 3.1

 NEWS         | 57 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 README       |  2 +-
 configure.ac |  2 +-
 3 files changed, 59 insertions(+), 2 deletions(-)

commit 351c0077eb51b58c8db4bb982c3fd3085cddba17
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:   Sat Sep 27 05:17:24 2014 +0000

    Updated German translation

 po/de.po | 457 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 238 insertions(+), 219 deletions(-)

commit 547e1642170be8ede9f12938b733afaa5aca6305
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:   Sat Sep 27 00:02:52 2014 +0000

    Updated German translation

 help/de/de.po | 1787 +++++++++++++++++++++------------------------------------
 1 file changed, 658 insertions(+), 1129 deletions(-)

commit 17fbf3f4317112e2a4fea3813e8b554c8129440f
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Fri Sep 26 21:02:05 2014 +0000

    Updated Swedish translation

 po/sv.po | 140 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 78 insertions(+), 62 deletions(-)

commit b0cec86925fefab522301669420c19fa34d2a582
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Sep 26 13:30:49 2014 +0200

    Updated POTFILES.in

 po/POTFILES.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ac89cc6de3465488b0bd3f5728b2949675cfa952
Author: Hubert Figuière <hub@figuiere.net>
Date:   Thu Sep 25 10:51:08 2014 -0400

    Bug 737368 - rhythmbox.appdata.xml.in should be in data/

 rhythmbox.appdata.xml.in => data/rhythmbox.appdata.xml.in | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

commit ae47a2ca2d12bab0f1026d4e18384542d5a7a8cd
Author: Andika Triwidada <andika@gmail.com>
Date:   Wed Sep 24 13:42:22 2014 +0000

    Updated Indonesian translation

 po/id.po | 135 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 78 insertions(+), 57 deletions(-)

commit 0b5c1e558188e1595fb75d9cb754d7f6e19018b0
Author: Claude Paroz <claude@2xlibre.net>
Date:   Tue Sep 23 13:26:58 2014 +0200

    Updated French translation

 po/fr.po | 287 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 150 insertions(+), 137 deletions(-)

commit a5862e9932bb8e3f4c911c7c0a511bc8407baf20
Author: GNOME Translation Robot <gnome-sysadmin@gnome.org>
Date:   Tue Sep 23 09:44:53 2014 +0000

    Added Scottish Gaelic translation

 po/LINGUAS |    1 +
 po/gd.po   | 4668 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 4669 insertions(+)

commit 6e4940021091be280f315a70bef6a12d6973180d
Author: Maria Mavridou <mavridou@gmail.com>
Date:   Tue Sep 23 10:09:16 2014 +0300

    Updated Greek translations

 help/el/el.po | 2614 +++++++++++++++++++++++-------------------
 po/el.po      | 3486 ++++++++++++---------------------------------------------
 2 files changed, 2170 insertions(+), 3930 deletions(-)

commit 020304a4c7b2b1da683aaafed2b8040f7783cb56
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Sep 21 22:05:13 2014 +0200

    Updated Polish translation

 po/pl.po | 138 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 81 insertions(+), 57 deletions(-)

commit e7796e2e05ca4290c2bf246233033e6e16a2f05f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Sep 21 21:58:31 2014 +0200

    Updated POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit a503a231e20d0e01546f77e088d6b6650530b484
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Sep 21 23:05:13 2014 +1000

    add AppData file, originally from Fedora

 data/Makefile.am         |  8 +++++++-
 rhythmbox.appdata.xml.in | 25 +++++++++++++++++++++++++
 2 files changed, 32 insertions(+), 1 deletion(-)

commit 750ca4fd7673b4a4633fff2105188195be92faa8
Author: Hubert Figuière <hub@figuiere.net>
Date:   Fri Sep 19 17:17:13 2014 -0400

    Bug 737052 - Update song-info.ui and song-info-multiple.ui to more recent Glade / Gtk versions.
    Gtk+ 3.6 is the minimum now.

 data/ui/song-info-multiple.ui |  82 ++++++++++-------
 data/ui/song-info.ui          | 198 +++++++++++++++++++++++-------------------
 2 files changed, 160 insertions(+), 120 deletions(-)

commit b434a02cf3d0dd2ef51d3b71d2efbf980ffd1ec2
Author: Mattias Eriksson <snaggen@gmail.com>
Date:   Fri Sep 19 20:49:45 2014 +0000

    Updated Swedish translation

 po/sv.po | 2637 ++------------------------------------------------------------
 1 file changed, 77 insertions(+), 2560 deletions(-)

commit 86e6242ea54bdd54f5db04ea722bd47ae422eab2
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Wed Sep 17 17:36:04 2014 +0000

    Updated Slovak translation

 po/sk.po | 615 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 296 insertions(+), 319 deletions(-)

commit 5194b024243a43abbcf9780ea202c5e481e2b4b0
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Sep 16 18:03:22 2014 +0200

    Updated Slovenian translation

 po/sl.po | 680 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 338 insertions(+), 342 deletions(-)

commit 72b3e34ff8763ddb8a8642780ee843eda8c8aeaa
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Sep 16 22:36:46 2014 +1000

    entry-view: fix rb_entry_view_scroll_to_iter with gtk 3.14
    
    Since scrolling the tree view is now animated, the row visibility checks in
    gtk_tree_view_set_cursor don't work when it's called immediately after
    gtk_tree_view_scroll_to_cell - so it scrolls again, and picks a target point
    that leaves the selected row at the top or bottom of the view rather than the
    middle.  Instead of gtk_tree_view_set_cursor, just select the row by
    manipulating the GtkTreeSelection.

 widgets/rb-entry-view.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit e93c852089bc91f29d6adadef7ebcf96e40f919d
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Sun Sep 14 20:28:06 2014 +0000

    Updated Hungarian translation

 po/hu.po | 152 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 81 insertions(+), 71 deletions(-)

commit f674867f5f46c08f1c82ef9dba6990a5276823af
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Sep 14 19:51:23 2014 +1000

    podcast: don't download episodes on activation

 podcast/rb-podcast-source.c | 26 --------------------------
 1 file changed, 26 deletions(-)

commit e969c819c1c0e94dd16e0d38ffb91a7934538857
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:   Thu Sep 11 22:28:39 2014 +0300

    Finnish translation update by Jiri Grönroos

 po/fi.po | 699 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 336 insertions(+), 363 deletions(-)

commit 43d0b65792edee7ab0a6a0e5405301b36191d872
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Sep 10 22:15:54 2014 +1000

    xfade: don't resume paused streams when buffering finishes
    
    This makes pausable http streams work a lot better.

 backends/gstreamer/rb-player-gst-xfade.c | 4 ++++
 1 file changed, 4 insertions(+)

commit a4cadb991cbc238b8a35e63d3ba776c5fd4b818c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Sep 6 23:45:38 2014 +1000

    podcast: fix stupid packing for the podcast add dialog
    
    https://bugzilla.gnome.org/show_bug.cgi?id=733586

 podcast/rb-podcast-add-dialog.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fa1dcf58922143d592336ab46f7761de7ffae359
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Sep 6 17:10:10 2014 +1000

    cell-renderer-expander: use new :checked state if available

 widgets/gossip-cell-renderer-expander.c | 4 ++++
 1 file changed, 4 insertions(+)

commit ebd3a7c983b92e551bc5814c0084e5ccbcfb2884
Author: Andika Triwidada <andika@gmail.com>
Date:   Fri Sep 5 12:52:11 2014 +0000

    Updated Indonesian translation

 po/id.po | 143 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 73 insertions(+), 70 deletions(-)

commit 005dbc1765ae9c35a01327afb09764bc3bb6a875
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Aug 24 16:54:57 2014 +1000

    task-list-display: center align the progress bar

 widgets/rb-task-list-display.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fa3f9e47674f740dedf8c739855d2e4bbc61ac57
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Aug 24 15:43:05 2014 +1000

    fading-image: remove spinner style class
    
    No idea why this was here, and it breaks rendering with gtk+ 3.13+

 widgets/rb-fading-image.c | 3 ---
 1 file changed, 3 deletions(-)

commit da6d31817a47573cdb4bb41e8ce3dc008d3a4ee7
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Aug 23 11:53:21 2014 +1000

    cell-renderer-rating: vertically align the rating stars
    
    https://bugzilla.gnome.org/show_bug.cgi?id=735056

 widgets/rb-cell-renderer-rating.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 16cff41216d568ebeecff80326b6bb8247356834
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Fri Aug 22 16:42:28 2014 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 604 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 303 insertions(+), 301 deletions(-)

commit 4d088ae833f0b724a10960a3bf53b0208cce9d3a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Aug 20 20:19:55 2014 +1000

    display-page-menu: ref page returned by rb_display_page_menu_get_page
    
    this is what it was always supposed to do.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=735083

 sources/rb-display-page-menu.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 161fdca977385a4ee6867afcf5ad30bd884c0d68
Author: Marek Černocký <marek@manet.cz>
Date:   Wed Aug 20 05:36:33 2014 +0200

    Updated Czech translation

 po/cs.po | 75 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 39 insertions(+), 36 deletions(-)

commit 180fecf1ad6828de23a788f97a0ac50d175365ac
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Aug 19 08:51:43 2014 +1000

    daap: fix build without libsecret
    
    https://bugzilla.gnome.org/show_bug.cgi?id=735021

 plugins/daap/rb-daap-source.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 71ea44b9abd14952276a3c788cdf1bdc08b60e41
Author: wiegner at gmx.de <wiegner@gmx.de>
Date:   Mon Aug 18 09:06:57 2014 +1000

    shell: restore original jump-to-playing behaviour with queue in side pane
    
    https://bugzilla.gnome.org/show_bug.cgi?id=729373 again

 shell/rb-shell.c | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 5014d855ea0024a7291f8e5dcbe51e1c2650365f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Aug 17 22:22:42 2014 +1000

    ignore glade backup files

 .gitignore | 1 +
 1 file changed, 1 insertion(+)

commit cb4b5997e2ad817057a132a214162b9e989856ac
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Aug 17 09:45:05 2014 +1000

    podcast: hide the property column in the podcast feed view
    
    I have no idea how this worked before

 podcast/rb-podcast-source.c | 1 +
 1 file changed, 1 insertion(+)

commit 630d689be0ef18e7f82777574743bd0d0ab4e50f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Aug 17 09:44:09 2014 +1000

    property-view: allow visibility of property column to be changed
    
    Custom property views (like the podcast feed view) may want to hide
    the column that contains the grouping property value.

 widgets/rb-property-view.c | 28 +++++++++++++++++++++-------
 widgets/rb-property-view.h |  2 ++
 2 files changed, 23 insertions(+), 7 deletions(-)

commit 38625a66cd1dc10abef89be85b9b2976fc2978bd
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Aug 17 00:18:11 2014 +1000

    xfade: always handle bus messages on the main thread
    
    Since all signals emitted from the player need to be emitted on the
    main thread, we can't do anything much with bus messages elsewhere.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=734123

 backends/gstreamer/rb-player-gst-xfade.c | 57 +++++++++++++++++++++++++-------
 1 file changed, 45 insertions(+), 12 deletions(-)

commit 9ca1eafbbe9ba7bcee2ef18c5eaf9adcb95a031b
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Thu Aug 14 00:32:38 2014 +0900

    l10n: Update Japanese translation

 po/ja.po | 721 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 359 insertions(+), 362 deletions(-)

commit f8001a6c7e2094de430aa061ec5840e29ef79629
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Aug 12 09:12:56 2014 +1000

    fix some introspection annotation warnings

 lib/rb-debug.c            | 4 ++--
 lib/rb-file-helpers.c     | 4 ++--
 lib/rb-util.c             | 4 ++--
 rhythmdb/rhythmdb-query.c | 4 ++--
 rhythmdb/rhythmdb.c       | 4 ++--
 shell/rb-play-order.c     | 2 +-
 shell/rb-shell-player.c   | 8 ++++----
 shell/rb-shell.c          | 2 +-
 widgets/rb-entry-view.c   | 2 +-
 9 files changed, 17 insertions(+), 17 deletions(-)

commit af586cbd3f5390ac44ab2b1eb724f7fead079ca1
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Aug 11 07:46:42 2014 +1000

    replace GtkMisc xpad and ypad properties with margin-*
    
    margin-left and margin-right are deprecated too, but we can easily switch
    to margin-start and margin-end once the gtk+ requirement goes up.

 data/ui/general-prefs.ui | 100 ++++++++++++++++++++++++++++-------------------
 data/ui/main-toolbar.ui  |  45 ++++++++++++---------
 data/ui/podcast-prefs.ui |  91 +++++++++++++++++++++++++-----------------
 data/ui/sync-dialog.ui   |  35 ++++++++++++-----
 widgets/rb-button-bar.c  |   2 +-
 5 files changed, 168 insertions(+), 105 deletions(-)

commit b65b762176f159a65b4468cf4bc4635de8872573
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Aug 9 13:46:28 2014 +1000

    add missing refs on popup menus

 podcast/rb-podcast-source.c  | 2 ++
 sources/rb-browser-source.c  | 1 +
 sources/rb-playlist-source.c | 1 +
 3 files changed, 4 insertions(+)

commit 1569b882d22acc3ab9f964bfef85500b4c9aa551
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Aug 8 23:30:30 2014 +1000

    rhythmdb: fix transfer annotation for rhythmdb_entry_new
    
    rhythmdb_entry_new is a bit unusual in that the caller doesn't own a reference
    to the newly created entry.  This isn't really a problem as the caller is
    responsible for deleting its own entries (or at least any callers going via
    introspection are), and absent any other refcounting bugs, the entry will
    stay alive until it is deleted.
    
    This fixes crashes when deactivating the magnatune plugin, or when quitting
    with the magnatune catalog loaded.

 rhythmdb/rhythmdb.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fa3522494bd424739c13aa0c38830d890689743f
Author: Daniel Mustieles <dnaiel.mustieles@gmail.com>
Date:   Thu Aug 7 14:02:39 2014 +0200

    Updated Spanish Translation

 po/es.po | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit d33308716210d98260cbf4027ac57f7e000a5496
Author: Daniel Mustieles <dnaiel.mustieles@gmail.com>
Date:   Thu Aug 7 14:00:48 2014 +0200

    Updated Spanish translation

 po/es.po | 77 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 40 insertions(+), 37 deletions(-)

commit 277dba4db14b4a3525562df50a5c31422e877731
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Aug 6 09:14:59 2014 +1000

    metadata: prefer GST_TAG_DATE to GST_TAG_DATE_TIME
    
    mp4 appears to be the only format that uses both, and it places more
    reliable data in GST_TAG_DATE, so taking that in preference to
    GST_TAG_DATE_TIME should work for all formats.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=734235

 metadata/rb-metadata-gst.c | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit 03ea365acc442d7269151a051c9e1a51bf0e8f0f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Aug 3 20:22:45 2014 +0200

    Updated Polish translation

 po/pl.po | 77 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 39 insertions(+), 38 deletions(-)

commit a55a46c5cd355773c33756b15ae0f4b0f312026f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Aug 3 19:28:08 2014 +1000

    sendto: properly quote arguments to nautilus-sendto
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702885

 plugins/sendto/sendto.py | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 6e61f637c11daf2383afe2e5d3daa99a89334f4c
Author: Nirbheek Chauhan <nirbheek.chauhan@gmail.com>
Date:   Sat May 31 09:14:22 2014 +0530

    shell: Change mnemonic for "_Comment" in song properties
    
    It was the same as the mnemonic for "_Composer". Change it to "Comm_ent".
    
    https://bugzilla.gnome.org/show_bug.cgi?id=731025

 data/ui/song-info.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a6b1f33668e7d0947d81ef8af81de26bea9fc804
Author: alex <devkral@web.de>
Date:   Sun Aug 3 19:06:35 2014 +1000

    add mnemonics for BPM column and entry
    
    https://bugzilla.gnome.org/show_bug.cgi?id=637747

 data/ui/general-prefs.ui | 2 +-
 data/ui/song-info.ui     | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 9001e40cce7834827dc8e4cdcc9416b832b56192
Author: Sven Arvidsson <sa@whiz.se>
Date:   Sun Aug 3 17:53:01 2014 +1000

    iradio: update Radio Paradise URLs again
    
    https://bugzilla.gnome.org/show_bug.cgi?id=731236

 plugins/iradio/iradio-initial.xspf | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit dab068ff1422ad4d813a82014603a20c285ce21f
Author: Ali Vakilzade <ali@vakilzade.ir>
Date:   Thu Jul 31 20:11:54 2014 +0430

    man page updated for rb-client --stop

 data/rhythmbox-client.1 | 3 +++
 1 file changed, 3 insertions(+)

commit e35340da1c5a4b722be096e786edacd6d63310e7
Author: Ali Vakilzade <ali@vakilzade.ir>
Date:   Thu Jul 31 20:11:29 2014 +0430

    implement stop for rb-client

 remote/dbus/rb-client.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 5f31720815ea08dac9b4401147ad5144501c0a48
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Jul 23 22:38:18 2014 +0000

    grilo: Do not free GrlRegistry
    
    It is a singleton.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=733636

 plugins/grilo/rb-grilo-plugin.c | 1 -
 1 file changed, 1 deletion(-)

commit dc6edc10ae869834fbb6e511e3514cdd4cb3c08c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Aug 3 16:54:59 2014 +1000

    audioscrobbler: don't use a custom marshaller
    
    https://bugzilla.gnome.org/show_bug.cgi?id=733526

 lib/rb-marshal.list                        | 1 -
 plugins/audioscrobbler/rb-audioscrobbler.c | 3 +--
 2 files changed, 1 insertion(+), 3 deletions(-)

commit 02470658fc0185f5038cbeaf2431df13017bd12f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Aug 3 16:20:55 2014 +1000

    magnatune: supply secrets to libsecret as strings rather than bytes

 plugins/magnatune/MagnatuneAccount.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f370706edfedffda1e74d80b806db73a36c5a54e
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Aug 3 16:20:27 2014 +1000

    require libsecret 0.18; formerly unstable API is now stable
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725884

 configure.ac                          | 2 +-
 plugins/magnatune/MagnatuneAccount.py | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 632bc0d7b406b8ae9dec89cf5788e4e5b6e8fcdd
Author: Andre Klapper <a9016009@gmx.de>
Date:   Fri Aug 1 23:41:03 2014 +0200

    doap: add <programming-language>

 rhythmbox.doap | 2 ++
 1 file changed, 2 insertions(+)

commit bb0c4ea23984adb92831d59c4037c36bddbf6af8
Author: Daniel Șerbănescu <daniel [at] serbanescu [dot] dk>
Date:   Tue Jul 29 18:30:47 2014 +0200

    Updated Romanian Translation

 help/ro/ro.po | 495 ++++++++++++++++++++--------------------------------------
 1 file changed, 171 insertions(+), 324 deletions(-)

commit 7892dd9f94f7cc22f99e2dc6a77601e151c91980
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Jul 29 08:43:05 2014 +1000

    search-entry: make icons consistent with GtkSearchEntry
    
    edit-find-symbolic is always the primary icon, and edit-clear-symbolic
    is always shown when there's text in the entry.

 widgets/rb-search-entry.c | 27 ++++++---------------------
 1 file changed, 6 insertions(+), 21 deletions(-)

commit 9e7956d82bffc75b9a0efeaa166b6f08082dd46c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Jul 26 18:19:48 2014 +1000

    bring back the top and bottom borders for the primary toolbar
    
    apparently we should be using a header bar there, but since we're not doing
    that yet, instead we have css to make it look slightly less awful.

 data/ui/style.css | 7 +++++++
 1 file changed, 7 insertions(+)

commit dc9cc3f24e8746ffe425e2868476696f4d34300f
Author: Daniel Mustieles <dnaiel.mustieles@gmail.com>
Date:   Tue Jul 22 12:34:45 2014 +0200

    Updated Spanish translation

 po/es.po | 86 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 45 insertions(+), 41 deletions(-)

commit df6a04a906d27b9db4f0dc6e9abe49cacdff405c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jul 21 23:56:06 2014 +1000

    podcast: fix parsed podcast data double free
    
    When we think we're parsing an existing feed, free the parsed data
    if it doesn't match up with anything in the feed list.  Otherwise,
    create episodes if it's the currently selected feed.  The logic here
    was a bit messed up.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=733499

 podcast/rb-podcast-add-dialog.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 5e8d1c1f96c7977db07d37b8f30cd5f55e2c403e
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jul 21 23:55:21 2014 +1000

    podcast: throw away parsed data if the dialog has been reset

 podcast/rb-podcast-add-dialog.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 3826a0f2a002a74c8f6e18fdcb8427bc7c180045
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Tue Jul 15 15:56:51 2014 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 166 ++++++++++++++++++++++++++++--------------------------------
 1 file changed, 77 insertions(+), 89 deletions(-)

commit 671eebbb8c675bccccc6e659dc4d61986d32c935
Author: Daniel Șerbănescu <daniel [at] serbanescu [dot] dk>
Date:   Sun Jul 13 18:45:56 2014 +0200

    Updated Romanian Translation

 help/ro/figures/rb-iradio-main.png          |  Bin 0 -> 131927 bytes
 help/ro/figures/rb-podcast-main.png         |  Bin 0 -> 133050 bytes
 help/ro/figures/rb-statusbar.png            |  Bin 0 -> 5150 bytes
 help/ro/figures/rb-toolbar-prevplaynext.png |  Bin 0 -> 3315 bytes
 help/ro/figures/rb-toolbar-repeat.png       |  Bin 0 -> 7283 bytes
 help/ro/figures/rb-toolbar-shuffle.png      |  Bin 0 -> 7307 bytes
 help/ro/figures/rb-toolbar.png              |  Bin 0 -> 12933 bytes
 help/ro/figures/rb-volume-changer.png       |  Bin 0 -> 1092 bytes
 help/ro/figures/rb-window-small.png         |  Bin 0 -> 23682 bytes
 help/ro/figures/rb-window.png               |  Bin 0 -> 140221 bytes
 help/ro/ro.po                               | 3690 ++++++++++++++++++++-------
 11 files changed, 2775 insertions(+), 915 deletions(-)

commit 82cf4e384cf8ff001088c0b41a559befdd8694ca
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Jul 13 07:40:06 2014 +0200

    Updated Czech translation

 po/cs.po | 138 +++++++++++++++++++++++----------------------------------------
 1 file changed, 51 insertions(+), 87 deletions(-)

commit a097f1cf23001b2ef5245c086915f76576de2f02
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Jul 12 15:23:21 2014 +0200

    Updated Polish translation

 po/pl.po | 137 +++++++++++++++++++++++----------------------------------------
 1 file changed, 50 insertions(+), 87 deletions(-)

commit f3446800cffb87b16a2138a23608ac35d75cca33
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Jul 12 19:42:36 2014 +1000

    import-dialog: change task label to avoid impression things are being imported
    
    https://bugzilla.gnome.org/show_bug.cgi?id=732880

 widgets/rb-import-dialog.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c83d56e40d7c6931c727cb6c7564e1a45df8a69f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jul 6 11:09:21 2014 +1000

    apparently we need glib 2.34
    
    https://bugzilla.gnome.org/show_bug.cgi?id=732764

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1d15f0c8669023ac8b41a80dfd68a388cc0b8c43
Author: Ibrahim Saed <ibraheem5000@gmail.com>
Date:   Mon Jun 23 15:03:38 2014 +0100

    Updated Arabic translation

 po/ar.po | 110 +++++++++++++++++++++++++++------------------------------------
 1 file changed, 47 insertions(+), 63 deletions(-)

commit 03e3a020119f212314c6a7e9b579d09b40624f1c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jun 8 18:47:23 2014 +1000

    notification: don't close notifications when paused
    
    The previous change wasn't a great idea after all.  Instead, only
    close notifications when the playing entry changes to NULL.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=731202

 plugins/notification/rb-notification-plugin.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 3ac891ed5cc93b2d1cd574b9e393fe8b6a080483
Author: Florian Will <florian.will@gmail.com>
Date:   Tue Jun 3 20:47:11 2014 +0200

    grilo: delete display page when source is removed

 plugins/grilo/rb-grilo-plugin.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 1d921b4e77c1d50d3ac8cfc63855af0b1adb0b32
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri May 30 22:18:26 2014 +1000

    metadata: handle GST_TAG_DATE as well as GST_TAG_DATE_TIME
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723020

 metadata/rb-metadata-gst.c | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit d46e6fe013c6ddca214f6af61aa5ba643192f4bf
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun May 25 17:35:58 2014 +1000

    Rhythmbox 3.0.3

 NEWS         | 25 +++++++++++++++++++++++++
 README       |  2 +-
 configure.ac |  2 +-
 3 files changed, 27 insertions(+), 2 deletions(-)

commit 6c35133bf91b87f198c160f4bc5603a74dbd9741
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat May 24 16:38:26 2014 +1000

    import-job: resolve symlinks before adding to the import job
    
    RhythmDB resolves symlinks internally, so files will appear under the
    canonical location rather than what we get from the uri recurser.
    If we add the non-canonical location to the import job, the job will never
    finish.

 rhythmdb/rhythmdb-import-job.c | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit fba05e5b19e505047b66a8f6d1aa9854cb50dabb
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat May 24 16:36:09 2014 +1000

    lib: add rb_file_resolve_symlink
    
    Like rb_uri_resolve_symlink, but taking and returning a GFile rather than
    a uri string

 lib/rb-file-helpers.c | 72 ++++++++++++++++++++++++++++++++++++---------------
 lib/rb-file-helpers.h |  1 +
 2 files changed, 52 insertions(+), 21 deletions(-)

commit d5528a4a5aa4c733c802f795b5d3ae0e4e3d09cb
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat May 24 16:33:37 2014 +1000

    lib: change RBUriRecurseFunc to take a GFileInfo
    
    This lets callers get more information about the things being recursed
    through without overcomplicating the interface.

 lib/rb-file-helpers.c          | 9 +++++----
 lib/rb-file-helpers.h          | 2 +-
 rhythmdb/rhythmdb-import-job.c | 4 ++--
 rhythmdb/rhythmdb-monitor.c    | 4 ++--
 4 files changed, 10 insertions(+), 9 deletions(-)

commit c2e5ffcbda972108a15824a69fe5f2b9c6228718
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri May 23 23:28:09 2014 +1000

    task-list: try even harder to not expire removed tasks
    
    probably actually fixed https://bugzilla.gnome.org/show_bug.cgi?id=724931

 shell/rb-task-list.c | 3 +++
 1 file changed, 3 insertions(+)

commit e78ff215396c63245b5257174b3c700d1bf56084
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu May 22 09:03:25 2014 +1000

    button-bar: fix layout when additional items are added
    
    Remove the extra label added to take up unused space, and set margins on
    separators to space things out a bit better.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=730547

 widgets/rb-button-bar.c | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit b22af115de949e47e0ee6b34f960d4febe8eceea
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue May 20 22:29:29 2014 +1000

    grilo: update container types more usefully
    
    Record a container as holding media as soon as we see any, otherwise set it as
    not having media when we get to the end without finding any.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682574

 plugins/grilo/rb-grilo-source.c | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit eeee291273a0b6171f0b0bcc75f52ed46fb8339e
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri May 9 08:53:50 2014 +1000

    playbin: ignore tags received during stream changes
    
    These are always from the previous stream, which it's too late to apply
    them to, and we don't want to apply them to the next stream.

 backends/gstreamer/rb-player-gst.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 484b786e2909f6760ca1788d80ffc0e0069c00a4
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri May 9 08:17:44 2014 +1000

    playbin: we can rely on getting stream-start messages now

 backends/gstreamer/rb-player-gst.c | 15 +--------------
 1 file changed, 1 insertion(+), 14 deletions(-)

commit d572d3c31ef1debf1b77eedc7952f7c7549f263a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon May 5 22:30:47 2014 +1000

    iradio: switch to Radio Paradise streams with metadata
    
    https://bugzilla.gnome.org/show_bug.cgi?id=727254

 plugins/iradio/iradio-initial.xspf | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 59f03eb9df08309d9ef398ddbda19aeb3f659c83
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Apr 8 16:21:03 2014 +0200

    grilo: Ignore video and image sources
    
    Instead of hard-coding many of the plugins, simply ignore sources
    that don't support audio types.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=727838

 plugins/grilo/rb-grilo-plugin.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 3dfe47a19a4503f55ba127c53d773dc47aec5e46
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Apr 8 16:18:46 2014 +0200

    grilo: Unregister ignored sources
    
    Instead of letting them running and using resources, unregister
    the sources that we ignore.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=727838

 plugins/grilo/rb-grilo-plugin.c | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit a1246eb1b483cab4ba47a8c6e4d8ec0a48f377fa
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun May 4 13:40:11 2014 +1000

    shell: implement 'jump to playing' for queue as side pane
    
    Focus the side pane and scroll to the playing entry rather than trying the
    normal code path, which leads to an assertion failure.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=729373

 shell/rb-shell.c | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 26d0551dcb9a4bec6d63313246060743ed3dd2fd
Author: Marc Plano-Lesay <marc.planolesay@gmail.com>
Date:   Fri Apr 4 19:58:23 2014 +0200

    Allow syncing with a device without enough space
    
    When using Rhythmbox to transcode on the fly music from FLAC to a lighter format
    like OGG, the available size is checked against the FLAC files, which can
    prevent an user to sync even if there's enough space for the compressed files.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=632266

 sources/rb-media-player-source.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit f443369ed9be02335140567331b996e335f7c7fb
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Apr 28 22:20:51 2014 +1000

    playbin: ensure tags don't persist into the next stream
    
    During track changes, flush the bus to ensure that tag messages that
    haven't made it to our bus handler yet are discarded.  This was most
    noticeable when skipping tracks with embedded cover art, especially
    when the next track didn't have it, as sometimes the cover art from
    the previous track would be applied to the next.

 backends/gstreamer/rb-player-gst.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit d4207e19e1ea37e986868bbf839ab1715c42e916
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sun Apr 27 20:32:48 2014 +0000

    Updated Swedish translation

 po/sv.po | 4228 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 2219 insertions(+), 2009 deletions(-)

commit 75894d602b4cfe9a30abfd2f42a76f0ef5ac6319
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Apr 12 00:05:24 2014 +1000

    grilo: add support for media in the root of grilo sources
    
    When we finish browsing the root to find all the top level containers,
    if we found some media in there, add an entry to the browser
    representing the root, then select it in order to start browsing for media.
    
    Since the root container is NULL, a few other changes were required to make
    this work.  Marker rows are now represented as a different container type,
    rather than a NULL container and we now pass the operation we want in
    to start_media_browse rather than a NULL container means GRL_OP_SEARCH.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=727838

 plugins/grilo/rb-grilo-source.c | 64 ++++++++++++++++++++++++++++++-----------
 1 file changed, 48 insertions(+), 16 deletions(-)

commit 998ae82f317b57b57d300522158a32507d2e198e
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Apr 10 22:44:59 2014 +1000

    notification: close notifications when not playing
    
    https://bugzilla.gnome.org/show_bug.cgi?id=727937

 plugins/notification/rb-notification-plugin.c | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 58bcbff4fcb9a4d6bb385dbbc53126f6b0074f61
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Apr 10 22:43:40 2014 +1000

    display-page-menu: fix off by one errors
    
    counting 0 when we only want to count up to 0 is not quite good
    enough.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=727437

 sources/rb-display-page-menu.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 3776674fa4cbd45bd3b209dc608214fa50d41c5a
Author: Kiatkachorn Ratanatharathorn <kratanat@gmail.com>
Date:   Wed Apr 9 18:50:31 2014 +0700

    Updated Thai translation

 po/th.po | 1211 ++++++++++++++++++++++++++++----------------------------------
 1 file changed, 551 insertions(+), 660 deletions(-)

commit 47a05b3ce940d1d5b7fb63868bff2a8baa26a6c2
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Apr 6 20:01:03 2014 +0200

    doap: update URLs

 HACKING        | 2 +-
 README         | 4 ++--
 rhythmbox.doap | 2 ++
 3 files changed, 5 insertions(+), 3 deletions(-)

commit 1266990c8871922c99a870e2aa9c2c0845e754f2
Author: Ibrahim Saed <ibraheem5000@gmail.com>
Date:   Tue Apr 1 20:48:01 2014 +0100

    Updated Arabic translation

 po/ar.po | 3304 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1654 insertions(+), 1650 deletions(-)

commit 363ca5a75d1d0872cb61e57a82eff86282a0053f
Author: Andika Triwidada <andika@gmail.com>
Date:   Sun Mar 30 03:31:39 2014 +0000

    Updated Indonesian translation

 po/id.po | 1342 ++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 650 insertions(+), 692 deletions(-)

commit 72b998294cba6af6d6a1b8077482a9df1c787ac4
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Mar 23 22:39:26 2014 +1000

    Rhythmbox 3.0.2

 NEWS         | 61 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 README       |  2 +-
 configure.ac |  2 +-
 3 files changed, 63 insertions(+), 2 deletions(-)

commit d126860239166a741438f12009695c03ee124987
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Sat Mar 22 09:40:36 2014 +0000

    Updated Italian translation

 po/it.po | 552 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 261 insertions(+), 291 deletions(-)

commit 4b5958a13c8eabb1f78927ebbbc11e62270c0bfe
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:   Sat Mar 22 09:51:10 2014 +0400

    Updated Russian translation

 po/ru.po | 1221 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 629 insertions(+), 592 deletions(-)

commit 2bcafb0ca2334049499d222b69f5cb07fcffc26e
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Tue Mar 18 19:17:53 2014 +0100

    Updated Serbian translation

 po/sr.po       | 627 ++++++++++++++++++++++++++++-----------------------------
 po/sr@latin.po | 627 ++++++++++++++++++++++++++++-----------------------------
 2 files changed, 612 insertions(+), 642 deletions(-)

commit c03b9c53407b730b1a020691b86359fbb36b75e8
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Tue Mar 18 10:03:44 2014 +0000

    Updated French translation

 po/fr.po | 612 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 301 insertions(+), 311 deletions(-)

commit 910b628a9351665bca00ed52892d8e4df3008de5
Author: Gábor Kelemen <kelemeng@gnome.hu>
Date:   Tue Mar 18 09:39:12 2014 +0000

    Updated Hungarian translation

 po/hu.po | 551 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 272 insertions(+), 279 deletions(-)

commit ca03828bc89ea6fd44c0409bd49b74fe09768706
Author: Jonh Wendell <jonh.wendell@intel.com>
Date:   Sun Mar 16 14:49:23 2014 +1000

    header: vertically centralize the "Not playing" label
    
    https://bugzilla.gnome.org/show_bug.cgi?id=720819

 widgets/rb-header.c | 47 +++++++++++++++++++++++++++++++++++++----------
 1 file changed, 37 insertions(+), 10 deletions(-)

commit cd9eada4577f8033f03e88bceaec585024dbbdc5
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Mar 16 12:38:22 2014 +1000

    lyrics: update TerraParser to match current layout

 plugins/lyrics/TerraParser.py | 25 +++++++++++++++----------
 1 file changed, 15 insertions(+), 10 deletions(-)

commit 8c3cc18280bb495bd82cc21bb02936aef840c202
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Mar 13 22:55:47 2014 +1000

    header: allow window dragging for clicks in empty space
    
    When clicking on the area allocated to song information text,
    but not over or near the text, start window drags the same way
    GtkToolbar does, taking the window-dragging style property into
    account.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678938

 widgets/rb-header.c | 69 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 69 insertions(+)

commit ec3f68b308820694150b3ae4ecc00272dd9566ec
Author: Lars Uebernickel <lars.uebernickel@canonical.com>
Date:   Wed Mar 12 11:40:33 2014 +0100

    Move .linked class from buttons to their container
    
    According to gtk's documentation, GTK_STYLE_CLASS_LINKED has to be set
    on the surrounding container instead of on the widgets that should be
    linked.
    
    Also move setting the style classes for toolbar buttons into the .ui
    file.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726167

 data/ui/main-toolbar.ui | 21 +++++++++++++++++++++
 shell/rb-shell.c        | 22 ----------------------
 2 files changed, 21 insertions(+), 22 deletions(-)

commit d422cd65db36683051c812a3c046dfe102b4d29e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Mar 11 14:17:41 2014 +0100

    Updated Spanish translation

 po/es.po | 573 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 280 insertions(+), 293 deletions(-)

commit eb4ab8f4d5b0701aae4d07bba812f882bd8f8b01
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Mon Mar 10 19:22:25 2014 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 1156 ++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 590 insertions(+), 566 deletions(-)

commit 19f8b7fd38739d0986f5d16d34fe384095544bc5
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Mar 10 12:38:16 2014 +0100

    Updated POTFILES.in and POTFILES.skip
    
    intltool can now parse gschema files even without _ markings.

 po/POTFILES.in   | 1 -
 po/POTFILES.skip | 1 +
 2 files changed, 1 insertion(+), 1 deletion(-)

commit ad2aef3451af88847cd287616256cd0f3b30c728
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Mar 9 18:22:11 2014 +1000

    generic-player: don't load playlists if there's no playlist path
    
    scanning the whole device can take a very long time, and probably
    wasn't really the right thing to do in the first place.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692485

 plugins/generic-player/rb-generic-player-source.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a19d3e702c836e5bcc623f948efb1f432cfe2913
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Mar 9 17:35:45 2014 +1000

    power-manager: inhibit suspend, not idle
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705105

 plugins/power-manager/rb-power-manager-plugin.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2510c608477e5b41c7afb62a04d152b16259ae84
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Mar 8 22:52:37 2014 +1000

    fix messed up merge from the previous patch set

 shell/main.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d97dcd0d2051c80ad6166c54c5fced1e1396ee3f
Author: Armin K <krejzi@email.com>
Date:   Thu Nov 21 16:12:38 2013 +0100

    Don't run gdk_x11_* functions unless running on X11
    
    GDK on Linux can be compiled with multiple backends,
    so it is not enough to add build time checks for
    backend support, but also runtime checks.

 lib/rb-missing-plugins.c                                | 8 +++++---
 plugins/brasero-disc-recorder/rb-disc-recorder-plugin.c | 8 ++++----
 2 files changed, 9 insertions(+), 7 deletions(-)

commit f4b18d4e0d46bb2dbdc36340410dbba1573c5b75
Author: Armin K <krejzi@email.com>
Date:   Thu Nov 21 16:10:02 2013 +0100

    Don't try to use old mmkeys grab unless running on X11
    
    GDK on Linux can be compiled with multiple backends,
    so it is not enough to add build time checks for
    backend support, but also runtime checks.

 plugins/mmkeys/rb-mmkeys-plugin.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 7066bd26ffb0672edb82c87c6ad5f249d7ee7cd4
Author: Armin K <krejzi@email.com>
Date:   Sat Mar 8 21:31:54 2014 +1000

    Remove eggdesktopfile usage

 doc/reference/Makefile.am       |    1 -
 lib/Makefile.am                 |    2 -
 lib/eggdesktopfile.c            | 1519 ---------------------------------------
 lib/eggdesktopfile.h            |  162 -----
 plugins/mpris/rb-mpris-plugin.c |   13 +-
 shell/main.c                    |   11 +-
 6 files changed, 9 insertions(+), 1699 deletions(-)

commit dcb5ed4b6656bb087e94bccd23e64d746c04cb09
Author: Matt Novenstern <fisxoj@gmail.com>
Date:   Fri Aug 30 13:59:29 2013 -0400

    Add support for itmss:// links to podcasts
    
    A simple matter of allowing the links to be passed through to
    totem-pl-parser, where they have already done all the clever
    work.

 configure.ac                    | 2 +-
 lib/rb-file-helpers.c           | 9 ++++++++-
 podcast/rb-podcast-add-dialog.c | 1 +
 3 files changed, 10 insertions(+), 2 deletions(-)

commit 14f0637173b6d1a8a9d0d8911c8b819f89956983
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Thu Sep 5 01:01:13 2013 +0100

    display-page-tree: remove page on remove action
    
    Instead of calling rb_display_page_delete_thyself, call
    rb_display_page_remove. This allows the page to perform any required
    logic before it deletes itself. Audioscrobbler radio sources will now
    remain removed after application restart, as they are now able to save
    the updated station list upon removal.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=707525

 sources/rb-display-page-tree.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 552f3cfa173a71991bd5980f91000ee518240b69
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Mar 8 19:14:49 2014 +1000

    playbin: fix possible crash in error handling
    
    gst_message_parse_error won't necessarily return debug information,
    so initialize the pointer used to hold it so we can safely free it
    later.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=707618

 backends/gstreamer/rb-player-gst.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4e39c118dd0c0b9edd7816a30b71ae21cefeee1f
Author: Roman Yepishev <roman.yepishev@yandex.ua>
Date:   Sat Mar 8 18:52:39 2014 +1000

    podcast: actually use the escaped file name
    
    https://bugzilla.gnome.org/show_bug.cgi?id=708084

 podcast/rb-podcast-manager.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a89063fca6fa56fea1939c37ecf23feac57a295a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Mar 8 12:31:40 2014 +1000

    iradio: remove absolute ratio stations
    
    These are only available inside the UK now, so adding them as defaults
    for everyone everywhere isn't a great idea.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725625

 plugins/iradio/iradio-initial.xspf | 56 --------------------------------------
 1 file changed, 56 deletions(-)

commit 0a1ea85ed8415132c9f27b5ed7ad018e3ce89ef2
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Mar 8 12:25:50 2014 +1000

    encoder: on illegal filename errors, retry with a sanitized name
    
    https://bugzilla.gnome.org/show_bug.cgi?id=720217

 backends/gstreamer/rb-encoder-gst.c | 196 +++++++++++++++++++-----------------
 1 file changed, 101 insertions(+), 95 deletions(-)

commit 1cc68e1decffe3abe1398eeab27fef18802f3fc7
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Mar 8 12:05:09 2014 +1000

    lib: optionally pass in a filesystem type to sanitize for
    
    In some situations (mostly fuse) we can't determine the type of
    filesystem we're writing to, so the best we can do is guess based
    on filenames it rejects.

 lib/rb-file-helpers.c        | 25 +++++++++++++++----------
 lib/rb-file-helpers.h        |  2 +-
 podcast/rb-podcast-manager.c |  2 +-
 sources/rb-library-source.c  |  2 +-
 sources/rb-transfer-target.c |  2 +-
 5 files changed, 19 insertions(+), 14 deletions(-)

commit feb0b96f239f61721a154610fd5bedcc3f85efaf
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Mar 6 12:41:45 2014 +0100

    Updated Czech translation

 po/cs.po | 557 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 279 insertions(+), 278 deletions(-)

commit ad728ce059141a89408944542a1e30635d2bd51b
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Tue Mar 4 23:35:37 2014 +0200

    Updated Lithuanian translation

 po/lt.po | 556 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 278 insertions(+), 278 deletions(-)

commit fa1a2e8181b234aee8125287c06bf4a73b6cfa8c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Mar 4 22:15:32 2014 +1000

    task-list: ensure we don't expire tasks that have been removed
    
    may or may not fix https://bugzilla.gnome.org/show_bug.cgi?id=724931

 shell/rb-task-list.c | 29 ++++++++++++++++++-----------
 1 file changed, 18 insertions(+), 11 deletions(-)

commit d09bd3388ac5e348dd3e63337377787185d7bacf
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Mar 4 20:53:17 2014 +1000

    lib: remove some makefile cruft

 lib/Makefile.am | 3 ---
 1 file changed, 3 deletions(-)

commit 85d7da5287b7ecb6eb24512237c1f570ff82e43d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Mar 3 16:58:01 2014 +0100

    Updated Polish translation

 po/pl.po | 560 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 282 insertions(+), 278 deletions(-)

commit 2b7b0535bc638c109d88fe3bbaa5cfeed4a459dc
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Mar 3 23:29:20 2014 +1000

    display-page-menu: improve menu rebuilds
    
    Rebuilding the full menu is rather expensive, so we should try to
    avoid it.
    
    Rather than rebuilding on any change anywhere in the page tree,
    just process changes underneath the page that is the root of the
    menu.  Rebuilding the 'add to playlist' menu because a track was
    added to the play queue (which changes its name) is fairly silly.
    
    Rather than completely rebuilding the menu, insert, remove or
    update just the entry that the change affects.

 sources/rb-display-page-menu.c  | 187 +++++++++++++++++++++++++++++++---------
 sources/rb-display-page-model.c |  31 +++++++
 sources/rb-display-page-model.h |   3 +
 3 files changed, 180 insertions(+), 41 deletions(-)

commit 00a252e0e3af08fa3c3ca77d1f022cdb78eb32aa
Author: Mathieu Bridon <bochecha@fedoraproject.org>
Date:   Mon Jan 13 09:10:48 2014 +0800

    Fix links to the website
    
    The README file, as well as the « Rhythmbox Website » button inside the
    application are still pointing to the old http://www.gnome.org/projects,
    but everything was recently moved to the wiki.
    
    I'm completely dropping the paragraph about development in the README,
    because the information is already on the main wiki page.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=722069

 README                 | 6 +-----
 shell/rb-application.c | 2 +-
 2 files changed, 2 insertions(+), 6 deletions(-)

commit 06f63441de79eaa8537298234fcff76f096b16fb
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Mar 3 22:01:22 2014 +1000

    add genre search option for browser and playlist sources
    
    https://bugzilla.gnome.org/show_bug.cgi?id=721758

 sources/rb-auto-playlist-source.c   | 2 ++
 sources/rb-browser-source.c         | 2 ++
 sources/rb-static-playlist-source.c | 2 ++
 3 files changed, 6 insertions(+)

commit 66403bc16ced16d686b5f9b2279b72a8cac809a1
Author: Tiagosdot <almosthumane@portugalmail.pt>
Date:   Mon Mar 3 00:43:45 2014 +0000

    Updated Portuguese translation

 po/pt.po | 6092 +++++++++++++++++++-------------------------------------------
 1 file changed, 1824 insertions(+), 4268 deletions(-)

commit 8cf18a39ce33b672306ad56064b7a486b14ae5d4
Author: Kalev Lember <kalevlember@gmail.com>
Date:   Fri Feb 7 11:25:58 2014 +0100

    audioscrobbler: Make sure gsettings schema path ends with a slash
    
    This fixes criticals complaining about invalid path passed to
    g_settings_new_with_path() at plugin startup.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723839

 plugins/audioscrobbler/rb-audioscrobbler-plugin.c       | 4 ++--
 plugins/audioscrobbler/rb-audioscrobbler-profile-page.c | 1 +
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 9c86a476f5cb79795ac83f15e831f8128c13904e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Jan 23 12:44:44 2014 +0100

    Updated FSF's address

 backends/gstreamer/rb-player-gst-xfade.h | 4 +---
 backends/gstreamer/rb-player-gst.h       | 4 +---
 backends/rb-player-gst-data-tee.c        | 3 +--
 backends/rb-player-gst-filter.c          | 3 +--
 backends/rb-player-gst-tee.c             | 3 +--
 backends/rb-player.c                     | 3 +--
 lib/eggdesktopfile.c                     | 3 +--
 lib/eggdesktopfile.h                     | 3 +--
 lib/libmediaplayerid/mediaplayerid.h     | 4 +---
 lib/libmediaplayerid/mpid-device.c       | 4 +---
 lib/libmediaplayerid/mpid-dummy.c        | 4 +---
 lib/libmediaplayerid/mpid-files.c        | 4 +---
 lib/libmediaplayerid/mpid-hal.c          | 4 +---
 lib/libmediaplayerid/mpid-private.h      | 4 +---
 lib/libmediaplayerid/mpid-udev.c         | 4 +---
 lib/libmediaplayerid/mpid-util.c         | 4 +---
 lib/libmediaplayerid/testmpid.c          | 4 +---
 lib/rb-missing-plugins.c                 | 3 +--
 lib/rb-missing-plugins.h                 | 3 +--
 lib/rb-task-progress.c                   | 3 +--
 plugins/daap/rb-daap-plugin.c            | 3 +--
 sources/rb-device-source.c               | 3 +--
 sources/rb-transfer-target.c             | 3 +--
 widgets/eggwrapbox.c                     | 4 +---
 widgets/eggwrapbox.h                     | 4 +---
 widgets/gossip-cell-renderer-expander.c  | 4 +---
 widgets/gossip-cell-renderer-expander.h  | 4 +---
 widgets/rb-alert-dialog.c                | 3 +--
 widgets/rb-alert-dialog.h                | 3 +--
 29 files changed, 29 insertions(+), 73 deletions(-)

commit 2c9a9ae29e106802d05b373c05161eddb450ab1c
Author: YunQiang Su <wzssyqa@gmail.com>
Date:   Sat Jan 25 15:43:55 2014 +0800

    Update Chinese simplified translation

 po/zh_CN.po | 670 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 340 insertions(+), 330 deletions(-)

commit eccd7f8bfc3c0f53f75c9f7c50735d2eb5312d58
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Dec 21 11:37:52 2013 +0200

    Add trailing semicolon to es, gl, lt, and sl desktop entry keyword values

 po/es.po | 2 +-
 po/gl.po | 2 +-
 po/lt.po | 2 +-
 po/sl.po | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 0fea8ffb742fd2ea7a8ac5df465f3971de122787
Author: Christian Kirbach <christian.kirbach@gmail.com>
Date:   Sat Jan 11 15:39:20 2014 +0100

    Updated German translation

 po/de.po | 400 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 200 insertions(+), 200 deletions(-)

commit e75ae28d7849e55cd493c81573048340433d662c
Author: William Jon McCann <william.jon.mccann@gmail.com>
Date:   Wed Dec 18 08:50:23 2013 -0500

    Update the project homepage url

 rhythmbox.doap | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9c75f5cca2a17e6774e81554c8c60c632d1a7803
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Dec 18 18:39:34 2013 +1000

    sprintf smells bad and makes theo laugh at me

 sources/rb-playlist-source.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit cefd80bfd8edb911b802029d3c55eb576e6b2c41
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Dec 9 11:54:53 2013 -0600

    app menu: standardize Help/About/Quit
    
    For Rhythmbox, we just need to remove the separator between About and
    Quit.
    
    https://wiki.gnome.org/Design/HIG/ApplicationMenus
    
    https://bugzilla.gnome.org/show_bug.cgi?id=720116

 data/ui/app-menu.ui | 2 --
 1 file changed, 2 deletions(-)

commit 5a2f6d939e8ee5af9f41ac6740f4e633f67e2960
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Dec 6 17:07:38 2013 +1000

    no need to set up a recursive mutex for the gdk lock any more

 lib/rb-util.c | 19 -------------------
 1 file changed, 19 deletions(-)

commit 02af9858cbba968e07b487f4d2e44be13bc9d7fa
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Dec 6 16:56:09 2013 +1000

    drop all gdk_threads_enter/gdk_threads_leave pairs
    
    All GTK+ calls are now made from the main thread so we don't need
    these deprecated functions.

 lib/rb-tree-dnd.c                                 | 10 ---------
 lib/rb-util.c                                     |  2 --
 plugins/daap/rb-daap-plugin.c                     |  9 --------
 plugins/daap/rb-daap-source.c                     |  2 --
 plugins/daap/rb-dacp-pairing-page.c               |  8 -------
 plugins/generic-player/rb-generic-player-source.c |  4 ----
 plugins/grilo/rb-grilo-source.c                   |  2 --
 plugins/ipod/rb-ipod-source.c                     |  3 ---
 plugins/iradio/rb-iradio-source.c                 |  8 ++-----
 plugins/rb/Loader.py                              | 17 ++++++---------
 podcast/rb-podcast-manager.c                      | 26 -----------------------
 rhythmdb/rhythmdb-property-model.c                |  3 ---
 rhythmdb/rhythmdb-query-model.c                   |  4 ----
 rhythmdb/rhythmdb.c                               |  7 ------
 shell/main.c                                      |  1 -
 shell/rb-play-order.c                             |  4 ----
 shell/rb-removable-media-manager.c                | 10 ---------
 shell/rb-shell-clipboard.c                        |  5 -----
 shell/rb-shell-player.c                           | 21 ------------------
 shell/rb-shell.c                                  | 13 ------------
 shell/rb-statusbar.c                              |  5 -----
 sources/rb-source.c                               |  3 ---
 sources/rb-streaming-source.c                     |  2 --
 tests/bench-rhythmdb-load.c                       |  4 ----
 tests/test-audioscrobbler.c                       |  2 --
 tests/test-rb-lib.c                               |  2 --
 tests/test-rhythmdb-query.c                       |  4 ----
 tests/test-rhythmdb-tree-serialization.c          |  4 ----
 tests/test-rhythmdb-view.c                        |  4 ----
 tests/test-utils.c                                |  1 -
 widgets/rb-entry-view.c                           |  3 ---
 widgets/rb-header.c                               |  5 -----
 widgets/rb-search-entry.c                         |  3 ---
 33 files changed, 9 insertions(+), 192 deletions(-)

commit f4d231643403c0a54aa22b6f2b932259ef058d34
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Dec 6 16:39:49 2013 +1000

    mtp: don't bother displaying error dialogs
    
    These have never been very helpful anyway.  More important operations
    already report their errors elsewhere.

 plugins/mtpdevice/rb-mtp-source.c |  4 ++--
 plugins/mtpdevice/rb-mtp-thread.c | 35 +++++++++++++----------------------
 plugins/mtpdevice/rb-mtp-thread.h |  2 +-
 3 files changed, 16 insertions(+), 25 deletions(-)

commit d352298258d92b3e6e490dddb57555313af34418
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Dec 6 16:12:18 2013 +1000

    podcast: create confirmation dialogs on the main thread

 podcast/rb-podcast-manager.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 490034a86ef4d906256a18fce1aba31507d3ac00
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Dec 6 16:03:15 2013 +1000

    remove soup-gnome from rhythmbox.pc

 rhythmbox.pc.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 49c7752c5958389173953b0f9c6fd8733f374fab
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Dec 6 16:01:07 2013 +1000

    shell-player: make sure playback errors are processed on the main thread

 shell/rb-shell-player.c | 57 +++++++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 55 insertions(+), 2 deletions(-)

commit 838e94599025161717aea405e975898421a16319
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Dec 6 15:57:14 2013 +1000

    clipboard: make sure all sync happen on the main thread

 shell/rb-shell-clipboard.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 4b3fe234f196c32d82404fbfc479ae9ba4fe1499
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Dec 6 10:04:24 2013 +1000

    player: ensure all signals are emitted from the main thread

 backends/rb-player.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 256f7eb568dd3c4713c2a3b8e1bafe06270e7e18
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Dec 6 09:59:03 2013 +1000

    playbin: bounce about-to-finish and playing stream events to main thread
    
    We need these to happen on the main thread so code dealing with eos
    and playing-stream signals elsewhere can assume it's safe to do things
    that would previously have required taking the gdk lock.
    
    Since playbin only guarantees gapless transitions if the next track is
    set before returning from the about-to-finish handler, use a GCond to
    block until the idle handler has run.

 backends/gstreamer/rb-player-gst.c | 68 ++++++++++++++++++++++++++++++--------
 1 file changed, 55 insertions(+), 13 deletions(-)

commit 53beafc67d3c221e314c793a00b7d27c2ac05305
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Dec 5 13:22:18 2013 +1000

    metadata: use GMutex instead of GStaticMutex

 metadata/rb-metadata-dbus-client.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 4e0e1f7ed0287e5bcba98388c75a93c3cf9ca090
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Dec 5 13:20:34 2013 +1000

    update libsoup features and stop using libsoup-gnome

 configure.ac                                            | 3 +--
 plugins/audiocd/rb-musicbrainz-lookup.c                 | 3 +--
 plugins/audioscrobbler/rb-audioscrobbler-account.c      | 3 +--
 plugins/audioscrobbler/rb-audioscrobbler-radio-source.c | 3 +--
 plugins/audioscrobbler/rb-audioscrobbler-user.c         | 3 +--
 plugins/audioscrobbler/rb-audioscrobbler.c              | 4 ++--
 podcast/rb-podcast-search-itunes.c                      | 3 +--
 podcast/rb-podcast-search-miroguide.c                   | 3 +--
 8 files changed, 9 insertions(+), 16 deletions(-)

commit b151337685eff709060e805767a9e8c067f2776d
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Dec 5 11:53:12 2013 +1000

    fading-image: fix use-after-deref introduced in previous commit
    
    https://bugzilla.gnome.org/show_bug.cgi?id=719514

 widgets/rb-fading-image.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit ea0363b7e0dc837e15ac42690c8f6ba9ab5562ef
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Dec 3 15:40:15 2013 +0100

    data: Add audio/mp4 as a supported mime-type
    
    https://bugzilla.gnome.org/show_bug.cgi?id=719777

 data/rhythmbox.desktop.in.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 344545b32a4fb7b1677be13bcb5c1f27eae7627f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Nov 27 17:41:10 2013 +1000

    fading-image: stop trying to generate images while hidden
    
    When the allocated size of the widget is so small there's no space
    for the actual image, we shouldn't try to generate one.  gdk-pixbuf
    and cairo don't like it much either.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710493

 widgets/rb-fading-image.c | 17 ++++++++++++++---
 1 file changed, 14 insertions(+), 3 deletions(-)

commit 1ac3ec3ebb4ddb6dd195248269fdaea3ce0966f8
Author: Jonh Wendell <jonh.wendell@intel.com>
Date:   Tue Nov 19 15:11:53 2013 -0200

    entry-view: Take into account the header button for columns width
    
    Currently the width of a column is calculated by measuring
    its contents. However in some cases, like the 'Track' column,
    their content is smaller than the header.
    
    So, let's take into account the header button width as well.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=712699

 lib/rb-util.c           |  8 ++++++++
 widgets/rb-entry-view.c | 28 ++++++++++++++--------------
 2 files changed, 22 insertions(+), 14 deletions(-)

commit 0765c38046d3af885f67f037e2dfec36c5112f5b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Nov 27 12:25:20 2013 +1000

    lib: fix error handling in rb_uri_handle_recursively_async
    
    When we're not passed a directory to crawl, we need to clear the
    error before checking the file we got instead.

 lib/rb-file-helpers.c | 1 +
 1 file changed, 1 insertion(+)

commit 0deaaa6655ba966c52ae9d6bde92088f67253cd2
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Nov 27 11:38:37 2013 +1000

    rb-client: wait for app startup properly
    
    Using a GDBusActionGroup we can action state notifications without
    too much hassle.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=715177

 remote/dbus/rb-client.c | 70 +++++++++++++++++++++----------------------------
 1 file changed, 30 insertions(+), 40 deletions(-)

commit c8953d3069bd87b32abee3ec99a59dab0c416ce0
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Nov 12 22:34:50 2013 +1000

    import-dialog: clean up old entries better
    
    If the previous import job is still running when we get a new
    folder to scan, it'll add any entries that are still working their
    way through the various queues, so we need to delete all its entries
    when it's completely cancelled.

 widgets/rb-import-dialog.c | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 16e585887b754e3a3e23e289c4f0b1c6b91c29ed
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Nov 9 20:17:54 2013 +1000

    lib: rewrite rb_uri_handle_recursively_async
    
    The new implementation uses async gio methods rather than creating
    a thread and calling rb_uri_handle_recursively.  This avoids some
    hassles with main loop contexts and should also be a bit faster.

 lib/rb-file-helpers.c          | 323 +++++++++++++++++++++++------------------
 rhythmdb/rhythmdb-import-job.c |   7 +-
 2 files changed, 184 insertions(+), 146 deletions(-)

commit f326f8e7055ee8b681a72f000203d071ccc72646
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Nov 8 23:28:47 2013 +1000

    xfade: fix playback over sftp with gstreamer 1.2
    
    uridecodebin now does a scheduling query to figure out whether the
    source requires buffering.  We need to do the same so our expectation
    matches what uridecodebin does.  If we expect buffering messages
